Welcome

30 Day Shareware Version

Version 5.03

Welcome to Axialis IconWorkshop Help!

Click on the following links to access topics:

What is Axialis IconWorkshop?

What's New in Version 5.03?

Purchasing the Full Version - Pricing

Personal / Corporate Edition Comparison

Getting Started (Quick Tutorial)

How To...

Working With IconWorkshop Editor

Working With The Librarian

Working With Libraries

Working With The Explorer

Working With Media Files

Registering Online using Internet

Upgrading Online Freely using Internet

Tips and Tricks

Copyright ©2002 Axialis Software

All rights reserved


Introducing, License

Introducing, Pricing, License

What is Axialis IconWorkShop?

What's New in Version 5.0 2 ?

Features of the Full Versions

Personal / Corporate Edition Comparison

Purchasing the Full Version - Pricing

Shareware Distribution

User License Agreement

Acknowlegments

System Requirements

Copyright


What is Axialis IconWorkshop?

Axialis IconWorkshop (formerly AX-Icons) is a powerful tool designed to Create, Extract, Convert, Manage and Redistribute Windows® Icons. It has a fully integrated workspace that permits you to work efficiently and create professional icons in minutes.

What Icons are Compatible with IconWorkshop?

With Axialis IconWorkshop, you can create, load and save all Windows® Icons (ICO) and Icon Libraries (ICL). Now, it supports the new Windows XP Icons with Alpha Channel images (a.k.a. Smooth Transparency).

Also, with this new version you'll be able to read Macintosh® Icons and convert them to Windows® format in seconds!

Why Using IconWorkshop?

Because creating and distributing icons has never been so easy and so professional! Axialis IconWorkshop is based on a simple concept: A powerful tool, yes, but easy to use. You need to be efficient to express your talent!

Easy to use workspace

Powerful features

• The program is fully integrated in one workspace

• All the features are accessible at any time

• Includes a built-in explorer with thumbnail preview to browse your disks, find images and files containing icons

• A built-in Librarian helps you to work more efficiently with your icons and libraries

• An image loader/viewer to create icons from pictures in one click!

• Full Drag & Drop support in all workspace

• Built-in search engines: Computer, Librarian & Web

• Compilation Wizard which helps you create redistribuable installation packages of your icon libraries

• Custom interface compatible with new XP themes

• Built-in free online upgrade system to keep to software up to date!

• More, More, More...

• Supports all icon formats: Windows® and Windows XP® with Alpha Channel

• Reads Macintosh® icons from 16x16 mono to OS-X 128x128 alpha channel thumbnail format

• Supports ICL Icon Libraries Create/Load/Save

• Imports/Exports Adobe® Photoshop® PSD images with layers

• Imports/Exports PNG and BMP with smooth transparency alpha channel

• Automatically creates a multi-format icon from an image in one click!

• Contains several icon image filters (blur, smooth, sharpen, details, contour, emboss...)

• Contains several icon image adjustments (Hue, Saturation, Brightness, Contrast...)

• Contains several icon image tools (Resize, Rotation at any angle, flip...)

• Built-in drop shadow effect to create Windows XP compliant icons

• Enhanced color swatch/palette system compatible with Adobe® and Jasc® color files.

Redistribute your Icons

A new compilation feature permits you to create professional installation packages to redistribute your Icon Libraries. It produces a compressed install program (the result is up to 70% smaller) convenient for Web distribution.

Also, an advanced system, based on activation codes, permits you to protect your Icon Libraries. The user will be prompted for a personal code to proceed with the installation. An activation code generator is also provided.

Customize Windows® Icons

A built-in feature permits you to customize many Windows® icons. It works with all Windows® version up to XP. This new version permits you to customize each folder icon individually.


What's New in Version 5.03?

Version 5.03

Some requested enhancements and a few bug fixes have been added in version 5.03:

• French Language - Full support for the French language has been added (Program, Context Help and Main Help).

• Dutch Language - Partial support for the Dutch language has been added (Program and Context Help). Main Help is in English

• Small enhancements and a few bugs fixed ...

Version 5.02

• New Interface - A brand new interface skin and illustrations has been implemented. See Acknowledgments topic for more info about icon artists who contributed to this new interface by providing great icons and images.

• Batch Creation of PNG, PSD and BMP from Icons - Now you can select various icons (Windows® or Macintosh® format) in the built-in explorer and automatically create PNG, PSD or BMP images with transparency (32BPP Alpha Channel) in one operation. Read More...

• Photoshop® to IconWorkshop transfer plug-in - Now you can import images with transparency directly from Photoshop into IconWorkshop through memory. You don't need to create a temporary PSD file anymore. Read More...

• Small enhancements and a few bugs fixed ...

Version 5.01

• New Extra Icon Size Added in Dialogs - Now you can create 128x128, 96x96, 72x72, 64x64 icon formats just by checking an option (in all creation features).

• Now Supports All Macintosh® Icons - All the Macintosh® icons can be read using this new version (even those without extension).

• Macintosh® to Windows® Batch Conversion - Now convert several Macintosh® icons to Windows® format (ICO) in one operation. Read More...

• Batch Icon Creation from Images or Macintosh® Icons - Now you can create several Windows® icons in one operation from Images, Macintosh Icons, cursors... Read More...

• Advanced Icon Snapshot Feature - A Snapshot is an image created automatically by IconWorkshop to show one or several icons (with embedded formats) on a decorated background. Very useful for icon authors! Read More...

• Import/Export enhanced - New import/export menus with keyboard shortcuts have been added to increase your productivity.

• Automatic Filter applied when resizing icons - This advanced filter permits you to create smooth or sharp icons in one click.

• Small enhancements and a few bugs fixed ...

Version 5.0

This is a major release. Before version 5.0, the program name was Axialis AX-Icons. More than 50 new features and enhancements have been added to this version.

Enhanced Editor

The Icon Editor has been greatly enhanced. It supports 32 bits XP icons with alpha channel, smooth drawing, many image adjustments (brightness, contrast, hue, saturation, flip, scale, rotation at any angle, drop shadow, filters), import/export (Photoshop PSD with layers, transparent BMP and PNG), Smart new image format creation, new color management (RGB/HSL models, compatible with Adobe® and Jasc® palette files).

Support for Windows® XP icons

Now IconWorkshop supports the new Windows XP 32 bits image format with alpha channel (a.k.a. smooth transparency).

Support for Macintosh® icons

Now you can read Apple Macintosh® icons. All formats up to OS X 128x128 alpha channel icons are supported! You can easily convert/import them to Windows in seconds.

Professional Integrated Environment

The whole environment has been redesigned. Now it includes a built-in explorer with thumbnail preview which permits you to browse/search and display/import icon files from your disk drives. An Internet multi-source search engine lets you find icons and images on the Web. A built-in image viewer permits to open various image formats (Photoshop PSD with layers, 32 Bpp transparent BMP, transparent PNG, GIF, WMF, JPEG and more) and create a new multi-formats icon based on a portion of this image in just one click!

New User Interface

This new version has a brand new user interface: New look and feel, New customization features, Windows XP compatible.

A New Compiler

Using this compiler, you'll be able to create redistribuable packages of your icon libraries. It generates a compressed user-friendly install procedure. The final package is 3 times smaller than the original ICL file. At least, with the Corporate Edition, you can force the end-user to enter a Serial Code to unlock the installation. A serial code generator is provided.


Features of the Full Version

You can evaluate most of the features in the Shareware Version. But you cannot use it after your trial period of 30 days. After this period, if you still using it, you must purchase the full version.

In addition, when you buy the full version you get the following benefits:

Using and Redistributing your Icons

With full version, you're free to use and distribute the icons and libraries you've created. Also, the distribution restriction message is removed from the compiled packages (Corporate Edition only).

Compiling an Unlimited Number of Icons

With full version, you can add an unlimited number of icons in compiled libraries (Corporate Edition only). The shareware version is limited to 5 icons.

Importing an Unlimited Number of Icons

With full version, you can import an unlimited number of icons in libraries or in the Librarian. The shareware version is limited to 5 icons.

Add an Unlimited Number of Documents in Favorite List

With full version, you can add an unlimited number documents in the Favorite List. The shareware version is limited to 5 entries.

Online Registration using Internet

With shareware version, you cannot register as an Axialis Customer. With full version, you can freely register online and get many benefits (Free upgrade for life, News, Special Offers...).

Free Online Update System using Internet

With shareware version, you cannot upgrade your application online. With full version, you can freely upgrade online using our exclusive update system (for Registered Users).

Lifetime License

When you purchase an Axialis Software, your aquired the right to upgrade your software online for the rest of your life. This is Axialis Lifetime License!


Personal / Corporate Edition Comparison

Personal / Corporate Edition - Quick Comparison

Personal or Corporate Edition?

If you're a Company or an Organization:

• You have to purchase the Corporate Edition (one copy per user/workstation).

If you're an Individual User:

• You can purchase the Personal Edition if you don't sell your icons.

• If you want to sell you icons or wish to get the corporate edition features (see below) you have to purchase the Corporate Edition.

Features - Quick Comparison

Product Features | Personal Edition | Corporate Edition
Using IconWorkshop in a Company or Organization |  |
Creating Multi-image Icons "in a Click" |  |
Importing Images from Photoshop® using a Plug-in Filter |  |
Exporting Icon Images to Photoshop® with Transparency |  |
Batch Creating Several Icons From Images or Macintosh® Icons in One Operation |  |
Batch Creating Several PNG, PSD or BMP Images with Transparency from Icons in One Operation |  |
Compiling Icon Libraries as Install (ready for distribution) |  |
Create/Redistribute Icons for Profit Purpose |  |
Enhanced User Interface |  |
Built-in Librarian, Explorer and Search Engine |  |
Creating Windows® Icons and Libraries |  |
Creating Windows® XP icons |  |
Reading/Converting Macintosh® Icons |  |
Enhanced Icon Editor |  |
Creating Icons from PSD, PNG, BMP... |  |
Transparent PSD, PNG, BMP Support |  |
Modifying Icons in Programs/DLL |  |
Customizing Windows® Icons |  |
Free Online Upgrade (Lifetime License) |  |
Price* per copy | $34.95 | $59.95

(*) Prices are subject to change. Check Axialis web site for up-to-date prices. See pricing for quantity rebates.


Pricing

Purchasing the Full Version - Pricing

How to Purchase the Fully Working Version?

By Credit Card using Secure Online Ordering (US Dollars)

Fast and Secure! With Secure Online Ordering you can download the Fully Working Version in a few minutes using your credit card! We strongly recommend you to use the Secure Online Ordering.

Payments are processed from a server based in the USA: Maagnum DigiBuy® secure web server. MasterCard®, VISA®, American Express®, Discover® and Diner's Club® cards are accepted. Payment in US Dollar only.

Click here to Purchase Online

By Phone, Fax, Checks, Corporate Order in US Dollars:

Maagnum DigiBuy® Payment services also accept orders by Credit Cards via Phone or Fax, Checks or International Postal Orders or Corporate Purchase Orders. Payment in US Dollar only.

Click here to Place an Order

By Fax or Checks in Euros:

You can send orders to Axialis Software directly (located in France, Europe). We accept payments by credit cards (MasterCard®, VISA®) and checks (in Euros, drawn in a French bank only). Payment in Euros only. See pricing for prices in Euros.

Fax Credit Card Orders to: 1 435-518-5206 (USA)

Send Checks/Mail Orders to: Axialis Software - 1, rue de Stockholm - 75008 Paris - France

Personal or Corporate Edition?

If you're a Company or an Organization:

• You have to purchase the Corporate Edition (one copy per user/workstation).

If you're an Individual User:

• You can purchase the Personal Edition if you don't sell your icons.

• If you want to sell you icons or wish to get the corporate edition features (see comparison) you have to purchase the Corporate Edition.

Pricing / Quantity Rebates

Product / Copies | US Dollars* | Euros**
IconWorkshop - Corporate Edition |  |
1 Copy* | $59.95 | €59.95
2 to 4 Copies* | $49.95 | €49.95
5 to 24 Copies* | $39.95 | €39.95
25+ Copies* | $34.95 | €3 4.95
IconWorkshop - Personal Edition |  |
Price per Copy | $34.95 | €3 4.95

(*) Price per Copy. One copy per user. Prices are subject to change. Check Axialis web site for up-to-date prices.

(**) Prices in Euros are used for orders placed by fax or checks to Axialis directly (see above - add 6.00 Euros for shipment if CD order).


Shareware Distribution

Shareware Distribution - Shareware Version

You are hereby licensed to make as many copies of the SHAREWARE VERSION as you wish and distribute it to anyone provided that all files are intact.

You must distribute the install form of the SHAREWARE VERSION (you must distribute the INSTALL file, not the files resulting of an installation).

You are not allowed to sell the SHAREWARE VERSION (except for shipment and handling charges).

Press is authorized to distribute it on any Cover Disk, CD-ROM without permission from Axialis. Please inform us by email ( martine@axialis.com ) each time you distribute the SHAREWARE VERSION.

Shareware Catalog Web sites are authorized to distribute it as a download file (hosted or linked to Axialis site) without permission from Axialis. Please inform us by email ( martine@axialis.com ) if you include the SHAREWARE VERSION on your site.


User Licence Agreement for Axialis Software

User Licence Agreement - Shareware Version

IMPORTANT NOTICE

Read this License Agreement carefully before using this Software. BY USING THIS SOFTWARE IN ANY WAY YOU ACKNOWLEDGE THAT YOU HAVE READ, UNDERSTAND AND AGREE TO THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THESE TERMS, DO NOT USE THIS SOFTWARE IN ANY WAY, AND PROMPTLY RETURN IT OR DELETE ANY COPIES OF THIS SOFTWARE IN YOUR POSSESSION.

LICENSE GRANT

Axialis Software ("AXIALIS") grants you a non-exclusive license to test this software in Shareware version, and any associated documentation ("The Shareware"), as indicated herein.

You MAY: (a) install and use the Shareware for evaluation purpose only during 30 days after the installation; (b) create icons using the Shareware and save them for evaluation purpose only; (c) Redistribute the Shareware by any mean (CDROM, Cover Disc, Web site...) as long as you do change the original package and distribute only the original install package.

RESTRICTIONS

You MAY NOT: (a) use the Shareware after the evaluation period of 30 days; (b) use the icons created with the Shareware (except for test purpose); (c) sell this Shareware package (except for shipement and handling charges); (d) cause or permit reverse engineering, disassembly, decompilation or alteration of this Software; (e) remove any product identification, copyright notices, or other notices or proprietary restrictions from this Software; (f) copy the documentation accompanying the software.

SHAREWARE DISTRIBUTION

You are hereby licensed to make as many copies of the Shareware as you wish and distribute it to anyone provided that all files are intact. You must distribute the install form of the Shareware (you must distribute the INSTALL file, not the files resulting of an installation). You are not allowed to sell the Shareware (except for shipment and handling charges). Press is authorized to distribute it on any Cover Disk, CD-ROM without permission from Axialis. Shareware Catalog Web sites are authorized to distribute it as a download file (hosted or linked to Axialis site) without permission from Axialis.

TERM

This License is effective until terminated. You may terminate it at any time by destroying the Shareware, together with all copies thereof. This License will also terminate if you fail to comply with any term or condition of this Agreement. Upon such termination, you agree to destroy the Shareware, together with all copies thereof.

COPYRIGHT/OWNERSHIP

This Shareware and its source code are proprietary products of AXIALIS and are protected by copyright and other intellectual property laws.

DISCLAIMER OF WARRANTIES

The Shareware is supplied "AS IS". AXIALIS disclaims all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The user must assume the entire risk of using the Shareware.

DISCLAIMER OF DAMMAGES

AXIALIS assumes no liability for damages, direct or consequential, which may result from the use of the Shareware, even if AXIALIS has been advised of the possibility of such damages.


Acknowlegments

Acknowledgments

Icons and Images used in the program

Thanks to these great icon artists for giving us permission to include some of their icons and images in the program (toolbar buttons, icons, dialog illustration...):

. Marvilla (midnight@yifan.net - website: Iconica).

. Foood (foood@foood.net - website: Foood.net). Special thanks for the nice program icon!

. Everaldo (everaldo@everaldo.com - website: Everaldo.com).

Sample Icons

Thanks to Paul Boyer (mormegil@odyssey-3.com) for giving us permission to include some of its FauxS-XP icons. We invide you to visit Paul Boyer's pages: The FauxS-X Project (http://www.fauxs-x.com) and Odyssey-3 Illustration & Design (http://www.odyssey-3.com).

Congratulations to the Axialis/Lockergnome 2002 Icon Contest winners! They created great icons for this event. As a result, some of their icons are included in this IconWorkshop package (full icon sets available for download from Axialis website) :

. Thanks to Marvilla (midnight@yifan.net - web site: Iconica) for her 2 great icon sets: Brights and Acuarela (click to download full icon set).

. Thanks to Carlitus (mail@carlitus.net - web site: www.carlitus.net) for his great icon set: Noia (click to download full icon set).

. Thanks to Sybold (syboldvdwerff@planet.nl - web site: http://www.sybold-design.tk) for his great icon set: Isometric (click to download full icon set).

. Thanks to Tripleman (roger@tripleman.com - web site: http://www.tripleman.com) for his great icon set: Tripleman (click to download full icon set).

Translation

Thanks to Richard Bol for his great Dutch translations (program, context help, install and uninstall).

Compression Support

Thanks to Jean-loup Gailly and Mark Adler for writing the fantastic and free ZLIB compression/decompression library which is used in Axialis products. You can visite the official ZLIB Web page at: http://www.cdrom.com/pub/infozip/zlib

PNG Support

Thanks to the creators of the PNG graphic file format and its related source code. You can visite the official PNG Web page at: http://www.cdrom.com/pub/png

JPEG Support

Thanks to Thomas G. Lane and the Independent JPEG Group for the JPEG graphic file format and its source code. You can visite the official JPEG Web page at: http://www.ijg.org


System Requirements

Axialis IconWorkshop has been designed to work with Microsoft Windows® 95, 98, ME, NT4, 2000, XP or more.

Minimum

  • Pentium® class CPU - 350 Mhz

  • 65536 color video card - 800x600

  • 64 Mb RAM

  • Microsoft Windows® 95 (with ComCtl32 v4.72+) or NT 4.0 SP4

Recommended

  • Pentium® 3/4 or AMD Athlon - 500 Mhz or more

  • True Color Video Card (24 or 32 bits - 16,8 M colors) - 1024x768

  • 128 Mb RAM

  • Microsoft Windows® ME/2000/XP or more


Copyright

Axialis IconWorkshop 5.03

Copyright ©2003 Axialis Software - All Rights Reserved

30 Day Shareware Version - Redistribute Freely

Authors:

Martine BOCCANFUSO
Marc EMILE
William and Sarah

Express your talent!


Getting Started with IconWorkshop

Getting Started with IconWorkshop (Quick Tutorial)...

Before starting this Quick Tutorial in 10 lessons, we recommend you to read the topic below which explains in details all you need to know about icons:

What is an Icon?

Quick Tutorial

Lesson 1 - Creating a new icon from scratch

Lesson 2 - Drawing an icon using the built-in tools

Lesson 3 - Adjusting the icon image

Lesson 4 - Adding new image formats

Lesson 5 - Saving the icon, storing it in the Librarian

Lesson 6 - Creating a new icon from an existing image

Lesson 7 - Creating a new icon from a PSD image with Layers

Lesson 8 - Creating a new Icon Library

Lesson 9 - Adding icons to the Icon Library

Lesson 10 - Compiling the Icon Library


What is an Icon?

An icon is a graphic image, a small picture or object that represents a file, program, web page, or command. Icons help you execute commands, open programs or documents quickly. To execute a command by using an icon, click or double-click on the icon. It is also useful to recognize quickly an object in a browser list. For example, all documents using the same extension have the same icon.

That's almost all you need to know if you only use icons. But to create icons, which is the purpose of Axialis IconWorkshop, you need to more about them. What's the difference between a standard image and an icon image? What's the structure of an icon? How to create an icon which will display correctly on all screen configurations (size, colors...)? Can we save an icon to a file? Can we assemble several icons into one file? What about the new Windows XP icon format? What's the difference between Windows® and Macintosh® icons?

What are the differences between an image and an icon?

A computer image is a bitmap (composed of pixels) or vector (composed of drawing paths) picture, which can be saved using various formats (BMP, PSD, GIF, JPEG, WMF...). All these formats have several different properties (bitmaps, vectors, compressed, layered, animated...) and can be used to store pictures at any sizes and resolution.

Icons are different from standard images. They are have standard sizes (usually small): 16x16, 32x32, 48x48... One icon is composed of several images. Each of them with a different size and number of colors (mono, 16 colors, 256 colors, 16.8M...). And the most important property of an icon is the ability to include transparent areas. This allows seeing the screen background behind the icon within its square image (see illustration below).

What is the structure of an icon?

As we've seen in previous paragraph, an icon is a group of images of various formats (size and colors). Furthermore, each image can include transparent area. That's why you'll find a transparent color in the drawing palette for 16 or 256 color images and a variable opacity parameter for the new Windows XP image format (opacity = 0 means transparent).

This is very important to create several image formats in an icon (especially if you whish to redistribute it) in order to be compatible with all screen configurations. Also, in Windows XP for example 3 image size are needed for each icon: 48x48 to be displayed in explorer lists, 32x32 to be displayed on the background desktop and 16x16 for windows and taskbar.

Of course, IconWorkshop includes a powerful feature to create new formats based on existing images in a few clicks.

How to create an icon which will display on all screens configurations?

To be compatible with all display cases and screen configurations, you must consider creating icons containing various image formats based on the following rules:

IMAGE SIZES:

16x16: Displayed in taskbar, windows upper-left corner, detailed lists...

24x24: Displayed in Windows 2000/XP menus (facultative)

32x32: Displayed in desktop, lists...

48x48: Displayed in Windows XP explorer and system lists...

IMAGE COLORS:

Monochrome: Displayed by Windows if the screen is monochrome (rare, facultative)

16 colors: Displayed by Windows if the screen is 16 or 256 colors (recommended)

256 colors: Displayed by Windows if the screen is 16bits or True Colors (recommended)

Windows XP: Displayed by Windows XP if screen is True Color or more (recommended)

If an image format is missing, Windows® displays the nearest existing image. It works but the result is generally distorted.

IMPORTANT - If you add 24x24 image formats in your icon, it won't be compatible with Windows 98 and 2000. If you use these Windows versions, the icon will display correctly in IconWorkshop but will be considered as invalid by Windows.

Can we save an icon to a file?

Yes, the extension for a standard Windows® icon file is ICO. Only one icon can be saved in a ICO file. If you want to group several icons in a file you must create an ICL library (see below).

Axialis IconWorkshop fully support ICO files. It can create, read and save icons using the ICO file format. Furthermore, ICO is a standard file format which is fully supported by all versions of Windows®.

Can we assemble several icons into one file?

Yes, you can assemble an unlimited number of icons in an Icon Library. The extension for a standard Icon Library is ICL.

Axialis IconWorkshop fully supports ICL files. It can create, read and save ICL library files. Furthermore, ICL is fully supported by all versions of Windows®. For example, you can customize a Windows shortcut by selecting a new icon in an ICL file. If you manage a large number of icons, we recommend you to store them in ICL files.

What about the new Windows XP icon format?

This is not a new icon format at all. This is a new image format that you can find in new generation of icons. This new image format is called "Windows XP" by IconWorkshop.

This image format contains a 24 bit image, providing 16,8 million colors to the image, plus an additional 8 bit image called the opacity image (a.k.a. Alpha Channel). As a result, the image color depth is 32 bits (i.e. you need 32 bits to define one pixel). The main advantage of this image format is that it permits to display a smooth transparency in icons. The resulting image is displayed with smooth contours on all backgrounds. It permits also to create dropped shadows behind icons. This interesting effect, which is recommended by Microsoft, is usually used in Windows XP icons.

The following illustration shows the difference between a standard image format transparency (in 256 color formats for example) and the new Windows XP smooth transparency:

What's the difference between Windows® and Macintosh® icons?

Microsoft Windows® and Apple Macintosh® icons are very similar. They both have several image formats embedded in the same icon. But the file format is totally different. You cannot use Macintosh® icons as is under Windows®. The file format is not compatible. You must convert them to Windows® ICO file format (with IconWorkshop of course!).

Axialis IconWorkshop supports the following Macintosh® icon files (reading only): ICNS, RSC and _ICON. You can easily open them into the Icon Editor and save them as Windows® ICO format. During this operation, we recommend you to remove special Macintosh® formats which are useless under Windows®.

Note that the new OS-X icons can contain a very large image format (128x128 - 32 bits ie Windows XP smooth transparency) called "Thumbnail" format. This format is also supported. Although this image size is not actually supported by Windows, it's a good idea to start from this hi-res size to create a new Windows icon with the standard image formats.

To get more info, see: Converting Macintosh icons to Windows format


Quick Tutorial

Lesson 1 - Creating a new icon from scratch

Lesson 2 - Drawing an icon using the built-in tools

Lesson 3 - Adjusting the icon image

Lesson 4 - Adding new image formats

Lesson 5 - Saving the icon, storing it in the Librarian

Lesson 6 - Creating a new icon from an existing image

Lesson 7 - Creating a new icon from a PSD image with layers

Lesson 8 - Creating a new Icon Library

Lesson 9 - Adding icons to the Icon Library

Lesson 10 - Compiling the Icon Library


Lesson 1 - Creating a new icon from scratch

In this lesson, we'll create a new blank icon and take a look at the Icon Editor window.

Start the new icon project

1. Choose File/New/Icon Project or press Ctrl+N. A new dialog box opens:

2. In the Name group ( [image]), enter the icon project name: "MyFirstIcon". Do not specify any extension.

3. In the Colors group ( [image]), select: Windows® XP colors With Alpha Channel (16.8 M - 32 bits). This format will be used only if the icon is displayed under Windows® XP. This format uses an additional Alpha Channel to create smooth shades and object borders.

We strongly recommend you to start creating your icons with this color mode.

Yes, even if you don't have Windows XP, this is easier to start working in this mode then create the other image formats from this one. Also, if you upgrade to Windows XP in the future all your icons will display using this smooth mode (see What is an Icon for more info). Of course, if you plan to redistribute your icons, this color mode is highly recommended.

4. In the Size in Pixels group ( [image]), choose: 48x48. This is the largest recommended image size.

We strongly recommend you to start with this size.

Yes, this is easier to start working with this size. This is easier to draw a large image then create the other image formats from this one (see What is an Icon for more info regarding image formats).

5. Click OK, the dialog box closes.

A Quick Tour of the Editor Window

6. This new Editor Window opens:

The Drawing Area ( [image]) permits you do draw your icon image. This area use the 2 mouse buttons to draw: Left button for the Foreground Color, Right button for the Background Color. As a result, you cannot right-click in the drawing area to open a local context menu. To open a local menu, right-click around the drawing area ( [image]) or in the Image Format list ( [image]).

The Image Format List ( [image]) shows all the image formats available in your icon (only 1 image for the moment). The selected image ( [image]) format is always displayed in the Drawing Area. You can show/hide this list (Press "I" or choose View/Icon Image Formats/Show). You can also place it on the left or right side of the Edit Window (choose View/Icon Image Formats/Left or Right).

The Local Toolbar includes many commands. For now, just try to click the Image Format List show/hide button ( [image]). You can also show/hide the Grid in the drawing editor ( [image]). Actually the Zoom Factor is automatically based on the window size ( [image]). but you can change it manually by clicking on + or - ( [image]).

7. The Drawing Area displays a special texture (like a chessboard). This texture indicates a transparent area. Actually, as you have not drawn anything, the icon is fully transparent. Transparent areas allow to see the screen background behind the icon within its square image (see illustration below).

8. This texture can be customized to meet your needs. Choose Edit/Preferences or press "F2". A dialog box opens, choose the Editor tab:

First, you can modify the size of the Transparency chessboard squares ( [image]). Then, to change the colors of the texture you can either select a predefined scheme ( [image]) or choose custom colors ( [image]). You can see the changes in the preview area ( [image]).

Changing the Grid aspect may also be interesting ( [image]). To finish, you can activate or deactivate a feature which permits to draw stronger (darker) lines at fixed intervals. By default this interval is 8 ( [image]).

When done, click OK.

Lesson 2 - Drawing an icon using the built-in tools


Lesson 2 - Drawing an icon using the built-in tools

In this lesson, we'll start drawing a basic information image (a blue filled circle with a "i" letter drawn inside), using some of the available tools.

Selecting a tool, a color and drawing

1. Click the Filled Ellipse drawing tool ( [image]) or Draw/Drawing Tools/Filled Ellipse:

2. Left-click the Blue Color we'll use to draw the circle in the color swatches ( [image]). Check that the drawing Opacity is 255 ( [image]).

3. Using the Left Mouse Button, start drawing your circle from coordinates (3,3) to (44,44). Press SHIFT key while drawing to create a circle (width = height) rather than an ellipse. The circle is dynamically drawing while moving the mouse. When you release the mouse button, the circle border is automatically smoothed. This is a new feature of IconWorkshop. It works only with Windows XP image formats. It can be enabled/disabled by pressing "E" (Smooth Edges in the local toolbar).

4. When done, you see the blue circle in the drawing area and in the Preview 1:1 floating palette ( [image]).

5. Ooops! If you made a small error while drawing, you can Undo what you did. Choose Edit/Undo or press Ctrl+Z or Alt+Backspace. Now you can try again.

Drawing a letter in the circle

6. To do so, IconWorkshop includes a Text feature. First select White Color (255,255,255) in the color swatches (the procedure is similar to [image] you did before).

7. Click the Text tool (a 'A' letter button at the lower-right corner of the Drawing Tools). A Dialog box opens:

8. In the Text to add zone ( [image]), type the "i" letter. In the Font list ( [image]), choose "Tahoma". In the Size zone, choose 30 and click Bold ( [image]). You can check the result in the preview zone ( [image]). When done, click OK.

9. A large selection box has been added in the upper-left corner on the drawing area. This selection contains the large "i" letter drawn in white. This is a floating selection that can be moved over the existing image.

10. Move the mouse pointer over this selection area. The pointer automatically switches to a four-arrow cursor ( [image]). Now left-click in this area (keep the button pressed) and move your mouse to the center on the Drawing Area in order to get the following result ( [image]):

11. You can apply the floating selection by click left-clicking anywhere.

Congratulations! you've created your first icon image!

Lesson 3 - Adjusting the icon image


Lesson 3 - Adjusting the icon image

In this lesson, we'll modify the icon image we've drawn in Lesson 2 using some of the Adjustment Tools available. These tools do NOT permit you to draw something but to modify appearance of an existing image (brightness, contrast, hue, size, rotate...).

Changing the brightness and contrast of our icon

1. Select the whole image: Use the selection tool (upper-left button of the tool palette) and select the whole icon using Drag & Drop or Press Ctrl+A. When done, an animated dashed rectangle has been created.

All adjustments applies to the selection area only.

2. Choose Draw/Adjustments Effects/Brightness-Contrast or press "B". A Dialog box opens:

3. In the Brightness group ( [image]) specify -5 either using the slider or the edit zone. In the Contrast group ( [image]) specify 20. When done, click OK. The image has been adjusted (a stronger blue color).

Moving the image

4. Select the image: Use the selection tool (upper-left button of the tool palette) and select the whole icon using Drag & Drop or Press Ctrl+A. When done, an animated dashed rectangle has been created.

5. We want to move the image by one pixel in the upper-left direction.
Using the mouse: Move the mouse pointer over this selection area. The pointer automatically switches to a four-arrow cursor ( [image]). Now left-click in this area (keep the button pressed) and move your mouse by one pixel up and one pixel left.
Using the keyboard: Press the Up Arrow key and the Left Arrow key once.

6. Important: By doing this, you've transformed the selected portion in a Floating Selection. A floating selection can be moved over the rest of the image preserving the transparent area. When you've finished moving this selection you must apply it by cleft-clicking anywhere in the image.

Creating a shadow behind the icon (Windows XP style)

7. Select the image: Use the selection tool (upper-left button of the tool palette) and select the whole icon using Drag & Drop or Press Ctrl+A. When done, an animated dashed rectangle has been created.

8. Choose Draw/Adjustments Effects/Drop Shadow or press "D". A shadow has automatically been added (using Microsoft recommendations for Windows XP style) behind the icon. If you want to create a stronger shadow, just repeat the operation:

Lesson 4 - Adding new image formats


Lesson 4 - Adding new image formats

In this lesson, we'll add New Image Formats to the icon. This is very important to create several image formats in an icon (especially if you whish to redistribute it) in order to be compatible with all screen configurations (see What is an Icon for more info).

The following table shows you the standard Windows image formats:

IMPORTANT - If you add 24x24 image formats in your icon, it won't be compatible with Windows 98 and 2000. If you use these Windows versions, the icon will display correctly in IconWorkshop but will be considered as invalid by Windows.

Adding a new icon format based on the current image

1. Select Draw/New Image Format or press Ins. You can also click on the button ( [image]) in the local toolbar or right-click in the Image Format List ( [image]) then choose New Image Format.

2. A Dialog box Add a New Image Format opens:

3. In the Colors ( [image]) and Size groups ( [image]), IconWorkshop propose you to create the next missing image format (based on the recommended Windows image formats - see the above table). Leave the actual selection as is "Windows XP" and 32x32.

4. You can choose to create this new format based on an existing image format. By default, IconWorkshop choose the best existing image format to create the new one. You can change this proposal and choose your own selection (this is not recommended). Be sure the option Create a new image based on the following image is selected ( [image]).

5. When done, Click OK. The new image format is created and the previous image format has been automatically resized. The new format is selected in the list (see below [image]) and is displayed in the drawing area ( [image]):

A Faster way to create a new format

4. If you want to create quickly a new standard image format, just right click on an image format in the list. A menu opens and proposes you to create the next missing format based on the selected image. For example, right-click on the 32x32 XP image format and choose Create 16x16 Win XP Image Format in the menu (see below [image]):

5. The new image format is automatically created and selected.

6. Now repeat the same operation to create:

48x48 - 256 Colors (based on 48x48 - Windows XP)

32x32 - 256 Colors (based on 32x32 - Windows XP)

16x16 - 256 Colors (based on 16x16 - Windows XP)

48x48 - 16 Colors (based on 48x48 - 256 Colors)

32x32 - 16 Colors (based on 32x32 - 256 Colors)

16x16 - 16 Colors (based on 16x16 - 256 Colors)

7. You have created your first Windows XP compliant icon:

Lesson 5 - Saving the icon, storing it in the Librarian


Lesson 5 - Saving the icon, storing it in the Librarian

In this lesson, we'll save the icon we've created in the Librarian. Actually, the icon is loaded in memory but not saved. If the computer is turned off now, your work will be lost. For the moment we'll save it as an ICO file (see What is an Icon for more info regarding ICO files).

Adding the icon to the librarian

1. To save this icon to the librarian, you must be sure that the librarian is visible and located to the correct folder (select the "Icons" folder [image]). If the librarian window is not visible ( [image]), check the Librarian button in the main toolbar ( [image]) or press ESC.

2. Select the folder where you want to save the icon in the librarian tree ( [image]), its contents appears in the zone below ( [image]).

3. Choose the File/Add to the librarian or click on the command button in the local toolbar (see below [image]):

4. A dialog box Add Icon to the Librarian prompts you. In the Name edit zone be sure the name is correct (it propose you the name you gave to the icon project).

5. When done, click OK. The icon is saved and added to the librarian:

6. Now you can close the Icon Project Document window then open it again by double-clicking on the associated item in the librarian (see above picture).

Lesson 6 - Creating a new icon from an existing image


Lesson 6 - Creating a new icon from an existing image

In this lesson, we'll create a new icon from an existing image.

Opening an image file in IconWorkshop

1. First, we're going to load a file which is located in the Librarian. You must be sure the the librarian is visible. If the librarian window is not visible ( [image]), check the Librarian button in the main toolbar ( [image]) or press ESC.

2. Select the "Media Files/Images" folder ( [image]). In the thumbnail preview list (below), you see a file named "Sphere.png" ( [image]). Select it and press Enter or just double-click on it. The file opens in a document window ( [image]).

The image "Sphere.png" is a Transparent PNG file. It means that it includes transparent areas in the image. This is where you see the "chessboard" texture ( [image]).

It is highly recommended to create icons from transparent images. Axialis IconWorkshop will convert images to 32 bpp with transparency when possible. The following image formats can include transparency: Photoshop PSD, PNG, RGB, GIF and WMF.

Creating an icon from this image

3. Before proceeding, we recommend you to select the portion of image you whish to use to create your icon. If you leave too many transparent area around your image (this is the case in this image), the visible part of your icon will be too small.

4. Select the portion of image: Use the selection tool (upper-left button of the tool palette) and select the portion of image you whish to use (do not cut the shadow below the sphere). When done, an animated dashed rectangle has been created. See the result below:

5. When the selection is done, choose Image/Create New Icon from Selection or press "I" or click the first command button in the local toolbar ( [image]):

6. The dialog box New Icon From Image opens (see below). In the Name group ( [image]), enter the icon project name: "MySphereIcon". Do not specify any extension.

7. In the Image Formats group, select the image formats you whish to add in the icon ( [image]) and unselect the unwanted images ( [image]). Just click on the image preview to select/unselect. To know more about the desired Windows® standard image format, see What is an Icon topic.

8. When done, click OK. The icon is automatically created with the various image formats you've selected ( [image]):

8. Don't forget that the icon is created in memory but not saved. Please save it in the librarian (in the "Icons" folder) as specified in Lesson 5 (name it "MySphereIcon.ico").

Lesson 7 - Creating a new icon from a PSD image with layers


Lesson 7 - Creating a new icon from a PSD image with layers

In this lesson, we'll create a new icon from a Photoshop® image which contains layers. If you do not work with Photoshop®, or if you're not familiar with layers, go directly to next lesson 8.

Let's suppose that we've created an image representing the earth using Photoshop®. This image contains a background and 2 layers. The first layer is the globe image and the second layer contains a text: "EARTH". In this lesson we'll se how to extract the first layer only (the globe) to create an icon.

Opening the PSD image file in IconWorkshop, selecting a layer

1. First, we're going to load a file which is located in the Librarian. You must be sure the librarian is visible. If the librarian window is not visible ( [image]), check the Librarian button in the main toolbar ( [image]) or press ESC.

2. Select the "MediaFiles/Images" folder ( [image]). In the thumbnail preview list (below), you see a file named "Earth.psd" ( [image]). Select it and press Enter or just double-click on it. The file opens in a document window ( [image]).

3. On the left side of the document window, you see the embedded layers ( [image]), the background ( [image]) and a flat image ( [image]). You can select one layer by clicking on it. Its contents appears automatically in the main area ( [image]). Let's select "Layer 2". The globe image (without the text) appears in the main area. We'll create an icon from this image.

Creating an icon from this image

4. The procedure is now similar to the previous lesson (see Lesson 6 for more info). Follow lesson 6 steps 3 to 7 (specify "MyGlobeIcon" as Icon Name)...

5. When done, click OK. The icon is automatically created with the various image formats you've selected ( [image]):

6. The icon is created in memory but not saved. Please save it in the librarian (in the "Icons" folder) as specified in Lesson 6 (name it "MyGlobeIcon.ico").

Lesson 8 - Creating a new Icon Library


Lesson 8 - Creating a new Icon Library

If you plan to deal with a large number of icons, we strongly recommend you to create Icon Libraries to save them. You can assemble an unlimited number of icons in an Icon Library. The extension for a standard Icon Library is ICL. Axialis IconWorkshop fully support ICL files. It can create, read and save ICL library files. Also, ICL file format is fully supported by all versions of Windows®. For example, you can customize a Windows shortcut by selecting a new icon in an ICL file.

Axialis IconWorkshop has a powerful feature to support ICL files in its built-in Librarian that permits you to consider ICL files as folders. In this lesson, we'll create a new Icon Library in the Librarian.

Creating an Icon Library in the Librarian

1. To create an Icon Library in the librarian, you must be sure that the librarian is visible and located to the correct folder (select the "Icons" folder [image]). If the librarian window is not visible, check the Librarian button in the main toolbar ( [image]) or press ESC.

2. To create the Icon Library, select Librarian/New Icon Library or right-click on the current folder in the tree and choose New Icon Library in the menu or press Ins.

3. A new entry is inserted in the tree, type the name of the new library ( [image]). Enter "Spheres" then hit Enter.

4. The new Icon Library is now created. Its contents (empty for now) is displayed in the area below. Now you can add icons to this library. This is what we'll do in next lesson.

Lesson 9 - Adding icons to the Icon Library


Lesson 9 - Adding icons to the Icon Library

Now that we've created a new icon library (named "Spheres"), we'll add to it the 2 icons we've previously created.

Adding an icon to the Icon Library (from the Librarian)

1. Be sure the librarian is visible and select the "Icons" folder. Also, if necessary, click on the "plus icon" located on left of the folder ([+]) to expand the tree branch and show the sub-libraries (including our newly created "Spheres" library).

2. In the list below, select "MySphereIcon.ico".

3. Now, using the mouse, Drag & Drop the icon to the Icon library in the tree above. Release the mouse. The file has been copied to the Icon Library. If you want you can delete it from the folder.

4. Now, verify by selecting the Spheres library in the tree. The icon appears in the list below. Note that the aspect of the items in the list below has changed. It has been optimized to display icons only (check options in the local toolbar to display icons in this list).

Adding an icon to the Icon Library (from an opened icon document)

5. Be sure the librarian is visible and select the "Icons" folder.

6. In the list below, select "MyGlobeIcon.ico". Hit Enter or double-click on it. It opens in a document window.

7. Now, select the Spheres library in the tree (if necessary, click on the "plus icon" located on left of the folder ([+]) to expand the tree branch).

8. Return to the document window and choose File/Add to the Librarian or press F3 or click on the associated button in the local toolbar (see below [image])

9. A dialog box Add Icon to the Librarian opens. Keep the proposed name, click OK. The icon is no added to the icon library "Sphere". The icon has been saved and inserted in the library. Now close the document.

Adding several other icons the Icon Library...

Now, as an exercise, create several icons and add them to this library. Don't hesitate to save often this library (right click in the icon list then choose Save Now). It is also automatically saved when you change of library or folder in the librarian tree.

Lesson 10 - Compiling the Icon Library


Lesson 10 - Compiling the Icon Library

In this lesson, we'll compile the "Spheres" library we've created in previous lessons. This will produce an EXE installable package (one compressed file) ready for redistribution.

Selecting the Library, starting the compilation wizard

1. First, we're going to select the library which is located in the Librarian. You must be sure the librarian is visible. If the librarian window is not visible ( [image]), check the Librarian button in the main toolbar ( [image]) or press ESC.

2. Select the library "Spheres" in the librarian tree ( [image]), the icons included in the library appear in the list below ( [image]). Right-click in this list and choose Compile as EXE Installable Package ( [image]) or click the associated button ( [image]). All the icons are automatically selected and a dialog box opens.

Note that if only one icon is selected, all the icons are included in compilation. If 2 or more icons are selected, only these icons are included in compilation.

Specifying the compilation options using the wizard

3. The first screen of the Compilation Wizard opens:

In the Filename zone ( [image]), enter the name of the installation program file that will be generated. For the moment let's keep "Install" as proposed. In the Location zone ( [image]), specify the folder where you want to create the installation package, you can change this folder manually or browse your disks by clicking the "..." button ( [image]).

4. When done, click "Next >>". The 2nd screen of the Compilation Wizard opens:

In the Filename zone ( [image]), enter the name of the ICL file that will be created by the installation on the end user computer. We recommend you to always keep the ICL name proposed by IconWorkshop. In the Title zone ( [image]), specify the title that will be displayed (using large font) in the install procedure window. In the Copyright zone ( [image]), specify your copyright/property notice (it will be displayed in bold font under the title).

In the zones bellow ( [image]), specify your name, website link and a comment. This information will be added in the install procedure About Box.

5. When done, click "Next >>". The 3rd screen opens:

This screen permits you to specify an information text that will be displayed in the installation procedure. This is very useful to inform the user about the icon library, your business... If you want to specify a text, click Display an Information Text box ( [image]). The zone below activates ( [image]). You can type the text in this box. You can also load or save text files using the related buttons ( [image]). For this tutorial, we propose you to disabled this feature.

6. When done, click "Next >>". The 4th screen opens:

This screen permits you to specify an License Agreement text that will be proposed to the user during the installation procedure. The user will be asked to accept all the terms of this agreement before proceeding with the installation. If you want to specify a text, click Add a User License Agreement box ( [image]). The zone below activates ( [image]). You can type the text in this box. You can also load or save text files using the related buttons ( [image]). For this tutorial, we propose you to keep this standard License.

7. When done, click "Next >>". The 5th screen opens. It permits you to implement an Activation feature in your screensaver. If you choose to use this feature, the user who will install the icon library will be prompted to enter a personal Activation Code to proceed with the installation. To read more about this advanced feature, see Use an Activation Code topic. For this tutorial, we won't use this feature.

8. When done, click "Next >>". The last screen named Ready to Compile opens. It proposes you to read a summary of the options you selected before proceeding with the compilation. Always read in details this summary before validating. When done, click "Next >>". The compilation starts...

Testing the compiled installation package

9. When done, a large button appears "Test the Installation Package Now". Click on it to test the compiled file. It looks this:

Now follow the install procedure to see the result. Of course, the "Install.exe" file has been created in the destination folder you specified above. This is a standalone EXE install file that can be copied and redistributed.

A word to finish...

This tutorial is now finished. Now that you've seen the basic features of IconWorkshop and understood the philosophy of use, we propose you to go further and explore the feature by testing the numerous commands available in menus and toolbars. When you need an answer about a feature, check this help in the reference section about the related command. You can also check the "How To..." section if you whish to execute a particular task.

We wish you to have fun using IconWorkshop!

And, don't hesitate to EXPRESS YOUR TALENT!!


How To...

You'll find in these topics how to perform a specific task:

How to Change the User Interface of IconWorkshop

How to Change the Editor Drawing Area Aspect

How to Create an Icon from an Image File

How to Create an Icon from a Cursor File

How to Create an Icon from a Transparent GIF File

How to Create an Icon From a Web Image

How to Create an Icon from the Clipboard Contents

How to Use IconWorshop with Adobe Photoshop®

How to Use IconWorshop with Jasc Paint Shop Pro®

How to Use IconWorshop with Macromedia Freehand®

How to Create Windows XP Compliant Icons

How to Convert a Macintosh® Icon To a Windows® icon

How to Use StuffIt Expander® to Read Macintosh® Icons

How to Batch Convert Several Macintosh® Icons to Windows®

How to Batch Create Several Icons from Images, Mac® icons

How to Search All the Icons I Have on My Computer

How to Create Different Color Versions of an Icon

How to Create a PNG, BMP or PSD Image with Transparency

How to Batch Create PNG Images with Transparency from Icons

How to Create a Snapshop Picture of My Icons

How to Add a Favorite Icon to my Web Site

How to Compile Icon Libraries with Activation Codes


How to Change the User Interface of IconWorkshop...

All of our softwares have a specific "Axialis" interface. Since the release of Microsoft® Windows® XP we decided to implement a feature that permits you to choose between Axialis and Microsoft Standard interface. You can also change various settings to customize your interface.

To switch to Standard Windows® Interface

1. Choose Edit/Preferences or press F2. A dialog box opens.

2. Select the User Interface tab. In the User Interface Type group, select the Windows® Standard User Interface option (see the preview image).

3. When done, Click OK. The interface switches back to Windows® classic (or the active XP theme).

To switch to Axialis Interface

1. Choose Edit/Preferences or press F2. A dialog box opens.

2. Select the User Interface tab. In the User Interface Type group, select the Axialis Software User Interface option (see the preview image).

3. When done, Click OK. The interface switches back to Axialis model.

To Change the Color of the Axialis Interface

1. Choose Edit/Preferences or press F2. A dialog box opens.

2. Select the User Interface tab. In the User Interface Type group, select the Axialis Software User Interface option (see the preview image).

3. In the Color list below, select the desired color.

4. When done, Click OK. The Axialis interface color changes.

To Change the Colors of the Full Screen and Documents Backgrounds

1. Choose Edit/Preferences or press F2. A dialog box opens.

2. Select the User Interface tab. In the User Interface Type group, select the Axialis Software User Interface option (see the preview image).

3. In the Background Colors group, select the desired colors.

4. When done, Click OK.

To Customize the Main Toolbar Buttons

1. Right-click the main toolbar and choose Customize Buttons or press Ctrl+F9. A dialog box opens.

2. You can remove, add or move buttons using this standard Windows dialog box.

3. When done, Click OK.

To Customize the Main Toolbar Aspect

1. Choose Edit/Preferences or press F2. A dialog box opens.

2. Select the Toolbars tab. In the Main Toolbar group, you can change various settings.

3. When done, Click OK.


How to Change the Editor Drawing Area Aspect...

To Change the Chessboard Texture of the Transparent Areas

1. Choose Edit/Preferences or press "F2". A dialog box opens, choose the Editor tab:

2. You can modify the size of the Transparency chessboard squares ( [image]). Then, to change the colors of the texture you can either select a predefined scheme ( [image]) or choose custom colors ( [image]). You can see the changes in the preview area ( [image]).

3. When done, click OK.

To Change the Grid Aspect

1. Choose Edit/Preferences or press "F2". A dialog box opens, choose the Editor tab (see above picture).

2. Change the Grid aspect in the related group ( [image]). To finish, you can activate or deactivate a feature which permits to draw stronger (darker) lines at fixed intervals. By default this interval is 8 ( [image]).

3. When done, click OK.


How to Create an Icon from an Image File...

Step 1: Open the image file in IconWorkshop

1. Choose "File/Open", browse your folders and select your file (Windows standard dialog box).

or

Choose "File/New/File Explorer" or press Ctrl+E. A built-in Axialis file explorer window opens. Browse your disks, see the thumbnail preview and double-click the image file you wish to open.

or

In the Recently Used zone (in the main toolbar), type the full pathname of the image file you wish to open then hit Enter.

2. The image file opens in a document window.

Axialis IconWorkshop will convert images to 32 bpp with transparency when possible. This is much more convenient to create icons. The following image formats can include transparency: Photoshop PSD, PNG, RGB, GIF and WMF.

Step 2: Create an icon from this image

3. Before proceeding, we recommend you to select the portion of image you whish to use to create your icon. If you leave too many transparent areas around your image, the visible part of your icon will be too small.

4. Select the portion of image: Use the selection tool (upper-left button of the tool palette) and select the portion of image you whish to use (do not cut the shadow if there is one around the object). When done, an animated dashed rectangle has been created.

5. When the selection is done, choose Image/Create New Icon from Selection or press "I" or click the first command button in the local toolbar ( [image]):

6. The dialog box New Icon From Image opens (see below). In the Name group ( [image]), enter the icon project name. Do not specify any extension.

7. In the Image Formats group, select the image formats you whish to add in the icon ( [image]) and unselect the unwanted images ( [image]). Just click on the image preview to select/unselect. To know more about the desired Windows® standard image format, see What is an Icon topic.

8. If you wish to start creating your icon with an unlisted format (64x64 for example), click the Other Image Format button.

9. When done, click OK. The icon is automatically created with the various image formats you've selected.


How to Create an Icon from a Cursor File...

Axialis IconWorkshop permits you to create icons from Static (CUR) or Animated Cursors (ANI).

Step 1: Open the cursor file in IconWorkshop

1. Choose "File/Open", browse your folders and select your file (Windows standard dialog box).

or

Choose "File/New/File Explorer" or press Ctrl+E. A built-in Axialis file explorer window opens. Browse your disks, see the thumbnail preview and double-click the image file you wish to open.

or

In the Recently Used zone (in the main toolbar), type the full pathname of the cursor file you wish to open then hit Enter.

2. The cursor file opens in a document window.

Step 2: Create an icon from this cursor

3. If the file is a Static Cursor (CUR), it may contain several image formats (see list). Click on the desired format. It appears in the editor window.

or

If the file is an Animated Cursor (ANI), it contains several frames (see list). Click on the desired frame. It appears in the editor window.

4. Select the portion of image: Use the selection tool (upper-left button of the tool palette) and select the portion of image you whish to use. When done, an animated dashed rectangle has been created.

5. When the selection is done, choose Image/Create New Icon from Selection or press "I" or click the first command button in the local toolbar ( [image]):

6. The dialog box New Icon From Image opens (see below). In the Name group ( [image]), enter the icon project name. Do not specify any extension.

7. In the Image Formats group, select the image formats you whish to add in the icon ( [image]) and unselect the unwanted images ( [image]). Just click on the image preview to select/unselect. To know more about the desired Windows® standard image format, see What is an Icon topic.

8. If you wish to start creating your icon with an unlisted format (64x64 for example), click the Other Image Format button.

9. When done, click OK. The icon is automatically created with the various image formats you've selected.


How to Create an Icon from a Transparent GIF File...

GIF is a famous and widely used image format. Additionaly, some GIF files include transparent areas, which is convenient to create icons. Axialis IconWorkshop permits you to create icons from Static or Animated GIF files.

Step 1: Open the cursor file in IconWorkshop

1. Choose "File/Open", browse your folders and select your file (Windows standard dialog box).

or

Choose "File/New/File Explorer" or press Ctrl+E. A built-in Axialis file explorer window opens. Browse your disks, see the thumbnail preview and double-click the image file you wish to open.

or

In the Recently Used zone (in the main toolbar), type the full pathname of the cursor file you wish to open then hit Enter.

2. The cursor file opens in a document window.

Step 2: Create an icon from this GIF image

3. If the file is a Static GIF, it appears in the editor window.

or

If the file is an Animated GIF, it contains several frames (see list). Click on the desired frame. It appears in the editor window.

4. If the GIF image contains transparent areas they are kept (you see the Checkboard texture). Select the portion of image: Use the selection tool (upper-left button of the tool palette) and select the portion of image you whish to use. When done, an animated dashed rectangle has been created.

5. When the selection is done, choose Image/Create New Icon from Selection or press "I" or click the first command button in the local toolbar ( [image]):

6. The dialog box New Icon From Image opens (see below). In the Name group ( [image]), enter the icon project name. Do not specify any extension.

7. In the Image Formats group, select the image formats you whish to add in the icon ( [image]) and unselect the unwanted images ( [image]). Just click on the image preview to select/unselect. To know more about the desired Windows® standard image format, see What is an Icon topic.

8. If you wish to start creating your icon with an unlisted format (64x64 for example), click the Other Image Format button.

9. When done, click OK. The icon is automatically created with the various image formats you've selected.


How to Create an Icon from a Web Image...

The Web is a great place to find images. Here is how to proceed to create icons using these images.

Get the Image from the Web

1. Launch your Internet browser and surf to the desired page.

or

In the Recently Used zone (in the main toolbar), type the full Internet address of the desired page, hit Enter.

2. The page opens in a document window.

Create an icon from an image in the page using the Clipboard

Important: Using the clipboard, you loose the transparent areas if present.

3. Right-click the desired image then choose Copy. The image is copied into the clipboard.

4. If you want to create an icon using the whole image:

Select New/Icon Project From Clipboard or press Ctrl+Q. The dialog box New Icon From Image opens.

In the Name group ( [image]), enter the icon project name. Do not specify any extension.

In the Image Formats group, select the image formats you whish to add in the icon ( [image]) and unselect the unwanted images ( [image]). To know more about the desired Windows® standard image format, see What is an Icon topic. If you wish to start creating your icon with an unlisted format (64x64 for example), click the Other Image Format button.

When done, click OK. The icon is automatically created with the various image formats you've selected.

or

5. If you want to create an icon using a portion of the image:

Select Edit/Paste as New Image or press Ctrl+I. A new document is created containing the desired image.

Now follow Step 2 procedure as in topic: Create an Icon from an Image File .

Create an icon from an image in the page using a temporary file

Important: Using a temporary file, you keep the transparent areas if present.

3. Right-click the desired image then choose Save Picture As. Store the image on your hard disk using a new filename.

4. Now, create your icon as in topic: Create an Icon from an Image File using the newly created file.


How to Create an Icon from the Clipboard Contents...

Creating an Icon from the Clipboard Contents is the quickest way to proceed. It permits also to transfert images from external programs.

Important: If the external program (from where you copied the image) does not support 32Bpp images with transparent alpha channel, the transparency will be lost.

Creating the Icon from the Clipboard Contents

1. Select New/Icon Project From Clipboard or press Ctrl+Q. The dialog box New Icon From Image opens. In the Name group ( [image]), enter the icon project name. Do not specify any extension.

2. In the Image Formats group, select the image formats you whish to add in the icon ( [image]) and unselect the unwanted images ( [image]). Just click on the image preview to select/unselect. To know more about the desired Windows® standard image format, see What is an Icon topic.

3. If you wish to start creating your icon with an unlisted format (64x64 for example), click the Other Image Format button.

4. When done, click OK. The icon is automatically created with the various image formats you've selected.


How to Use IconWorshop with Adobe Photoshop®...

If you use Adobe® Photoshop® to create and retouching your images, here is how to proceed to work with Axialis IconWorkshop:

Transferring an Image from Photoshop® to IconWorkshop® to Create an Icon

1. Axialis IconWorkshop supports the native Photoshop® PSD image format with Layers. In Photoshop save your image to a PSD file.

2. In IconWorkshop, choose "File/Open", browse your folders and select your file (Windows standard dialog box).

or

Choose "File/New/File Explorer" or press Ctrl+E. A built-in Axialis file explorer window opens. Browse your disks, see the thumbnail preview and double-click the image file you wish to open.

or

In the Recently Used zone (in the main toolbar), type the full pathname of the image file you wish to open then hit Enter.

3. The image file opens in a document window. If the image contains layers, you see them on the left side of the document window. You can select one layer by clicking on it. Its contents appears automatically in the main area. Now you can create an icon from this image (see Step 2 of topic Create an Icon from an Image File).

Transferring an Image from Photoshop® to IconWorkshop® using the plug-in

1. First launch Photoshop® and open or create an image file. You don't need to launch IconWorkshop before using the plug-in. It will be automatically launched by the plug-in if necessary.

2. Select the layer and the portion of the image you want to transfer to IconWorkshop ( [image]). If you don't create a selection area, the whole layer image will be transfered. Only rectangular selections are supported for transfer.

3. Choose the Filter/Axialis/Transfer to Axialis IconWorkshop... command in the menu.

4. Axialis IconWorkshop is automatically launched (or activated if running in background) and the dialog box Install the Photoshop® to IconWorkshop Transfer Plug-in opens (see below).

3. The image is about to be transfered in IconWorkshop. You can choose one of the following operations: Create a New Icon using this Image ( [image]): You create a new icon with several formats based on the image (see step 4); Create a New Image Document ( [image]): IconWorkshop opens a new document containing the image. You'll be able to perform various operations on the image (resize, crop, save...) and even create a new icon from a portion of it; Paste the Image in the Current Icon Document ( [image]): This option is enabled only if an icon document is already opened in IconWorkshop. It pastes the image in the current editor area (just like the Clipboard paste operation).

4. If you choose the first option (Create a New Icon using this Image), the New Icon from Image dialog box opens (see below).

5. In the Name group ( [image]), enter the icon project name. Do not specify any extension.

6. In the Image Formats group, select the image formats you whish to add in the icon ( [image]) and unselect the unwanted images ( [image]). Just click on the image preview to select/unselect. To know more about the desired Windows® standard image format, see What is an Icon topic.

7. If you wish to start creating your icon with an unlisted format (64x64 for example), click the Other Image Format button.

8. When done, click OK. The icon is automatically created with the various image formats you've selected.

Transferring an Icon Image from IconWorkshop® to Photoshop®

1. Open an icon in IconWorkshop. Select the desired image format by clicking on it. It appears in the editor window.

2. Choose Draw/Save Image as Bitmap. A dialog box opens. Choose to Preserve Transparency Information (this will permit you to keep transparent areas in your PSD image file). When done, click OK.

3. A standard Save Image As dialog box opens. In the Save as Type list, select "Adobe Photoshop (PSD)". Choose a destination folder and type a new filename. When done, click OK. The file has been created.

4. In Photoshop®, open the newly created file. It opens, containing one layer with transparency. Now you can retouch it or use it as necessary.


How to Use IconWorshop with Jasc Paint Shop Pro®...

If you use Jasc® Paint Shop Pro® to create and retouching your images, here is how to proceed to work with Axialis IconWorkshop:

Transfering an Image from Paint Shop Pro® to IconWorkshop® to Create an Icon

1. Axialis IconWorkshop supports the PNG image format with Transparency. In Paint Shop Pro, save your image to a PNG file.

2. In IconWorkshop, choose "File/Open", browse your folders and select your file (Windows standard dialog box).

or

Choose "File/New/File Explorer" or press Ctrl+E. A built-in Axialis file explorer window opens. Browse your disks, see the thumbnail preview and double-click the image file you wish to open.

or

In the Recently Used zone (in the main toolbar), type the full pathname of the image file you wish to open then hit Enter.

3. The image file opens in a document window. Its contents appears automatically in the main area. If the image contains transparency, it has been kept (see the checkboard texture). Now you can create an icon from this image (see Step 2 of topic Create an Icon from an Image File).

Transferring an Icon Image from IconWorkshop® to Paint Shop Pro®

1. Open an icon in IconWorkshop. Select the desired image format by clicking on it. It appears in the editor window.

2. Choose Draw/Save Image as Bitmap. A dialog box opens. Choose to Preserve Transparency Information (this will permit you to keep transparent areas in your PSD image file). When done, click OK.

3. A standard Save Image As dialog box opens. In the Save as Type list, select "Portable Network Graphic (PNG)". Choose a destination folder and type a new filename. When done, click OK. The file has been created.

4. In Paint Shop Pro®, open the newly created file. It opens, containing the image with transparency. Now you can retouch it or use it as necessary.


How to Use IconWorshop with Macromedia Freehand®...

If you use Macromedia® Freehand® to create your images, here is how to proceed to work with Axialis IconWorkshop:

Transferring an Image from Freehand® to IconWorkshop® to Create an Icon

1. Axialis IconWorkshop supports the PNG (Portable Network Graphic) image format with Transparency. In Freehand®, save your image to a PNG file.

2. In IconWorkshop, choose "File/Open", browse your folders and select your file (Windows standard dialog box).

or

Choose "File/New/File Explorer" or press Ctrl+E. A built-in Axialis file explorer window opens. Browse your disks, see the thumbnail preview and double-click the image file you wish to open.

or

In the Recently Used zone (in the main toolbar), type the full pathname of the image file you wish to open then hit Enter.

3. The image file opens in a document window. Its contents appears automatically in the main area. If the image contains transparency, it has been kept (see the checkboard texture). Now you can create an icon from this image (see Step 2 of topic Create an Icon from an Image File).


How to Create Windows XP Compliant Icons...

In this topic, we'll see how to create icons which deal with the new Windows XP Style. We'll also see which image formats must be included in such icons in order to be compatible with all screen configurations (see What is an Icon for more info).

This topic is based on a Microsoft® article named "Creating Windows XP Icons". Click here to read the original document.

Introduction

Microsoft® Windows® XP introduces a new style in icon design (see image below). We recommand you to follow the guidelines described in this topic to create compliant icons.

The best way to proceed is to start creating large scale versions of your images in an external vector or bitmap drawing program, such as Macromedia® Freehand®, Adobe® Photoshop® or Jasc® Paint Shop Pro®. The next step will be to import them into IconWorkshop to create your icons.

All these programs support the new Alpha Channel (a.k.a. 32 BPP Smooth Transparency) feature in images. This will help you to create beautiful icons with smooth edges.

What about the new Windows XP icon format?

This is not a new icon format at all. This is a new image format that you can find in new generation of icons. This new image format is called "Windows XP format" in IconWorkshop.

This image format contains a 24 bit image, providing 16,8 million colors to the image, plus an additional 8 bit image called the opacity image (a.k.a. Alpha Channel). As a result, the image color depth is 32 bits (i.e. you need 32 bits to define one pixel). The main advantage of this image format is that it permits to display a smooth transparency in icons. The resulting image is displayed with smooth contours on all backgrounds. It permits also to create dropped shadows behind icons. This interesting effect, which is recommended by Microsoft, is usually used in Windows XP icons.

The following illustration shows the difference between a standard image format transparency (in 256 color formats for example) and the new Windows XP smooth transparency:

Windows XP Icon Style Characteristics

To create a Windows XP compliant icon, try to respect the following characteristics:

1. Color is rich and complementary to the Windows XP look.

2. Angle and perspective provide a dynamic energy to the images.

3. Edges and corners of elements are soft and slightly rounded.

4. Light source is coming from the upper left-hand corner with additional ambient light illuminating other parts of the icon.

5. The use of gradients provides dimension and gives the icon a richer look.

6. A drop shadow provides contrast and dimension.

7. Outlines provide definition.

8. Everyday objects, such as computers and devices, have a more modern consumer look.

Windows XP Icon Color Depth and Size

To be compatible with all display cases and screen configurations, you must consider creating icons containing various image formats based on the following rules:

IMAGE SIZES:

16x16: Displayed in taskbar, windows upper-left corner, detailed lists...

24x24: Displayed in Windows 2000/XP menus (facultative)

32x32: Displayed in desktop, lists...

48x48: Displayed in Windows XP explorer and system lists...

IMAGE COLORS:

Monochrome: Displayed by Windows if the screen is monochrome (rare, facultative)

16 colors: Displayed by Windows if the screen is 16 or 256 colors (recommended)

256 colors: Displayed by Windows if the screen is 16bits or True Colors (recommended)

Windows XP: Displayed by Windows XP if screen is True Color or more (recommended)

If an image format is missing, Windows® displays the nearest existing image. It works but the result is generally distorted.

Color Palette used in Windows® XP Icons

The following colors are generally used in Windows® XP icons:

We have created a file containing these color swatches. The file "Windows XP.axco" is located in "Color Swatches" subfolder of the installation directory. For your information, this file format is compatible with ACO color files used by Adobe® Photoshop®.

Perspective and Grouping Objects in Icons

This is the perspective grid that Windows® XP style icons use:

Not all objects work well at 16 × 16 at an angle. The following objects are usually shown in a straight-on manner:

• Document icons

• Icons that are symbols (such as warning or information icons)

• Icons that are single objects (such as the magnifying glass)

Create overlapping secondary objects at an angle unless it makes more sense, due to readability and integrity, that they are rendered straight on. Consider also how your icons may be viewed as a set to help determine how to group objects.

Drop Shadow

Windows XP icons use a drop shadow to provide definition and added dimension.

Adding a drop shadow effect is very simple using IconWorkshop. Once the object is created, choose Draw/Adjustments Effects/Drop Shadow. Don't forget to leave 2 or 3 free pixels in the right and bottom side of the object before applying the shadow.

Outlines

When illustrating XP-style icons, add an outline to the image to provide definition and ensure that the image works well on different background colors.

Transfering the Image to IconWorkshop® to Create an Icon

1. Axialis IconWorkshop supports the native Photoshop® PSD image format with Layers and PNG with transparency. If you use Photoshop®, save your image to a PSD file. If you use Paint Shop Pro®, Freehand® or Corel Draw®, save it to PNG with transparency.

2. In IconWorkshop, choose "File/Open", browse your folders and select your file (Windows standard dialog box).

or

Choose "File/New/File Explorer" or press Ctrl+E. A built-in Axialis file explorer window opens. Browse your disks, see the thumbnail preview and double-click the image file you wish to open.

or

In the Recently Used zone (in the main toolbar), type the full pathname of the image file you wish to open then hit Enter.

3. The image file opens in a document window. If the image contains layers, you see them on the left side of the document window. You can select one layer by clicking on it. Its contents appears automatically in the main area. Now you can create an icon from this image (see Step 2 of topic How to Create an Icon from an Image File).


How to Convert a Macintosh® Icon to a Windows® Icon...

In this topic, we'll see how to create Windows® Icons from Apple® Macintosh® Icons.

What's the difference between Windows® and Macintosh® icons?

Microsoft Windows® and Apple Macintosh® icons are very similar. They both have several image formats embedded in the same icon. But the file format is totally different. You cannot use Macintosh® icons as is under Windows®. The file format is not compatible. You must convert them to Windows® ICO file format (with IconWorkshop of course!).

Axialis IconWorkshop supports the following Macintosh® icon files (reading only): ICNS, RSC and _ICON. Icons from system 7.5, 8.5, 9.x and 10.X are supported. You can easily open them into the Icon Editor and save them as Windows® ICO format. During this operation, we recommend you to remove special Macintosh® formats which are useless under Windows®.

Which Image Formats are Present in Macintosh® icons?

Here is the list of image formats you can find in Macintosh® Icons:

• Thumbnail (128x128) - 32 bits (alpha channel)

• Huge (48x48) - 32 bits (alpha channel), 256 colors, 16 colors, mono

• Large (32x32) - 32 bits (alpha channel), 256 colors, 16 colors, mono

• Small (16x16) - 32 bits (alpha channel), 256 colors, 16 colors, mono

• Mini (12x16) - 256 colors, 16 colors

The new OS-X icons can contain a very large image format (128x128 - 32 bits ie Windows XP smooth transparency) called "Thumbnail" format. This format is also supported. Although this image size is not actually supported by Windows, it's a good idea to start from this hi-res size to create a new Windows icon with the standard image formats.

Convert the icon to Windows®, keeping all Macintosh® image formats

This is the simpliest way to proceed but we don't recommend it. Some Macintosh specific image formats may be useless.

1. Open the Macintosh icon. Choose File/Open...

2. When the icon is opened, choose File/Save As and choose a new name (.ICO) for this icon.

Convert the icon, creating only Windows® recommended image formats

We strongly recommend you to do this, especially if the Macintosh® icon includes a large 32 bits image (128x128 or 48x48 with alpha channel).

1. Open the Macintosh icon. Choose File/Open...

2. When the icon is opened, select the largest and the "most colored" image format in the list (best with 128x128 or 48x48 with alpha channel).

3. Select the whole image using the mouse or by pressing Ctrl+A. When done, an animated dashed square has been created around the whole image.

4. Copy the image in the Clipboard. Choose Edit/Copy or press Ctrl+C.

5. Select New/Icon Project From Clipboard or press Ctrl+Q. The dialog box New Icon From Image opens. In the Name group ( [image]), enter the icon project name. Do not specify any extension.

6. In the Image Formats group, select the image formats you whish to add in the icon ( [image]) and unselect the unwanted images ( [image]). Just click on the image preview to select/unselect. See the table below for the desired Windows® standard image formats:

7. If you wish to start creating your icon with an unlisted format (64x64 for example), click the Other Image Format button.

8. When done, click OK. The icon is automatically created with the various image formats you've selected.

9. Now, save your icon to Windows® format. choose File/Save and choose a new name (.ICO) for this icon.

Where to find Macintosh® icons?

Many websites offer various Macintosh® icons package for download. Try to search using Google or Yahoo for the following terms:

• "Mac icons"

• "Macintosh icons"

How to Uncompress Downloaded Macintosh® Icons Archives?

Most of these websites propose to download icons in archives using SIT/HQX packed file format. This file format is widely used by Macintosh users. To uncompress these archive files under Windows, you need a specific tool: StuffIt Expander™ for Windows. Click here to visit StuffIt website.

To know how to use StuffIt Expander™ to uncompress Macintosh icons under Windows, see the following topic: How to Use StuffIt Expander® to Read Macintosh® Icons

IMPORTANT NOTICE

Converting a Macintosh icon to Windows format does NOT change Copyright or Intellectual Property of an icon. The image/icon is property of its author and still property of this author after a conversion.

As a result, do NOT redistribute converted icons without permission of the author. Also, some Macintosh authors do not wish that you convert/use their icons under Windows. In such a case, please respect author whish and do not convert its icons, even for your personal use.


How to Use StuffIt Expander® to Read Macintosh® Icons

How to Use StuffIt Expander™ to Read Macintosh® Icons...

Most of the websites which propose Macintosh® icons to download, provide them in archives using SIT/HQX packed file format. This file format is widely used by Macintosh users.

To uncompress these archive files under Windows, you need a specific tool: StuffIt Expander™ for Windows. Click here to visit StuffIt website and download the software.

Installing and Configuring StuffIt Expander™ for Windows

1. Launch the installation program you've downloaded. Follow the procedure as usual.

2. Once installed, start the program: Start/Programs/StuffIt/StuffIt Expander. The StuffIt Expander main window opens.

3. In the main menu, choose View/Options. A dialog box opens, select the Associations tab. Select at least "Sit Archives" ( [image]) and "BinHex Encoded Files" ( [image]). If you don't want to associate the other archive types to StuffIt (ZIP, ARC, ARJ, RAR...), unselect them.

4. When done, select the Cross Platform tab. In the Convert Text File To Windows Format group (See below [image]), select the "Always" option.

5. In the Save Macintosh Files in MacBinary Format group ( [image]), select the "Always" option.

6. In the Modification of the extensions based upon the file's Type and Creator group ( [image]), select "Add if no extension".

7. When done, click OK. The program is now installed and properly configured.

Uncompressing a Downloaded SIT/HQX Archive File

1. Open Windows Explorer and browse to the folder in which you saved the archive file.

2. Double-click on the archive file. The StuffIt program starts and automatically uncompress the archive contents into a subfolder.

3. Now you can browse the newly created subfolder to see the Macintosh icons. We recommend you to use IconWorkshop built-in explorer (Ctrl+E) to browse it and see the Macintosh icons in preview thumbnail.


How to Batch Convert Several Macintosh® Icons to Windows® Icons

Using IconWorkshop you can Convert Several Macintosh® Icons to Windows® format in one operation. This is what we call a batch procedure. We'll perform this task using the built-in IconWorkshop explorer.

To get more info about Macintosh® to Windows® icon conversion see How to Convert a Macintosh® Icon to a Windows® Icon topic. In this topic we'll focus on how to convert several icons in one operation.

Select the Macintosh icons you wish to convert

1. Open a new Explorer window. Choose File/New/File Explorer...

2. When the window is opened, select the folder which contains the Macintosh icons using the tree in the left pane.

3. When done, the Macintosh® icons appears (with preview) in the right pane. Select the icons you wish to convert. You can use Shift/Ctrl + Mouse to select several icons. Use Ctrl+A to select all. Use +/- to select/unselect by specifying filters.

Convert the icons

4. Choose Explorer/Batch Convert Macintosh Icons To Windows or Ctrl+Shift+M

5. The batch operation starts immediately, the hourglass mouse pointer is displayed during the conversion. When done the Windows icons are added to the folder contents.

Remark - The created icons have the same filename as the original icon with .ico appended. A smart system has been added to index the files if necessary to avoid overwriting.

IMPORTANT NOTICE

Converting a Macintosh icon to Windows format does NOT change Copyright or Intellectual Property of an icon. The image/icon is property of its author and still property of this author after a conversion.

As a result, do NOT redistribute converted icons without permission of the author. Also, some Macintosh authors do not wish that you convert/use their icons under Windows. In such a case, please respect author whish and do not convert its icons, even for your personal use.


How to Batch Create Several Icons from Images, Macintosh Icons and Cursors

How to Batch Create Icons From Images, Macintosh® icons, Cursors...

Using this feature you can Create Several Icons from images, icons (Macintosh®/Windows®) or cursors in one operation. This is what we call a batch procedure. We'll perform this task using the built-in IconWorkshop explorer.

Select the Source Images, Icons or Cursors

1. Open a new Explorer window. Choose File/New/File Explorer...

2. When the window is opened, select the folder which contains the Source Files using the tree in the left pane.

3. When done, the Source Files appears (with preview) in the right pane. Select the icons you wish to convert. You can use Shift/Ctrl + Mouse to select several icons. Use Ctrl+A to select all. Use +/- to select/unselect by specifying filters.

Create the Icons

4. Choose Explorer/Batch Create Windows Icons from Selection or Ctrl+Shift+C.

5. The dialog box Batch Create Icons From Selection opens (see below). In the Standard Formats group ( [image]), specify the standard Windows formats you wish to add in each icon. In the Extra Formats group ( [image]), specify the non-standard Windows formats you wish to add.

5. In the Image Adjustment group ( [image]), specify whether or not you wish to apply a filter in each image format creation process. This is useful to sharpen/detail small icon format images.

6. When done, click OK. The batch operation starts immediately, the hourglass mouse pointer is displayed during the creation. When done the new Windows icons are added to the folder contents.

Remarks

• The created icons have the same filename as the original document with .ico appended. A smart system has been added to index the files if necessary to avoid overwriting.

• If you create an icon from an Image File, the whole image is selected and resized keeping its aspect ratio. If it contains transparency, it is kept.

• If you create an icon from a Macintosh® Icon, the largest image is used as source to create the icons. Transparency is kept.

• If you create an icon from a Windows® Icon, the largest image is used as source to create the icons. Transparency is kept.

• If you create an icon from a Cursor File, the largest image is used as source to create the icons. Transparency is kept.


How to Search All the Icons I Have on My Computer

How to Search the Icons I have on My Computer...

Many files containing icons are present on your computer's hard disks. Axialis IconWorkshop includes a search feature to help you locate and grab these icons.

Searching for files on your computer

1. Choose Edit/Search/On the Computer or press Ctrl+G.

2. A search option dialog box opens. In the "Named" zone ( [image]), specify a filename search criterion. If the filename contains a portion of the specified text, the file is selected. You can also use the standard DOS characters '*,?'. Example : Image*.*

3. In the "Look In" zone ( [image]), specify the folder from which you wish to start the search. If you want to perform a deep search (including subfolders), select the Include Subfolders option.

Important: if you specify folder "C:\" with subfolders, the whole disk bill be scanned. It can be a very long process!

4. In the "Type" list ( [image]), specify the type of file you wish to find ("All Icon Files").

5. You can also specify Date and Size options ( [image] and [image]).

6. When done, click OK. The search begins... When finished, a Search Results window opens, containing the found items ( [image]):

Grab the Icons, add them into a library

6. Create a new Icon Library in the Librarian (or select an existing one). Select the items you wish to add to the library ( [image]).

7. Choose File/Add to the Librarian or press F3 ( [image]). The files are added.


How to Create Different Color Versions of an Icon...

In interesting effect is to create different color versions of the same icons. For example, creating Red and Green versions of our "Blue Sphere" icon:

Opening the existing icon, modifying the image HUE (overall color)

1. Open your original icon file. As example, we'll work on the Blue Sphere icon which is located in the Librarian (if not displayed, press ESC). In the Icons/Extra.icl subfolder, select and open the "BlueSphere" icon.

2. The image file opens in a document window. In the image format list, select the 48x48 Win XP image ( [image]):

3. Choose Draw/Adjustments Effects/HUE-Saturation or press "U". A Dialog box opens. In the Hue group specify 140 either using the slider or the edit zone. When done, click OK. The sphere color has been changed to Red!

4. Select the whole image (press Ctrl+A) then Choose Draw/Adjustments Effects/HUE-Saturation or press "U". A Dialog box opens. In the Hue group specify 140 either using the slider or the edit zone. When done, click OK.

The sphere color has been changed to Red!

Creating a new icon from this image

5. Be sure the whole image is selected (press Ctrl+A). Choose Edit/Copy or press Ctrl+C to copy the image in the Clipboard.

6. Close the "Blue Sphere" icon (that you've modified to red) without saving it! IMPORTANT: DO NOT SAVE THIS ICON. Respond NO to the question "Saving Changes you Made?".

7. Select New/Icon Project From Clipboard or press Ctrl+Q. The dialog box New Icon From Image opens. In the Name group ( [image]), enter the icon project name "Red Sphere". Do not specify any extension.

8. In the Image Formats group, select the image formats you whish to add in the icon ( [image]) and unselect the unwanted images ( [image]). Just click on the image preview to select/unselect. To know more about the desired Windows® standard image format, see What is an Icon topic.

9. If you wish to start creating your icon with an unlisted format (64x64 for example), click the Other Image Format button.

10. When done, click OK. The icon is automatically created with the various image formats you've selected.

11. Now just save the icon in your Librarian. As an exercise, repeat the same procedure for the Green Sphere (hint: HUE = 260).


How to Create a PNG, BMP or PSD Image with Transparency...

If you work with external programs such as Macromedia® Freehand®, Adobe® Photoshop® or Jasc® Paint Shop Pro®, you may need to save an Icon Image to an external file.

Axialis IconWorkshop permits you to save an icon image to PSD, PNG or BMP file formats preserving the transparency areas of the icon.

Open the image file in IconWorkshop

1. Open your original icon file (from the librarian or using File/Open...).

2. The image file opens in a document window. In the image format list, select the image you wish to save to an external file.

Save the Image as an External Bitmap

3. Choose Draw/Save Image as Bitmap. A dialog box opens. Choose to Preserve Transparency Information (this will permit you to keep transparent areas in your image file). When done, click OK.

4. A standard Save Image As dialog box opens. In the Save as Type list, select the format you wish to use to save the image. Choose a destination folder and type a new filename. When done, click OK. The file has been created.

4. In your external program, open the newly created file. It opens, containing the icon image with transparency. Now you can retouch it or use it as necessary.

[ Save as PSD Available in Corporate Edition Only ]


How to Batch Create several PNG images with Transparency from Icons

How to Batch Create PNG images with Transparency from Icons...

[ Feature Available in Corporate Edition Only ]

Creating PNG images from icons can be very useful. For example, PNG with transparency is the standard icon format for Linux® KDE® Desktop Environment. Also some useful "Dock" applications have been ported to Windows (clones of Macintosh® OS-X Dock toolbar). Most of these applications also are using 128x128 PNG with transparency as icons. See MobyDock and Y'z Dock websites for more info).

You can either create one PNG image from one icon (see topic How to Create a PNG, BMP or PSD Image with Transparency) or several images from icons in one operation. This is what we call a Batch procedure:

Select the Source Icons

1. Open a new Explorer window. Choose File/New/File Explorer...

2. When the window is opened, select the folder which contains the Source Files using the tree in the left pane.

3. When done, the Source Files appears (with preview) in the right pane. Select the icons you wish to convert to images. You can use Shift/Ctrl + Mouse to select several icons. Use Ctrl+A to select all. Use +/- to select/unselect by specifying filters.

Create the Images

4. Choose Explorer/Batch Create PNG, PSD or BMP Images from Selected Icons or Ctrl+Shift+V.

5. The dialog box Batch Create Images From Icons opens (see below). In the Icon Format to Extract group ( [image]), choose the image format you wish to extract from the icons. You can choose only one image format. If this exact format does not exists in an icon, the nearest format is chosen.

5. In the Image File Format group ( [image]), select the file format you wish to use for the images to create.

6. In the Transparency group ( [image]), choose if you wish to create transparent or opaque images. If you choose to preserve transparency, the images will be automatically converted to 32BPP with alpha channel (even if the chosen icon format is 256 or less colors). If you choose to remove transparency, the images will be generated using 24BPP (no alpha channel). In such a case, you must specify a background color (to fill the transparent areas with this color).

7. When done, click OK. The batch operation starts immediately, the hourglass mouse pointer is displayed during the creation. When done the new Images are added to the folder contents.

Remarks

• The created images have the same filename as the original document with .PNG, .PSD ot .BMP appended. A smart system has been added to index the files if necessary to avoid overwriting.

• If this exact chosen format does not exists in an icon, the nearest format is chosen for extraction.

Type topic text here.


How to Create a Snapshop Picture of My Icons

How to Create a Snapshot Picture of My Icons...

A Snapshot is an image created automatically by IconWorkshop to show one or several icons (with embedded formats) on a decorated background. Creating a Snapshot Picture of your icons may be useful to make a visual archive of your icons, illustrate a website or just promote your work. Three kinds of snapshots are available:

• Detailed snapshot of one icon - The icon image formats are displayed in one raw.

• Detailed snapshot of several icons - One icon per raw, several images per icon.

• Quick/Thumbnail snapshot of several icons - Only one image per icon, several icons per raw.

Creating a Snapshot of an Opened Icon

When an icon is opened in an editor window, you can create a snapshot of the work in progress.

1. From the opened icon window, Choose Edit/Create Snapshot or Ctrl+Shift+P

2. A dialog box Create Icon Snapshot opens. Adjust the various options then click OK.

3. The Snapshot image (see sample below) is created in a new window. Now you can save, copy, print this image as necessary.

Creating a Detailed Snapshot of Several Icons

You can create a snapshot of several icons from within an opened Icon Library (ICL), Program File (EXE, DLL, OCX...), a Search Result window or from the built-in Explorer.

1. Select several icons from a list (only icons within libraries or Macintosh/Windows files). Choose Edit/Create Snapshot or Ctrl+Shift+P

2. A dialog box opens, select Detailed Snapshot then click OK.

3. A dialog box Create Icon Snapshot opens. Adjust the various options then click OK.

4. The Snapshot image (see sample below) is created in a new window. Now you can save, copy, print this image as necessary.

Creating a Quick Thumbnail Snapshot of Several Icons

You can create a snapshot of several icons from within an opened Icon Library (ICL), Program File (EXE, DLL, OCX...), a Search Result window or from the built-in Explorer.

1. Select several icons from a list (only icons within libraries or Macintosh/Windows files). Choose Edit/Create Snapshot or Ctrl+Shift+P

2. A dialog box opens, select Quick Thumbnail Snapshot then click OK.

3. A dialog box Create Icon Snapshot opens. Adjust the various options then click OK.

4. The Snapshot image (see sample below) is created in a new window. Now you can save, copy, print this image as necessary.


How to Add a Favorite Icon to my Web Site

If you own a website, it's interesting to associate an icon to it. In fact, this icon will be displayed on the visitor's computer if he chooses to bookmark your site. It will be displayed in the Favorites menu as well as in the Address bar (see below) if the user comes back to your site. It works with Microsoft® Internet Explorer® v5.0 or later.

Creating Your Icon

First you must create your icon. You can either start from scratch or create an icon from an existing image (your company's logo for example).

We recommand you to include these image formats in order to be compatible with all visitor configurations: 16x16 256 colors, 16x16 16 colors. You can optionally add 16x16 XP.

You can also add 32x32 and 48x48 formats but it will create a larger icon (increasing your server traffic). These formats will be displayed only if the user browses his favorite folder using Windows Explorer... Not recommended.

Saving Your Icon To your Local Hard Disk

1. When you've finished creating your icon, choose File/Save or Ctrl+S...

2. The standard Windows save dialog box opens, select a specific location, then specify favicon.ico as your icon filename. This is important to name it "favicon.ico". If you use a different filename, it will not be considered as a Favorite Icon.

Uploading it to your Web Site

3. Launch your FTP client (or any program) you use to upload/update your files to your web site. Connect it to your website.

4. When you're connected, upload your file to the root folder of your HTML pages (where is located your home page html file). You must keep the "favicon.ico" filename unchanged during the upload.


How to Compile Icon Libraries with Activation Codes...

[ Feature Available in Corporate Edition Only ]

This new version of IconWorkshop includes a feature to compile Icon Libraries as install package ready for distribution. Additionally, a feature has been added to force the user to enter an activation code to proceed with installation (optional feature).

Important: Before reading with this topic, you need to know how to compile an Icon Library. Click here to read the related topics if necessary.

A word on Activation Codes

Two kinds of Activation Codes have been implemented in IconWorkshop:

Based on the user name: The user has to enter its name and the activation code using this format: 1234-1234-1234-1234 (4 groups of 4 digits).

  • Pro: The user has to provide his name if he wants to publish the code.

  • Con: The author has to manually generate a code for each user.

Based on a Serial Number: The user just enters a longer activation code using this format: 123456-1234-1234-1234-1234

  • Pro: The author can automatically generate a list of codes.

  • Con: The user can anonymously publish his code.

Compile an Icon Library with Activation Code

1. When preparing to compile an Icon Library (using the Compilation Wizard), you see the following screen (Step 5 of 6):

2. Click to check the option "Use an Activation Code" ( [image]). The whole dialog box enables.

3. In the Icon Library ID zone ( [image]), you see a large hexadecimal number. This ID will identify your Icon Library (used during activation code generation and verification). This is just a proposal based on your Icon Library properties.

You can change it but we recommend you to keep it "as is" and to enter the same ID each time you compile THIS library. Of course, you will change this ID when you'll compile another Library.

4. In the Company/Author ID zone ( [image]), you see another large hexadecimal number. This ID will identify yourself or your company (used during activation code generation and verification). This is just a proposal based on your Company Name properties.

You can change it the first time you compile a Library, but we recommend you to keep it unchanged after.

5. If you want to use the Activation Codes based on the username (see the figure above for the differences), check the option "Code Based on User Name".

6. When done, click "Next" to proceed with the compilation...

Generate Codes based on the User Name

1. If you have chosen to use the system of activation codes based on the username during the compilation: Choose Edit/Generate Activation Codes or press Alt+F6. A dialog box opens:

2. In the Library ID ( [image]) and the Company ID ( [image]), enter the hexadecimal numbers you entered at compilation for the requested Icon Library. If you can't recall these numbers, click on the "Get IDs from History File" button ( [image]). A dialog box opens, displaying a list of the compilation you have done, select the right line then OK.

3. In the User Name zone ( [image]), enter the name of the user then click the "Generate" button ( [image]), the code is generated and displayed in the Code zone ( [image]). A text is also automatically copied in the clipboard as in this example (useful if you send an email to your customer):

Your User Name : John Smith

Your Activation Code : 1527-9872-0984-6717

Generate Codes based on Serial Numbers

1. If you have chosen to use the system of activation codes NOT based on the username (i.e. based on Serial Codes) during the compilation: Choose Edit/Generate Activation Codes or press Alt+F6. The above dialog box opens.

2. In the Library ID (see above [image]) and the Company ID ( [image]), enter the hexadecimal numbers you entered at compilation for the requested Icon Library. If you can't recall these numbers, click on the "Get IDs from History File" button ( [image]). A dialog box opens, displaying a list of the compilation you have done, select the right line then OK.

3. In the From and To Number zones ( [image]), enter the first and the last number of the list of codes to generate. When done, click the "Generate To File" button ( [image]). A standard Save As dialog box opens. Select a location and a new filename (TXT). When done, click OK. The file is generated.


Working With IconWorshop Editor

Create a new icon project

Add a new image format in an icon

Delete an image format in an icon

Create a new icon project from image

Create a new icon progject from clipboard

Open an icon file .ICO

Close an icon file .ICO

Save the editor contents as an icon file .ICO

Add icons to the librarian

Preview the printed editor contents

Set printer parameters

Print the editor contents

Move/Copy a part of a drawing without using clipboard

Cut/Copy/Paste a part of an image

Capture an icon

Import an image into an icon

Save an image as a bitmap

Preserve image transparency

Zoom in the edit window

Working With the Photoshop® Plug-in

Why a Photoshop® plug-in?

Install the Photoshop® plug-in

Use the Photoshop® plug-in

Working With Colors

Methods to define colors

Working With Palettes (Indexed colors)

Customized palette

Load color palette

Save a color palette

Create a gradient

Working With Color Swatches

Create New Swatch

Customized Swatch

Load Swatch

Create Gradient

Drawing Tools

Drawing Tools

Brushes

Color Fill types

Filters

Adjustments/Effects

Drawing options


Create a new icon

To create a new icon project

1. Choose File/New/ Icon Project

2. Enter the Icon project Name.

3. In the Colors group, choose:

  • Windows® XP colors With Alpha Channel (16.8 M - 32 bits). Uses true colors to get the best results. This format will be used only if the icon is displayed under Windows® XP. Also, it uses an additional Alpha Channel to create smooth shades and object borders. We strongly recommend you to start creating an icon with this color mode

  • 256 Indexed colors (8 bits): Uses a customizable 256 color palette. You will be able to modify this palette to produce smoother gradients or specific colors.

  • 16 colors (4bits): Uses the system standard palette (16 static colors). This is the native Windows mode.

  • True colors 16.8M (24 bits): Uses true colors. This format may be incompatible with some display drivers.

  • Monochrome (1 bit): Uses only 2 colors (black and white). This is an obsolete color mode.

Note

  • Windows® XP colors With Alpha Channel (16.8 M - 32 bits), 256 Indexed colors (8 bits) and 16 colors (4bits) are recommended color settings.

  • True colors 16.8M (24 bits), Monochrome (1 bit) are optional color settings.

3. In the Size in Pixels group, choose:

  • 16x16, 24x24, 32x32, 48x48, 128x128

  • Specify the Width of the new image format in pixels. It allows you to specify a custom width for the image

  • Specify the Height of the new image format in pixels. It allows you to specify a custom width for the image

  • If you want the height equal to width, choose “Square aspect”

Remarks

  • An icon can contain several image formats (size and colors). In this dialog, you specify the properties of the first image format you wish to include in this icon. You'll be able to add several other image formats later. See Creating a new image format in an icon.

  • Usually a standard icon contains at least the following 4 image formats: 16x16x16 colors, 16x16x256 colors, 32x32x16 colors and 32x32x256 colors.

  • An advanced icon contains, in addition, the following 5 image formats: 16x16xXP colors, 32x32xXP colors, 48x48xXP colors, 48x48x16 colors and 48x48x256 colors.

4. If you want to use default settings for new icon with current dialog settings, click Set As Default. This is useful if you have chosen not to be prompted (with this dialog box) when creating a new icon.

5. You can ask Axialis IconWorkShop to bypass the new icon dialog box. Choose Do not prompt in the Future or choose Edit/Preferences and in General tab, check "Create a new icon project window" option. In this case the new icon will always have the default settings.

Notes for Windows® users

  • If you create a rectangular icon (width not equal to height), Windows will automatically display it using the square aspect.

  • Except for 16x16 icons (displayed in Explorer, Task bar&ldots;), Windows cannot display various icon sizes. All icons are displayed using the same size (specified in Display Properties).


Create a new image format in an icon

To add a new image format in an icon

1. Choose Draw/New image Format.

2. In the Colors group, choose:

  • Windows® XP colors With Alpha Channel (16.8 M - 32 bits). Uses true colors to get the best results. This format will be used only if the icon is displayed under Windows® XP. Also, it uses an additional Alpha Channel to create smooth shades and object borders. We strongly recommend you to start creating an icon with this color mode

  • 256 Indexed colors (8 bits): Uses a customizable 256 color palette. You will be able to modify this palette to produce smoother gradients or specific colors.

  • 16 colors (4bits): Uses the system standard palette (16 static colors). This is the native Windows mode..

  • True colors 16.8M (24 bits): Uses true colors to get the best results. This format may be incompatible with some display drivers.

  • Monochrome (1 bit): Uses only 2 colors (black and white). This is an obsolete color mode

3. In the Size in Pixels group, choose:

  • 16x16, 24x24, 32x32, 48x48, 128x128

  • Specify the Width of the new image format in pixels. It allows you to specify a custom width for the image

  • Specify the Height of the new image format in pixels. It allows you to specify a custom width for the image

  • If you want the height equal to width, choose “Square aspect”

4. If you check the "Create a new image based on the following image", Axialis IconWorkshop will create a new image based on a copy of the selected image format. The image will be resized and the colors will be adjusted if necessary. If the box is not checked, it will create a blank new image.

All image formats are displayed in the list.


Delete an image format in an icon

To delete an image format in an icon

1. Choose Draw/Remove image format

Axialis IconWorkshop asks you if you want really to remove the following image format.

Note

  • This action can't be undone. If you choose "Yes" this image format will be permanently deleted. Choose "No" to stop and go back.

See Creating a new image format in an icon


Create a new icon projet from an image

To create a new icon project from an image

Starting a new icon project from an existing image is convenient and easy way to proceed. This feature has been greatly enhanced to help you create professional icons in seconds.

  • Remark: It is highly recommended to create icons from transparent images. Axialis IconWorkshop will convert images to 32 bpp with transparency when possible. The following image formats can include transparency: Photoshop PSD, PNG, RGB, GIF and WMF.

1. Choose File/New/ Icon Project from image

2. Select the file’s folder from the Look In Drop Down box

3. Click on the file type that you want to select from the File Type Drop Down box (.BMP, PSD, .PNG, .GIF, .JPG, .TGA, .TIF, .PICT, .QTI...)

4. Click on the file that you want to select in the Contents List box.

5. Click on the Open button

Note

  • The contents of each image file with properties (filename, dimensions, image format and file size) are displayed if you check the option" Show preview".

6. You are about to create a new icon from image. If your image contains transparency (GIF, PNG, ANI, CUR...), it has been automatically converted to 32x32Bpp. If it contains layers or frames (Photoshop PSD, ANI, Animated GIF), all of them have been opened (see list on side). The image file has been opened in the document window. You can adjust your image setting (crop, resize and change colors).

7.Select the portion of image: Use the selection tool and select the portion of image you whish to use . The selected area can have any size. It will be enlarge/reduced as necessary.

8. Create your own icon from the selected portion of the image. Choose Image/Create New icon from selection.

9. A dialog box New Icon from image opens.

10. Enter the icon project name.

11. Choose the image formats you wish to include in the icon. You'll be able to add several other image formats late. Don't forget that the icon is created in memory but not saved. Please save it in the librarian (in the "Icons" folder).

Note

  • An icon can contain several image formats (size and colors).


Create a new icon project from clipboard

1. Cut/ Copy an icon or a portion of it or an image (or portion) in the clipboard. See Cut/Copy/Paste all or part of a drawing without the clipboard.

2. Choose File/New/ Icon Project from clipboard

3. A dialog box New Icon from Image opens.

4. Enter the icon project name.

5. In the Image Formats group, select the image formats you whish to add in the icon and unselect the unwanted images.

6. If you wish to start creating your icon with an unlisted format (64x64 for example), click the Other Image Format button.

7. When done, click OK. The icon is automatically created with the various image formats you've selected.

Note

  • An icon can contain several image formats (size and colors).


Open an icon file (.ICO)

To open an icon file (Windows icon)

1. Choose File/Open

2. Select the file’s folder from the Look In Drop Down box

3. Click on the file type that you want to select from the File Type Drop Down box

    • .ICO (Windows icon)

4. Click on the file that you want to select in the Contents List box.

5. Click on the Open button

Note

  • The contents of each icon file with properties (filename, dimensions, image format and file size) are displayed if you check the option" Show preview".

To open an icon file (Macintosh file)

When you launch Axialis AX-IconWorkshop, you will repair the association of Axialis IconWorkshop with Apple Macintosh Icon files (ICNS, RSC). It means that you will be able to open an icon file in Axialis IconWorkshop with a simple double-click from the Windows Explorer.

Notes

  • Axialis IconWorkshop is compatible with all Macintosh Icon files: OS 7.5, 8.5 and the latest OS X (up to 128x128 with alpha channel icons).

  • Microsoft Windows is not compatible with Macintosh Icons but using IconWorkshop you can read, modify and save them as standard Windows ICO files. In effect, Axialis IconWorkshop does not support write/update operations on Apple Macintosh icons. However, you can continue and save this document to Windows standard icon format (ICO).

1. Choose File/Open

2. Select the file’s folder from the Look In Drop Down box

3. Click on the file type that you want to select from the File Type Drop Down box

    • .RSC or .ICNS (Macintosh Icon File)

4. Click on the file that you want to select in the Contents List box.

5. Click on the Open button

Note

  • The contents of each icon file with properties (filename, dimensions, image format and file size) are displayed if you check the option" Show preview")


Close an icon file (.ICO)

To close an icon file

1. Choose File/Close

Note

  • Axialis IconWorkShop will ask you whether you want to save it.


Save the editor contents as an icon file (.ICO)

To save the editor contents as an icon file (.ICO)

1. Choose File/Save

2. Select or create the file’s folder from the Save In Drop Down box

3. Enter the filename for the new icon in the File Name Text box. Axialis IconWorkshop will add the file extension (.ICO) automatically in the File Type Drop Down box.

4. Click on the Save button

Note

  • If the filename is already in use, Axialis IconWorkshop will present a prompt. Click on the Yes button to overwrite the existing file.

  • If you want to save .RSC or ICNS icon, Axialis IconWorkshop warns you that it does not support write/update operations on Apple Macintosh icons. However, you can continue and save this document to Windows standard icon format (ICO).


Add icons to the librarian

To add icons to the librarian

1. Open the selected library and select the one or more icons.

2. Select the library or folder where you want to add icon(s).

3. Choose File/Add to the librarian.

4. If you choose the library target (.ICL) , icons are automatically added.

5. If you choose the folder target, the dialog box Add icon(s) to the librarian opens. You are going to add one or more icons to the Librarian. Please specify how you wish to add icons in the Librarian.

  • If the option "As separate ICO file(s)" is checked, the selected icons will be added to the target folder as separate files. Each icon will be separately saved in an ICO file.

  • If the option "Grouped in one Icon Library (ICL) file" is checked, the selected icons will be grouped in one Icon Library file and saved to the target folder. Only one ICL file will be created.


Create an Icon Snapshot Picture

A Snapshot is an image created automatically by IconWorkshop to show one or several icons (with embedded formats) on a decorated background. Creating a Snapshot Picture of your icons may be useful to make a visual archive of your icons, illustrate a website or just promote your work. Three kinds of snapshots are available:

• Detailed snapshot of one icon - The icon image formats are displayed in one raw.

• Detailed snapshot of several icons - One icon per raw, several images per icon.

• Quick/Thumbnail snapshot of several icons - Only one image per icon, several icons per raw.

Creating a Snapshot of an Opened Icon

When an icon is opened in an editor window, you can create a snapshot of the work in progress.

1. From the opened icon window, Choose Edit/Create Snapshot or Ctrl+Shift+P

2. A dialog box Create Icon Snapshot opens. Adjust the various options then click OK.

3. The Snapshot image (see sample below) is created in a new window. Now you can save, copy, print this image as necessary.

Creating a Detailed Snapshot of Several Icons

You can create a snapshot of several icons from within an opened Icon Library (ICL), Program File (EXE, DLL, OCX...), a Search Result window or from the built-in Explorer.

1. Select several icons from a list (only icons within libraries or Macintosh/Windows files). Choose Edit/Create Snapshot or Ctrl+Shift+P

2. A dialog box opens, select Detailed Snapshot then click OK.

3. A dialog box Create Icon Snapshot opens. Adjust the various options then click OK.

4. The Snapshot image (see sample below) is created in a new window. Now you can save, copy, print this image as necessary.

Creating a Quick Thumbnail Snapshot of Several Icons

You can create a snapshot of several icons from within an opened Icon Library (ICL), Program File (EXE, DLL, OCX...), a Search Result window or from the built-in Explorer.

1. Select several icons from a list (only icons within libraries or Macintosh/Windows files). Choose Edit/Create Snapshot or Ctrl+Shift+P

2. A dialog box opens, select Quick Thumbnail Snapshot then click OK.

3. A dialog box Create Icon Snapshot opens. Adjust the various options then click OK.

4. The Snapshot image (see sample below) is created in a new window. Now you can save, copy, print this image as necessary.


Preview the printed editor contents

To preview the printed editor contents

1. Choose File/Print preview

2. The file will be displayed exactly as it will be printed.

3. If appropriate, click on the buttons Page up, Page down, Zoom+, Zoom- or Page to change pages, or display or zoom in on a page

4. If you are satisfied, click on the Print button

See Print the editor contents


Set printer parameters

To set printer parameters

1. Choose File/Printer Settings

See

  • Print the editor contents

  • Previewing the printed editor contents


Print the editor contents

To print the editor contents

1. Open the icon file (.ICO)

2. Choose File/Print

3. The dialog box Print options opens.

4.In the Print Type group, choose:

  • If you check the option "Print image in one page", the file will be printed in one page.

  • If you check the option "Print image as a poster (several pages)", you must specify a Width and Height of your image. If you check the option "Constrain proportions", the image will keep proportions of the original image.

5. In the group Header and Footer, check the "Print Header & Footer Text" box. The Print Header and Footer text option allows to specify macros that will be automatically replaced by its related variable text at printing. A macro must be specified between brackets {}. Fill the different areas "Header and Footer" by using macros and/or static text

  • {PATHNAME}: Your username

  • {DATE}: Actual print date

  • {TIME}: Actual print time

  • {PAGE}: Page Number

Notes

  • You can see how the printed image will be printed before you proceed by clicking the command File/Print Preview.

  • You can set margins or change orientation by clicking the command File/Printers Settings.


Move-Copy a part of a drawing

To Move/Copy a part of a drawing

Axialis IconWorkshop lets you use drag and drop to move or copy part of a drawing without using the clipboard. The technique involves selecting an image region and moving or copying it while holding down a mouse button (press CTRL to copy) then releasing the button at the desired location. The mouse pointer changes to a cross during the operation.

To move/copy part of a drawing without using the clipboard with mouse

1. Select the drawing region with the selection tool.

2. Move the mouse pointer over this selection area. The pointer automatically switches to a four-arrow cursor ( [image]). Now left-click in this area (keep the button pressed) and move your mouse by one pixel up and one pixel left.

-or-
4. To copy the selection to the desired location, drag while simultaneously pressing the left mouse button and CTRL

To move/copy part of a drawing without using the clipboard with keyboard

1. Select the drawing region with the selection tool

2. Use arrows keys to move your selection.

-or-
3. To copy the selection to the desired location, press CTRL or ALT and use arrow keys to copy your selection.

Note

  • Press SHIFT while using arrow keys to move/copy the selection by 10 pixels increment.

  • The original selection area is painted the right mouse button color when you move or copy the region.

  • When you move/copy an image, you've transformed the selected portion in a Floating Selection. A floating selection can be moved/copy over the rest of the image preserving the transparent area. When you've finished moving/copying this selection you must apply it by cleft-clicking anywhere in the image.


Cut Copy Paste a part of a drawing without the Clipboard

Cut/Copy/Paste all or part of a drawing without the Clipboard

The cut/copy/paste functions are used mainly to communicate with other Windows programs.

To move all or part of a drawing

1. Select all or part of an icon with the selection tool

2. Choose Edit/Cut

3. You can select any drawing area with the selection tool

4. Choose Edit/Paste

5. The Paste options dialog box appears. You are going to Paste an image from the Clipboard to the current Icon project. Please specify the type of operation to perform and a file format for this new image.

Different options are available

  • Paste at scale 1:1 in the editor area - Pastes the contents of the clipboard in the upper left corner of the editor area at scale 1:1 (no stretching). If the image is bigger than the editor area, it will be cropped.

  • Resize image to fit the editor area - Pastes the contents of the clipboard in the whole editor area with stretching. If the image is bigger than the editor area it will be reduced, if it is smaller it will be enlarged.

  • Paste at scale 1:1 in the selection area - Pastes the contents of the clipboard in the upper left corner of the selection area at scale 1:1 (no stretching). If the image is bigger than the selection area, it will be cropped.

  • Resize image to fit the selection area - Pastes the contents of the clipboard in the selection area with stretching. If the image is bigger than the selection area it will be reduced, if it is smaller it will be enlarged.

6. If you check the option "Do not prompt in the future (always best choice)", the application will not prompt you again and the best choice will be automatically chosen:

    • If no area is selected in the editor - Automatically pastes the contents of the clipboard in the upper left corner of the editor area at scale 1:1 (no stretching). If the image is bigger than the editor area, it will be cropped.

    • If a selection area exists - Automatically pastes the contents of the clipboard in the selection area with stretching. If the image is bigger than the selection area it will be reduced, if it is smaller it will be enlarged.

Remark

  • This option can be restored in the 'Preferences' dialog box.

To copy part of a drawing

1. Select the part to be copied with the selection tool

2. Choose Edit/Copy

3. You can select a drawing area with the selection tool

4. Choose Edit/Paste

5. The Paste options dialog box appears. See above.

6. If you check the option "Do not prompt in the future (always best choice)", see above.

Note

  • When you move/copy an image, you've transformed the selected portion in a Floating Selection. A floating selection can be moved/copy over the rest of the image preserving the transparent area. When you've finished moving/copying this selection you must apply it by cleft-clicking anywhere in the image.


Capture an icon

This version of IconWorkshop does no longer include the Capture feature as it was implemented in previous editions. A new function takes a snapshot of the screen and places it in a window. This will allow you to copy/paste portions of it in your icon.

To capture an icon

1. Choose Draw/Capture icon

2. The screen snapshot has been opened in a document window. You can adjust the image settings (crop, resize, change colors )

3. Select the area you want to import in your icon. The selected area can have any size. It will be enlarged/reduced as necessary.

4. Use Copy/Paste to import the image in your icon. The image colors will be automatically adjusted to match the icon format specifications (automatic conversion to 32bpp Alpha Channel).

5. You can also create a new icon from the selected portion of the image. Choose Create a new icon from selection.


Import an image into an icon

This new version of IconWorkshop does no longer include the Import feature as it was implemented in previous editions. A new function permits you to open the bitmap image in the built in viewer and select/copy/paste portions of it in your icons. This function is more powerful and convenient to use.

How to proceed with this new function

1. This image has been opened in a document window. Using this window, you can adjust your image settings (crop, resize, change color ...)

2. Select the area you want to import in your icon. The selected area can have any size. It will be enlarged/reduced as necessary.

3. Now, use Copy/Paste to import the image in your icon. The image colors will be automatically adjusted to match the icon format specifications (automatic conversion to 256 colors for example).

4. You can also create a new icon from the selected portion of the image (See Create New Icon from Selection ).

Procedure

1. Choose Draw/Import Bitmap

2. Select the file’s folder from the Look In Drop Down box

3. Click on the file type from the File Type Drop Down box.

  • .BMP, .PSD, .PNG, .GIF, .JPEG, .TGA, .TIF, .PICT, QTI...

4. Click on the file that you want to select in the Contents List box. A check box "Preview" allows you to visualize the image before opening the file.

5. Click on the Open button

6. Adjust your image settings.

7. Select the area that you want to import.

8. Choose Copy/Paste or Create a New icon from Selection.

Note

  • If the image to be imported does not have the same color palette as the icon in the current edit window, Axialis IconWorkshop asks you if you want to replace the current icon palette by the palette attached to the image being pasted.


Save an image as a bitmap

If you work with external programs such as Macromedia® Freehand®, Adobe® Photoshop® or Jasc® Paint Shop Pro®, this function will allow you to save the selected icon image to PSD, PNG or BMP file formats to an external bitmap file by preserving or removing transparency. You can either choose keep this transparency information or remove it by converting the background to a solid color.

1. Open your original icon file (from the librarian or using File/Open...).

2. The image file opens in a document window. In the image format list, select the image you wish to save to an external file.

1. Choose Draw/Save Image as a Bitmap

2. If you check Preserve Transparency information (save to 32 BPP), the application will automatically calculate a new palette based on the colors present in the resulting image. The resulting palette is generally a mix of the colors present in the imported/pasted image and the colors of the existing image (the visible pixels). This is the method which usually gives the best results (strongly recommended).

3. If you check Remove Transparency information, the application will keep the color palette of the existing image. As a result, the pixel colors of the imported/pasted image portion will be modified to best match the existing palette. This method may be interesting if the imported image is very small or if its colors are already present in the existing image.

4. A standard Save Image As dialog box opens. In the Save as Type list, select the format you wish to use to save the image. Choose a destination folder and type a new filename. When done, click OK. The file has been created.

5. In your external program, open the newly created file. It opens, containing the icon image with transparency. Now you can retouch it or use it as necessary.


Adjust a transparency of image

Preserve an image transparency

The image transparency is especially useful when you move or copy an object. For this operation, pure colors are normally used.

Preserve an image transparency with Windows XP image format

1. Select all or part of an icon

2. Click on the Transparency Color button or Choose Draw/Preserve transparency or type T

3. Now you can move or copy the selection to the destination while holding down the CTRL key.

4. Based on the options you have chosen, you copy or preserve the transparent areas.

Preserve transparency with other image formats in an icon

Example

1. Draw a filled blue square. Inside it draw a filled yellow circle.

2. At the bottom right of the editing area, draw a filled green rectangle.

3. Now you want to move the yellow circle into the green rectangle.

4. Select the yellow circle. Using the right mouse button, choose the color blue as background color.

5. Click on the Transparency Color button or Choose Draw/Preserve transparency or type T

6. Now you can move or copy the selection to the green rectangle while holding down the CTRL key.

7. The blue color is substituted for the transparent color in the green rectangle.


Zoom in the edit window

Increasing the scale at which the image is displayed

1. Choose View/Zoom in

2. The scale at which the image is displayed is increased. The scale is displayed in the status bar.

Reducing the scale at which the image is displayed

1. Choose View/Zoom out

2. The scale at which the image is displayed is reduced. The scale is displayed in the status bar.

Displaying in automatic zoom

1. Choose View/ Fit to Window Zoom

2. Resizes the editor to the size of the window


Working with the Photoshop® plug-in

Why a Photoshop® plug-in?

Install the Photoshop® plug-in

Use the Photoshop® plug-in


Why a Photoshop® Plug-in?

[ Feature Available in Corporate Edition Only ]

A plug-in is a program extension module. In fact, this is a small a program which is "plugged" (added) into another application to enhance it or add a new feature to it. The plug-in must be compatible with the "parent" application specifications.

Adobe® created a powerful plug-in interface for Photoshop®. This plug-in model is now a widely used standard in the graphical industry. As a result, a Photoshop® compatible plug-in can also be used with various other graphical applications (Illustrator®, Paint Shop Pro®...).

Why a Photoshop® plug-in for IconWorkshop?

We created such a plug-in to permit you to transfert an image or a drawing directly from Photoshop® (or any plug-in compatible application) to IconWorkshop through the memory.

This is much more fast and secure. No more temporary PSD or PNG file to transfer your image into IconWorkshop. No more risk to loose your file while transfering it.

Before using this plug-in you have to install it in the Photoshop plug-ins directory. Please read this for more info.


Install the Photoshop® Plug-in

[ Feature Available in Corporate Edition Only ]

Using the Photoshop to IconWorkshop plug-in, you'll be able to transfert an image or a drawing directly from Photoshop® (or any plug-in compatible application) to IconWorkshop through the memory. Read this topic for more info about the plug-in...

Install the Photoshop® plug-in

1. Before installing the plug-in we recommend you to close the Photoshop® application (if it is actually opened in background). Choose File/Install Photoshop® Plug-in...

2. The dialog box Install the Photoshop to IconWorkshop Transfer Plug-in opens (see below). In the Location edit zone ( [image]), specify the Photoshop plug-in folder. If you don't know the exact folder path, click the browse button ( [image]) to choose the folder in a list.

3. If you want to create a subfolder "Axialis" to install the plug-in module (recommanded to organize your folder properly), activate the option "Install in a subfolder Axialis" ( [image]). Note that creating a subfolder may fail with some compatible applications.

4. Click OK. When done, a message informs you that the plug-in has been installed.

5. Now you can start your Photoshop® application. The plug-in is visible in Filter/Axialis/Transfert To IconWorkshop menu. Read this for more info on how to use the plug-in filter.

Remarks

• You can install the Plug-in in various other compatible applications. See your application help file for more info on how to proceed.

• If Photoshop® is installed on your computer, the plug-in folder will be automatically added to the edit zone. Also, you'll be prompted to install the plug-in the first time you'll launch IconWorkshop.


Use the Photoshop® Plug-in

[ Feature Available in Corporate Edition Only ]

To use the Photoshop® to IconWorkshop plug-in, you must start the Photoshop® application first. The plug-in is accessible from within Photoshop® only.

Use the Photoshop® plug-in

1. First launch Photoshop® and open or create an image file. You don't need to launch IconWorkshop before using the plug-in. It will be automatically launched by the plug-in if necessary.

2. Select the layer and the portion of the image you want to transfer to IconWorkshop ( [image]). If you don't create a selection area, the whole layer image will be transfered. Only rectangular selections are supported for transfer.

3. Choose the Filter/Axialis/Transfer to Axialis IconWorkshop... command in the menu.

4. Axialis IconWorkshop is automatically launched (or activated if running in background) and the dialog box Install the Photoshop® to IconWorkshop Transfer Plug-in opens (see below).

3. The image is about to be transfered in IconWorkshop. You can choose one of the following operations: Create a New Icon using this Image ( [image]): You create a new icon with several formats based on the image (see step 4); Create a New Image Document ( [image]): IconWorkshop opens a new document containing the image. You'll be able to perform various operations on the image (resize, crop, save...) and even create a new icon from a portion of it; Paste the Image in the Current Icon Document ( [image]): This option is enabled only if an icon document is already opened in IconWorkshop. It pastes the image in the current editor area (just like the Clipboard paste operation).

4. If you choose the first option (Create a New Icon using this Image), the New Icon from Image dialog box opens (see below).

5. In the Name group ( [image]), enter the icon project name. Do not specify any extension.

6. In the Image Formats group, select the image formats you whish to add in the icon ( [image]) and unselect the unwanted images ( [image]). Just click on the image preview to select/unselect. To know more about the desired Windows® standard image format, see What is an Icon topic.

7. If you wish to start creating your icon with an unlisted format (64x64 for example), click the Other Image Format button.

8. When done, click OK. The icon is automatically created with the various image formats you've selected.


Working With Colors1

Working With Colors

Methods to define colors

Working With Palette (Indexed colors)

Customized palette

Load color palette

Save a color palette

Create a gradient

Working With Color Swatches

Create New Swatch

Customized Swatch

Load Swatch

Create Gradient


Define colors

Axialis IconWorkshop uses two methods for defining color palettes or swatches.

  • The RGB (Red/Green/Blue)

  • The HSB (Hue/Saturation/Brightness)

RGB Method

The RGB color model is the standard representation. In this model, each value represents the Red, Green or Blue lights. RGB colors are called "Additive", that is, the values of each color component are combined to emit the final color. This way, as any RGB value is incremented, the resulting color becomes lighter. The white color, for instance, is given by the maximum value of each value (Red=255, Green=255, Blue=255), and black is given by the absence of light in each value (Red=0, Green=0, Blue=0).

HSB Method

The HSB color model is just a mathematical representation of color, in a way more similar to our color perception. For instance, the HSB model breaks the color into three components: The Hue (which would be the "pure" color), the percentage of Saturation ("how much" color) and the Brightness of the color (also a percentage). The Hue comes in the range of 0 to 360. This model comes in handy where the RGB model can't help, for instance, classifying similar colors, classifying colors by levels of darkness, sorting colors, etc.


Working With Palette (Indexed Colors)

Customized palette

Load color palette

Save a color palette

Create a gradient


Use standard and customized palettes

Customized palette

Axialis IconWorkshop supplies a standard palette with 256 colors. Images in 256 colors use fixed color palettes. You can customize this palette by creating your own colors using RGB values or the standard Windows dialog box. Opening a new color palette causes all colors in the current image to be remapped using the new palette. It is therefore recommended that the desired color palette be opened before beginning a 256-color image.

Notes

  • The palette is initialized with the color palette of the image being edited

  • When a new image 256-color image is created, the palette is initialized with 256 colors from the default palette file.

To modify a color in a customized palette

1. Select the color in the palette

2. Double-click on this color or choose Color/Modify color. The standard Windows “Color” box opens.

3. Modify your color using the scroll box or in the color box

4. If you want add the customized color

5. Click on the <Add color> button and the color will be automatically placed in your customized color palette, replacing the color selected in the standard palette.

Note

  • You can change the Hue and Saturation of the color, and then move the slider in the color gradient to change the luminescence (Lum).

Copy Color as HTML

1. Choose Color Copy HTML color. It will allow to copy the actual color as a HTML compatible string in the clipboard. This is an interesting feature if you use to deal with HTML codes.

Note

  • You can specify an HTML color the current color using a HTML compatible string. Choose Color/Specify HTML color and enter a value.

  • RGB and HSB Values : If you know the color's RGB or HSL values, you can type the values in the appropriate boxes of the Current Color frame. HTML is the markup language used to create Web pages. Each color is assigned a code. If you know the color's HTML code, you can enter the value in the HTML Code field.


Open color palette

Load color palette (256 color table)

Axialis IconWorkshop allows you to load a color palette from a file and apply it to the image. You can create your own customized color palette.

1. Choose Color/Load palette (256 color table)

2. Select the file’s folder from the Color Tables In Drop Down box

3. Click on the file type from the File Type Drop Dow box

  • AXCT or PA8 ( Axialis® Colors Table)

  • ACT (Adobe® color Tables)

  • PAL (Jasc® color Tables - usually 256 colors)

4. Click on the palette file that you want to select in the Contents List box.

5. Click on the Open button

The palette opens automatically and is linked to the edit window.


Save a color palette

Axialis IconWorkshop allows you to customize and save as many color palettes as you like.

To save a 256 color palette

1. Modify the customized color palette. (See Related Topics)

2. Choose Color/Saver Swatches/Palette

2. Select or create the file’s folder from the Look in Drop Down box

3. Enter the filename for the new palette in the File Name Text Box. Axialis IconWorkshop will add the file extension (.AXCT) automatically in the File Type Drop down box.

4. Click on the Save button.

Note

  • If the filename is already in use, Axialis IconWorkshop will present a prompt. Click on the Yes button to overwrite the existing file.


Create a gradient

1. Create an icon with 256 colors (indexed)

2. Select a color with the left mouse button

3. Select another color with the right mouse button

4. Choose Color/Create a Palette Color Gradient

5. This operation will create custom color gradient into the actual image palette (from Foreground to Background color. Choose the First and the Last color of the gradient.

6. Click OK. The gradient is automatically displayed in the palette.


Working With Color Swatches

Create New Swatch

Customized Swatch

Load Swatch

Create Gradient


Create New Swatch

The latest Microsoft® Windows® platform, Windows XP, introduces a new style in icon design. The Windows XP icon is all about fun, color, and energy. It uses true colors to get the best results. Also, it uses an additional Alpha Channel to create smooth shades and object borders. We strongly recommend you to start creating an icon with this color mode. Windows XP images are not tied to a color palette. The palette windows can contain 16, 256 or more colors.

1. Choose Draw/New Swatch

2. The dialog box Add Swatch opens. You can add a new color Swatch to the Actual List.

3. In the Color area, click to change the color swatch.

4. In the Name area, specify the Color Swatch Name as it will appear in a tool tip when you'll pass the mouse pointer over it.

Remark

  • If the name is empty (blank field), the program will display the Html color string in the tool tip..

5. If the options "Insert at the current location" or "Append at the end of the list" are checked you can specify where you wish to add the new color swatch: Inserted at the current location or appended at the end of the list (last position).


Modify Swatch color

Customized Swatch

To modify a swatch color

1. Select the color

2. Double-click on this color or choose Color/Modify Swatch color. The standard Windows “Color” box opens.

3. Modify your color using the scroll box or in the color box

4. If you want add the customized color

5. Click on the <Add color> button and the color will be automatically placed in your customized color palette, replacing the color selected in the standard palette.

Note

  • You can change the Hue and Saturation of the color, and then move the slider in the color gradient to change the luminescence (Lum).

To rename a swatch color

1. Select the color

2. Choose Color/Rename Swatch color. Enter the name of the selected color. When you move on a color, you can see its name.

To delete a swatch color

1. Select the color

2. Choose Color/Delete Swatch color.


Load Swatches

Axialis IconWorkshop allows you to load color swatches from a file and apply it to the image. You can create your own customized color swatches.

1. Choose Color/Load Swatches

2. Select the file’s folder from the Color Swatches In Drop Down box

3. Click on the file type from the File Type Drop Dow box

  • AXCO, PAL (Axialis Color Swatches)

4. Click on the color swatches file that you want to select in the Contents List box.

Note

  • Axialis IconWorkshop displays a message. It asks you if you want to replace the actual swatches with this file content. This action can't be undone. If you choose Yes, you'll loose the changes you made to the actual swatches. If you choose Append, you add the leaded swatches to the actual list or choose Cancel to stop and go back.


Save Swatches in a file

1. Choose Color/Save Swatches/Palette

2. Select the file’s folder from the Color Swatches In Drop Down box

3. Enter the filename. Axialis IconWorkshop adds automatically .AXCO (Axialis Color Swatches)


Create Gradient

1. Choose Color/Create Gradient.

2. The dialog box Add color Gradient opens. It will create and add a new set of Gradient color Swatches to the actual list.

3. In the area Create, specify the number of color swatches you wish to create.

4. Choose the first color and the last color of gradient.

5. At Location: Specify where you wish to add the new set of color swatches: Inserted at the current location or appended at the end of the list (last position).


Drawing tools1

Drawing tools

Drawing Tools

Brushes

Color Fill types

Filters

Adjustments/Effects

Drawing option


Drawing Tools

You can Show/Hide the drawing tools Windows. Choose View/Drawing tools or CTRL+F11

Selection tool: Allows you to define a region of the icon in the editor in order to copy, cut or paste it. The cursor changes to a cross. Position the cross in the upper left corner of the desired region, then hold down the left mouse button and drag to the diagonally opposite corner. Release the left mouse button when you have selected the desired region

Color Picker tool: Allows you to pick up a color from the editing surface by clicking with the left mouse button for a foreground color and the right button for a background color.

Color Replacer tool: Allows you to rub out the foreground color and replace it by the background color. The cursor changes to an eraser.

Pencil tool: allows you to apply color as you would with a pencil. The cursor changes to a pencil in the editor. The thickness depends on the type of line selected. Choose any two colors in the standard or customized palette. Click on the right or left mouse button to use one of the colors to draw one pixel of the desired color, or drag the mouse around in the workspace to color the pixels under the pencil.

Brush tool: Allows you to draw color with different brush shapes and thickness (Fine, Medium Square, Large Square, Small Circle, Medium Circle and Large circle).

Flood fill tool: Allows you to color an enclosed region. The cursor changes to a paint bucket with a cross. The cross serves as a pointer. Choose two colors in the standard or customized palette. Click on the left or right mouse button for the color you want. Position the cross inside an enclosed surface. All the pixels of the enclosed region will be filled with the selected color.

Note

  • It is possible to apply horizontal or vertical gradients. Just choose two colors in the palette and assign them respectively to the left and right mouse buttons. If you choose the left mouse button, the horizontal/vertical gradient will be from the left button color to the right button color. If you choose the right mouse button, the horizontal/vertical gradient will be from the right button color to the left button color.

Straight line tool: Allows you to draw straight lines. The editor cursor changes to a line, initially a cross. The cross acts as a pointer. Choose two colors in the standard or customized palette. Click on the left or right mouse button for the desired color. Position the cross at the point where the line is to begin and then drag the mouse to the other end of the line

3D Frame tool: Allows you to draw a button with a 3D look. You can also choose different forms and thickness. The cursor changes to a filled circle, initially a cross. The cross acts as a pointer.

Rectangle tool: Allows you to draw rectangle contours with a line thickness of 1, 2, or 3 pixels. The cursor changes to an empty square, initially a cross. The cross acts as a pointer. Choose two colors in the standard or customized palette. Select the desired color. Place the cross at the point where you want one corner of the rectangle, then, holding down the left mouse button, drag the pointer to the diagonally opposite corner. Release the button when you have the desired rectangle

Filled rectangle tool: Allows you to draw solid squares or rectangles. The cursor changes to a filled square, initially a cross. The cross serves as a pointer. Choose two colors in the standard or customized palette. Select the desired color. Place the cross at one corner of the rectangle, then, holding down the left mouse button, drag the pointer to the diagonally opposite corner. Release the button when you have the desired rectangle.

Note

  • It is possible to apply horizontal or vertical gradients. Just choose two colors in the palette and assign them respectively to the left and right mouse buttons. If you press the left mouse button, the horizontal/vertical gradient will be from the left color to the right color. If you press the right button, the horizontal/vertical gradient will be from the right to the left color.

Ellipse tool: Allows you to draw circles or ellipses with contour 1, 2 or 3 pixels thick. The cursor changes to an empty circle, initially a cross. The cross acts as a pointer. Drawing proceeds as with the square or filled square tool

Filled ellipse tool: Allows you to draw solid circles and ellipses with a contour 1, 2, or 3 pixels thick. The cursor changes to a filled circle, initially a cross. The cross acts as a pointer. Drawing proceeds as with the square or filled rectangle tool.

See Adjust a n image transparency and Brushes


Brushes

  • Fine (1 pixel)

  • Medium square (3 pixels)

  • Large square (5 pixels)

  • Extra large square (7 pixels)

  • Small circle (1pixel radius)

  • Medium circle (3 pixels radius)

  • Large circle (5 pixels radius)

  • Extra large circle (7 pixels radius)

  • Right oblique

  • Left oblique

  • Medium diamond (3 pixels)

  • Large diamond (5 pixels)

See Adjust a n image transparency and Drawing tools


Color fill types

  • Solid color: Use the background or foreground solid colors to draw

  • Vertical gradient: Use the Vertical gradient from foreground to background color to draw

  • Horizontal gradient: Use the Horizontal gradient from foreground to background color to draw

  • Radial gradient: Use the Radial gradient from foreground to background color to draw


Filters

Important: Filters apply only to the Windows XP icons.

You can apply filter to the entire icon, or by selecting an area or to the floatting selection only.

Note

You can define a floating selection by:

  • Selecting a portion of icon and move it with mouse ot key arrows.

  • Cut/Copt/Paste a portion of icon

2 Choose a filter from the Draw/Filters

  • Smooth and Smooth more: The Smooth filter lets you smooth edges in an image. The Smooth filter tones down differences in adjacent pixels, resulting in only a slight loss of detail while smoothing the overall image or selected area.

  • Blur, Blur more: The Blur filter softens an image. Blur filters are useful for retouching. They smooth transitions by averaging the pixels next to the hard edges of defined lines and shaded areas in an image. The Blur More filter produces an effect three or four time stronger than that of the Blur filter.

  • Sharpen and sharpen more: The Sharpen filter accentuates the edges in the image by finding the edges and increasing the contrast between adjacent pixels. The Sharpen More filter applies a stronger sharpening effect than does the Sharpen filter.

  • Details: The Details filter lets you add more details in an image.

  • Find Edge: The Find Edge filter removes colors and shades in the image. It keeps only the frontiers between color areas.

  • Enhance Edge, Enhance Edge more: This filter maximizes the visible information in an image to reveal all the detail and use all available colors. It adjusts the balance of the highlights and shadows and the overall light and intensity of the image.

  • Contour: The Contour filter lets you get contours of objects in an image.

  • Emboss: This effect converts the image into a bas-relief. It highlights the areas of contrast with black or white pixels and colors the low contrast areas a medium grey. Colors appear when there is a large difference in the contrast.

Note

  • When you apply a filter, press SHIFT to filter colors ONLY, press CTRL for filter opacity ONLY.


Adjustements Effects

You can apply these Adjustments/Effects to an icon.

Brightness/Contrast

This command allows you to adjust color lightness of the actual icon image.

1. Choose Draw/Adjustments/Effects then Brightness and Contrast.

2. The dialog box Adjust Brightness and Contrast opens

3. Specifies the Brightness value you wish to add to the current image. The value you specify is added (or subtracted if this is a negative value) to the current image brightness.

Remarks

  • Valid values are in range -100 (dark) to +100 (very light).

  • If you specify 0, the brightness is unchanged.

4. Specifies the Contrast value you wish to add to the current image. The value you specify is added (or subtracted if this is a negative value) to the current image contrast.

Remarks

  • Valid values are in range -100 (low contrast) to +100 (high contrast).

  • If you specify 0, the contrast is unchanged.

Hue ans Saturation

This command will adjust the Hue/Saturation of the actual icon image or a portion of it if selected.

1. Choose Draw/Adjustments/Effects then Hue/Saturation.

2. The dialog box Adjust Hue and Saturation opens

3. Specifies the HUE value you wish to apply to the current image. The value you specify is added (or subtracted if this is a negative value) to the current image. By changing this value, you shift all image colors (in the color spectrum).

Remarks

  • Valid values are in range -180 to +180.

  • If you specify 0, the colors are unchanged

4. Specifies the Saturation value you wish to add to the current image. The value you specify is added (or subtracted if this is a negative value) to the current image color saturation.

Remarks

  • Valid values are in range -100 (grayscale) to +100 (very colored).

  • If you specify 0, the saturation is unchanged.

Opacity

This command will adjust the opacity of an the actual icon image or a portion of it if selected.

1. Choose Draw/Adjustments/Effects then Opacity.

2. The dialog box Adjust Opacity opens

3. Specifies the direction of rotation: Right is clockwise; Left is counter-clockwise.

Remarks

  • Valid values are in range -100 (transparent) to +100 (opaque).

  • If you specify 0, the opacity is unchanged.

Drop shadow (XP compatible)

This command will add a drop shadow effect behind the icon (Windows XP effect).

Invert colors

This command inverts the color in the selected image region (negative region).


Drawing options

  • Add Text: Allows writing in an icon

1. Choose Draw/Add Text

2. Enter the text

3. Choose the Font and Size

4. Choose OK

  • Rotate: Allows rotation to the icon or a selection of an icon. Specify the direction of rotation: Right is clockwise and Left is counter clockwise. Then, specify the rotation angle in degrees. Valid Values are in range 1-359°.

  • Rotate 180°: Allows 180° rotation of the icon (or a selected portion of it).

  • Rotate 90° CW: Allows 90° clockwise rotation of the icon (or a selected portion of it).

  • Rotate 90° CCW: Allows 90° counter clockwise rotation of the icon (or a selected portion of it).

  • Scale: Allows to resize the actual icon or a portion of it if selected but not the icon format size.

  • Flip Vertical: Allows vertical permutation of selected icon region.

  • Flip Horizontal: Allows horizontal permutation of selected icon region;

  • Grid: Allows you to display a grid in the editor;

See Adjust a n image transparency and Drawing tools


Working With The Librarian

Create a new folder

Create a new library in the librarian

Rename a folder, a library

Delete a folder, a library

Rename one or more items

Open an item

Open an item full screen

Delete one or more items

Edit an item with the External Editor Program

Toogle auto full screen

Send media items via E-mail

Search items

Set as a Wallpaper

Preview an item from the librarian

Restore previously deleted items

Empty the deleted items folder

Import files

Export files

Select files

Create An Icon Snapshot Picture

Change the item display

Print the actual folder

Display a grid in the detailled list

Display items properties

Change folder icon

Show folders in the list

Add items to the Librarian

Add items from the Explorer Document

Add an opened document

Add items using Import function


Create a new folder

To create a new folder

1. Go to the librarian tree.

2. Select the folder where you wish create a new folder.

3. Choose Librarian/New Folder and enter the name of the folder.


Cretea a new library in the librarian

Create a new library in the librarian

Axialis IconWorkshop has a powerful feature to support ICL files in its built-in Librarian that permits you to consider ICL files as folder.

1. Go to the librarian tree.

2. Select the folder where you wish create a new folder.

3. Choose Librarian/New Library and Enter the name of the folder. Specify the library name to be created as well as the sub-directory in which it will be saved


Open an item

To open an item in the librarian

1. Go to the librarian.

2. Select the item in the list.

3. Choose Librarian/Open item.

  • If you have chosen a folder, its contents is displayed.

  • If you have chosen a media file (Image, icon files (.ICO, .RSC, ICNS..), static or animated cursor files (.CUR or .ANI), ICL library files, HTML files)..., the file will be displayed in a window document or full screen or in an External program.

To modify an item

1. Modify the item with drawing tools

2. Choose File/Save in the edit window

3. The modified item is update in the edit window and in the current library or folder.


Open an item full screen

To open an item full screen

1. Go to the librarian.

2. Select the item.

3. Choose Librarian/Open item Full screen.


Rename a folder

1. Select the folder

2. Right click in the selection, choose Rename and enter the name of the folder.

Rename a library

1. Select the library

2. Right click in the selection, choose Rename and enter the library name will be renamed.

Moving a folder in the librarian

1. Select the folder, holding down the left mouse button, drag then release on the other folder

Remark

  • You can't move the folder in its direct parent or in one of its child.


Rename an item

To rename one or more items

1. Select one or more items in the below list.

2. Choose Librarian/Rename.

3. If you have selected one item, enter in the edit zone, the new name of the item.

4. If you have selected several icons, the dialog box "Rename several media items" opens.

5. Enter the new name for the selected items. The items will be automatically indexed. For example, "Image" will rename "Image1", "Image2",..."ImageN".

6. If you select the "Add zero characters in index" check box, the items will be indexed differently. For example, "Image" will rename "Image001", "Image002",..."Image00n" and click OK.


Delete items

To delete items

1. Select item(s) in the list;

2. Right click in the selection and choose Delete.

3. An information dialog box prompts you. Click OK.

Note

  • The selected files or folders are moved to the "Deleted Items" special folder. You can restore them back to their original locations at any time (see Restore Items) or you can also permanently deleted them (see Empty the Deleted Items folder).


Delete a folder, a library

1. Select the folder a library.

2. Right click in the selection and choose Delete. Axialis IconWorkshop warns you that selected items have been moved in the folder "Deleted Items". You can restore back to their original locations at any time. You can also permanently delete them.


Edit an item

To edit an item with an External program

1. Select an item in the list

2. Choose Librarian/Edit item.

3. If you have not specified the pathname of an external editor, the application asks you to specify it. Click Yes.

4. The "Preferences" dialog box opens. Specify the list of supported media files. You can select one or more files to perform an action ('Change Editor' for example). To associate a media file type to Axialis MediaBrowser just check the associated box within this list. To restore the original media file association, uncheck this box.

5.Click on the All button to select all the Media files in the list

6. Click on the Associate/Restore button to restore the original association of the selected media files.

7. In the Media Type Details, the selected extensions are displayed and are associated with the chosen program.

8. Click to Change icon to change the folder icon associated with the program.

9. Click to change the default Player/Viewer application for the selected media file types. This application will be launched when you'll choose the Open command in Windows explorer.

10. Click to change the default Editor application for the selected media file types. This external application will be launched when you'll choose the Edit command in Windows or Axialis MediaBrowser explorers.


Toggle Auto full screen option

To toggle the auto full screen option

1. Activate the command Librarian/Auto Full Screen.

Note

  • When you open an item, it will be automatically displayed in full screen window.


Send media items via E-mail

To send media items via E-mail

1. Select one or more items.

2. Choose Librarian/Send as E-mail.

3. The dialog box "Send Media Items" opens.

4. In the To area, specify the list of recipients. You can specify several recipients by separating email addresses with a semicolon (;) or click to select the recipients directly from your Address Book. This feature is implemented only if you use Microsoft Outlook® address book

5. In the Subject area, enter description for the selected items attached as an Internet E-mail.

6. In the Message area, enter a message for the selected items attached as an Internet E-mail.

7. Click on the Send button


To search items

1. Choose Librarian/Search

2. The dialog box "Search Media Files in the Librarian" opens.

3. In the Type area, choose the type of Items to find (All types, Screen Saver Projects, Images, Animations, Videos Clips or Sounds Music, Icons, Cursors, Web)

4. In the Name area, enter a search criterion for the item's filename (blank=no search on name). Wildcards are needed to perform multi-files search. For example, to get all the PNG files with "B" as the first letter, enter "b*.PNG".

5. In the Author area, enter a search criterion for the item's author (blank=no search on author). Do not use wildcards. For example, to find the files made by John Smith, you can just enter "smith".

6. In the Keyword area, enter a search criterion for the item's keywords (blank=no search on keywords). Do not use wildcards. For example, to find the files that have the 'ball' keyword, just enter "ball". Enter the Name, the Author, the Keyword and the Description of the item.

7. In the Description area, enter a search criterion for the item's description (blank=no search on description). Do not use wildcards. For example, to find the files that contain the word 'rock' in the description, just enter "rock".

Note

  • The "Name" is the name of file, "Author", "Keyword" and "Description" are fields that you can enter in the dialog box Librarian/Properties/Description. You can specify only one criteria per field. Blank fields will be ignored. Search is not case sensitive.

8. Each time you launch the "Search" command, the application will create a "Found Media Files" document window.

9. You can work in each "Found Media Files" document window.


Set as a Wallpaper

Set as a Wallpaper the selected image

1. Select the image in the list below

2. Choose Librarian/Set as wallpaper

3. Choose one of three options:

  • Centered: Set the selected image as a centered desktop wallpaper

  • Titled: Set the selected image as a centered desktop wallpaper

  • Stretched: Set the selected image as a centered desktop wallpaper


Preview an item from the librarian

To preview an item in the librarian

1. Select one or more items in the librarian list.

2. Activate Librarian/Preview.

3. The item is displayed in the thumbnail.

Note

  • The option Preview is only available if you activate the command Librarian/Display/Large icons.

  • Only pictures can be previewed in thumbnails


Empty the Deleted items folder

To empty the Deleted Items folder

1. Select the Deleted Items folder in the Librarian Tree.

2. Right click and choose Empty Trash.

3. The dialog box Empty folder "Deleted items" opens.

4. If you are sure to permanently delete all the items, click YES.

Warning

  • You will not be able to UNDO this operation.


Restore items from the "Deleted item" folder

1. Select Deleted Items folder in the Librarian Tree.

2. Select the items in the list that you want to restore

3. Right click and choose Restore.

4. The dialog box Restore Deleted items opens.

The selected items have restored back to their original locations.


Import files

To import files

If a folder is selected in the librarian tree

1. Select the folder where you're going to import the files.

2. Choose Librarian/Import.

3. Select the file type from the File Type Drop Down box.

  • Icons and Libraries (ICO, ICNS, RSC, ICL, NIL, IL)

  • Files containing icons (ICO, ICNS, RSC, ICL, NIL, IL, DLL, EXE, CPL, DRV, OCX, SCR)

  • Macinstosh icons (RSC, ICNS)

  • Programs (DLL, EXE, CPL, DRV, OCX, SCR)

  • Images Files (BMP, PSD, PNG, GIF, JPG, TGA, TIF, PICT, QTI...),

  • Cursor files (CUR, ANI).

  • Web files (HTM, HTML)

4. Click on the file that you want to select in the Contents List box and click on the Open button.

The imported files will be automatically placed in the current folder.

If an icon library is selected in the librarian tree

1. Select the icon library

2. .Choose Librarian/Import.

3. Select the file type from the File Type Drop Down box.

  • Files containing icons (ICO, ICNS, RSC, ICL, NIL, IL, DLL, EXE, CPL, DRV, OCX, SCR)

4. Click on the file that you want to select in the Contents List box and click on the Open button.

The imported files will be automatically placed at the current location.


Export files

To export files

1. Select one or several items to export in the bottom list.

2. Choose Librarian/Export. The dialog box "Browse folder" opens.

3. Choose the destination folder for the selected item.


Select files

To select files

1. Select the Folder in the librarian.

2. Choose Librarian/Select Files.

3. You can choose one of these options:

  • Select (Num+): You can add file type to the selection. The dialog box "Expand Selection" opens. Specify file type to add to the selection. For example *.JPG. If you select the "Replace the current selection" check box, the application unselects all files already selected and selects files with the current selection.

  • Unselect (Num -): You can remove file type from the selection. The dialog box "Shrink Selection" opens. Specify file type to remove from the current selection. For example "*.JPEG". The application unselects all files already selected.

  • Select all (Ctrl Num +): You select all the items in the selected folder.

  • Unselect all (Ctrl Num -): You clear all the items in the selected folder.

  • Invert selection (Num *): You invert the selection in the selected folder.

To select all items in the folder

1. Choose Librarian/Select all items.


Change the item display

To change the item display

1. Choose Librarian/Display and click on Large icons, Small icons, Lists or Details.

2. You can also sort the items by Name, Size, Date, Size, Ascending or Descending.

3. You can activate the command Librarian/Display/Auto Preview. This option will allow you to display an image preview for all items but it is CPU time consuming. If you have not selected this option, you'll have to manually preview each selected item by selecting the command Librarian/Preview.

Notes

  • If you choose Large icons, all items will be displayed by using large icons with preview, Filename, File Size, Dimensions and File format.

  • If you choose Small icons, all items will be displayed by using small icons without preview but with the filename.

  • If you choose List, all items will be displayed in a list.

  • If you choose Details, the application displays information about each item in the window.


Print the actual folder

1. Choose Librarian/Print

2. In the group Selection, you can select Print all items or Print Selected items in the librarian, Explorer or search result window.

3. In the group Items size, choose the options:

  • Very Small (0.8 in.)

  • Small (1.6 in.)

  • Medium (2.4 in.)

  • Large (3.2 in.)

4. In the group Header and Footer, check the "Print Header & Footer Text" box. The Print Header and Footer text option allows to specify macros that will be automatically replaced by its related variable text at printing. A macro must be specified between brackets {}. Fill the different areas "Header and Footer" by using macros and/or static text

  • {PATHNAME}: Your username

  • {DATE}: Actual print date

  • {TIME}: Actual print time

  • {PAGE}: Page Number


Print the actual library

1. Select the library and choose Librarian/Print. You're about to print the content of an icon library or a program.

2. In the group Selection, you can select Print all icons or Print Selected icons in the librarian.

3. In the group Header and Footer, check the "Print Header & Footer Text" box. The Print Header and Footer text option allows to specify macros that will be automatically replaced by its related variable text at printing. A macro must be specified between brackets {}. Fill the different areas "Header and Footer" by using macros and/or static text.

  • {FILENAME} Filename of the file to print (no path).

  • {PATHNAME}: Your username

  • {DATE}: Actual print date

  • {TIME}: Actual print time

  • {PAGE}: Page Number

Note

  • You can also specify a separator "|" to split the text in two parts. The first part will be printed on the left side and the second part on the right side of the page. If no separator is specified the text is centered.


Show Grid

To display a grid in the detailled list

If you have chosen the option "Librarian/Display/Details", you can show grid in report view.

1. Choose Librarian/Show Grid to toggle the option.


Show Info Tooltips

To show info tooltips

For each item, you can display an information tooltip.

1. Choose the option Librarian/Show Info Tooltips to toggle this feature.

When you pass over an item, a tooltip displays. You can read the Filename, The File Type, Size/Colors, Date, Time and Size.


Display item properties

To display the item properties

1. Select one or more items.

2. Choose Librarian/Properties.

3. The dialog box "Items Properties" opens.

4. In ITEM PROPERTIES tab, you can read the next information (Filename, Location, Last Modification, File Size, Format, Size/Colors, Memory used)

5. In EXTENDED INFORMATION tab, you can enter the Name, Author and Keywords in their areas.

6. In DESCRIPTION tab, you can enter the Description of the file in its area.

7. In PREVIEW tab, you can visualize an image preview.

Notes

  • These keywords "Filename, Author, Keywords and Description" will be used later to easily retrieve the item using the Find feature. You can select several items, open the "Properties" dialog box and specify the same keywords to all of them in one operation. Please insert a comma between keywords.

  • If you select more items, the ITEM PROPERTIES tab has been replaced by the SELECTION tab. You can read the item total number and the total size of the selected files. For Example:

» Items: 4 Items

» Total Size: 121.44 Kb (124 353 bytes)

  • If you select folders, the Librarian/Properties command opens the standard Windows Properties dialog box.


Change folder icon

To change folder icon

1. Select a folder in the librarian

2. Right click in the selection and choose "Change icon".

3. The dialog box "Change icon" opens.

4. In the area File name, enter the filename (.ICO, .ICL .EXE, or .DLL) or click the button Browser. The icons list displays. Select the new icon.

Note

  • The new icon will be displayed in the Explorer Windows.


Show Folders in the lists

To show folders

1. Choose Librarian/Show Folders.

The application shows all folder items in the list.


Add Items To The Librarian

Add items from the Explorer Document

Add an opened document

Add items using Import function


Add items from the Explorer Document

To add items to the librarian from the Explorer Document

1. Select a folder in the librarian where you want to add items.

2. Select one or more items in the Explorer Document.

3. Right click and choose Add to the librarian.


Add an opened document

To add an opened document to the librarian

1. Select a folder in the librarian where you want to add Media Files.

2. Open a Document or activate an existing document window.

3. Right click and choose Add to the librarian.


Add items using Import function

To add items using the Import function

1. Select a folder in the librarian where you want to import items.

2. Choose Librarian/Import.

3. The Import Files in the Librarian dialog box opens. Enter the filenames or select the files to import and click on the Save Button.


Working With The Libraries

Working With Libraries

Create an icon library (ICL)

Open a library as a separate document

Open an icon from the library

Open an icon as a new icon from the library

Save an icon as an icon file (.ICO) from the library

Export icons to an .ICL or DLL file

Import icons into the library

Create An Icon Snapshot Picture

Rename one or more icons in the library

Delete one or more icons in the library

Select all items in the list

Sort items by name

Display icons

Compile as EXE installable icon library

Specify a filename and location

Add a description to a compiled file

Add an information text

Add a User License Agreement

Use an Activation Code

Compile

How to Generate Activation Codes?

Generate Activation codes


Create a new icon library

Create a new icon library (.ICL)

1. Choose File/New icon library (.ICL).

A new Icon Library window opens. Its contents is empty. Now you can add icons to this library. You can save this icon library as an .ICL file or Export icons to ICL or DLL file.


Open a library as a separate document

Axialis IconWorkshop allows you to open a library in a separate document window. This operation is very useful when moving or copying icons from one library to another to keep them visible on screen. You can also import into and export from a document.

1. Select the library and double-click on the library.

Warning

  • If you open the current library as a document, the current library will be automatically deactivated by Axialis IconWorkshop. You can perform no operation on this library as long as the associated document is open. But all operations in the document library will be update in the library.


Open an icon from the librarian

Open an icon from the library

1. Open a library. See Open a library as a separate document

2. Select an icon and choose Icon Library/Open icon

or

1. Select an icon in the library then double-click

To modify an icon

The icon is displayed in an edit window. This window shows the number of the icon and the library name where it is located.

Example: Bon 09 - Icon (embedded in "IconLibrary002.icl)

Modify the icon with the drawing tools

1. Modify icon with drawing tools.

2. Choose File/Save in the edit window

The modified icon is automatically updated in the library


Open an icon as a new icon from the library

1. Select an icon in the library

2. Right click in the selection and choose Open as a new icon

The icon is displayed in an edit window.

Modify the icon with the drawing tools

1. Choose File/Save or File/Save as from the edit window or File/Add to librarian

The modified icon is saved in an ICO file or added at the current position of the selected library in librarian.


Save an icon as an icon file (.ICO) from the library

1. Select an icon and open it

2. Choose File/Save as

3. Select or create the file’s folder from the Save In Drop Down box

4. Enter the name for the new icon file (.ICO) in the File Name Text box. Axialis IconWorkshop will add the file extension (.ICO) automatically in the File Type Drop Down box. Click Save.

5. Axialis IconWorkshop asks you if you really want to overwrite the following icon file. Warning: This action can't be undone. If you choose Yes, the file will be lost forever. Choose No to stop and go back.


Export icons to an .ICL or DLL file

1. Select one or more icons in the library

2. Right click in the selection and choose Export to .ICL or .DLL

3. Select or create the file’s folder from the Save In Drop Down box

4. Enter the name for the new .ICL or .DLL, .IL library in the File Name Text box. Axialis IconWorkshop will add the file extension (.ICL, .IL or .DLL) automatically in the File Type Drop Down box.


Import icons into the library

1. Select the library

2. Choose Icon Library/Import

3. Select the file type from the File Type Drop Down box

  • Files containing icons (.ICO, ICN, RSC, ICL, IL, NIL, DLL, EXE, CPL, DRV, OCX, SCR)

4. Click on the file that you want to select.

5. Click on the Open button

The imported icons will be automatically placed at the current position of the selected library.


Rename one or more icons in the library

1. Select one or more icons in the library

2. Right click in the selection and choose Rename

3. A dialog box Rename icons opens. Enter a New Name for the selected icons.

4. If the option Add 'zero' characters in indexes (001, 002 ...) is checked, 'zero' characters will be added in the names. For example, 27 items with new name Image will be renamed Image01, Image02&ldots; Image27.

Remark

  • If you rename more icons, they are automatically indexed. For example, "computer" will be indexed by "computer 1", "computer 2", ... "computer n".


Delete one or more icons in the library

1. Select one or more icons

2. Right click in the selection and choose Delete

3. A dialog box Delete Icons opens. It asks you if you really want to permanently delete the selected icon(s) from the current library.

Note

  • This action can't be undone. If you choose "Yes", the icon(s) will be lost forever. Choose 'No' to stop and go back.


Select all items in the list

1. Select one or more icons in the library

2. Choose Icon Library/Select all or Right click in the selection and choose Selection all.


Sort item by name

1. Select more icons in the library

2. Choose Icon Library/Select all or Right click in the selection and Choose Sort by Name

Note

  • If you select one icon in the library, Axialis IconWorkshop warns you that there is only one icon selected. Do you want to apply the sort on all icons?


Disaply icons

Display icons

1. Choose Icon Library/Display icons or Right click in the selection and choose Display icons.

2. You can display icons using various formats:

  • 16x16, 32x32, 48x48, Monochrome, 16 colors, 256 colors, True colors or XP

  • You can also display icon name specification in lists by choosing Icon Information.


Compile as EXE installable icon library

[ Feature Available in Corporate Edition Only ]

Specify a filename and location

Add a description to a compiled file

Add an information text

Add a User License Agreement

Activate code

Compile


Specify a filename and location

[ Feature Available in Corporate Edition Only ]

You are about to create an installable icon library. This is the most convenient and use-friendly way to distribute your icons. The ICL Icon library will be compressed, then included in an install program. The resulting package will be smaller than the original ICL. This is perfect to distribute your icons on the Web page for example.

1. Activate the Icon library window document.

2. Choose Icon Library/Compile as EXE installable Package or Right click and choose Compile as EXE installable Package

3. In the Filename area, specify the name of the install procedure executable file (usually Install.exe. You don't need to specify an extension here (.EXE by default).

4. In the Location area, specify the location where you want to create the installation package. If you specify a new folder, it will be created. You must type a folder full pathname here.


Add a description to a compiled file

[ Feature Available in Corporate Edition Only ]

You can customize your screen saver by specifying a Title, a Copyright, a Web and a Comment. This information will be displayed in the Configure dialog box of the screen saver.

1. Click on the NEXT button in the Compile an Installable Icon Library- Step 1 of 6 dialog box.

2. In the Filename area, specify the final filename of the Icon Library (The name of the ICL file created after the installation).

Now, you can personalize your Icon Library below. This information will be displayed in About and installation Screens.

3. In the Title area, specify the Title that will be displayed in large Font at the top of the Install window.

4. In the Copyright area, specify a Copyright that will be displayed (in medium bold font) under the title at the top of the install window

5. In the Author area, specify the Author name. Usually, the person name who created icons.

6. In the Web Site area, specify the Web Address of your personal page or company site (for example: http://www.axialis.com).

7. In the About box Comment area, specify a Comment associated with the icon library. This comment will be displayed in the About box of the install procedure. (1024 characters max).


Add an information text

[ Feature Available in Corporate Edition Only ]

You can specify an Information text that will be displayed during the installation. Using this text, you can fully describe your icon library contents and/or provide info about you or your organization.

1. Click on the NEXT button in the Compile an Installable Icon Library- Step 2 of 6 dialog box.

2. If you check Display an Information Text, you'll display an Information Text in the install procedure. This will be a kind of "Read Me" text that will be displayed in a window titled "Important Information". You can type the text in the area, use copy/paste from an external editor or use the "Load" button (see below) to read a text from an external file.

3. If you click the Load button, you can select an external text file to load using a standard Windows browse dialog box.

4. If you click on the Save button, you save the actual text to an external text file using a standard Windows browse dialog box.


Add a Useer license Agreement

Add a User license Agreement

[ Feature Available in Corporate Edition Only ]

You can specify a User License Agreement text that will be displayed before the installation starts. The use must agree with this agreement to proceed.

1. Click on the NEXT button in the Compile an Installable Icon Library- Step 3 of 6 dialog box.

2. If you check Add a User License Agreement, you'll display a User Agreement Text in the install procedure. The user will have to agree the terms of this user agreement before proceeding with the install procedure. You can type the text, use copy/paste from an external editor or use the "Load" button (see below) to read a text from an external file.

4. If you click the Load button, you can select an external text file to load using a standard Windows browse dialog box.

5. If you click on the Save button, you save the actual text to an external text file using a standard Windows browse dialog box.

6. If you click on Load Default button, it will reset the User Agreement to a standard text (proposed by default by IconWorkshop).

4.

3.


Use an Activate code

Use an Activation Code

[ Feature Available in Corporate Edition Only ]

Using this feature, you'll be able to force the user to enter an Activation Code to Install the Icon library. The Codes will be generated using the two following ID numbers.

1. Click on the NEXT button in the Compile an Installable Icon Library- Step 4 of 6 dialog box.

2. If you check Use an Activation Code, you'll force the user to enter an Activation Code during the install procedure. If you do so, the user will have to enter a valid Activation Code (provided by you and that you can generate with this program) to proceed with the installation. You'll be able to generate Activation Codes using a built-in feature after the compilation (Alt+F6).

More information on Activation Codes

Two kinds of Activation Codes have been implemented in IconWorkshop:

Based on the user name: The user has to enter its name and the activation code using this format: 1234-1234-1234-1234 (4 groups of 4 digits).

  • Pro: The user have to provide his name if he wants to publish the code.

  • Con: The author has to manually generate a code for each user.

NOT based on the user name: The user just enters a longer activation code using this format: 123456-1234-1234-1234-1234

  • Pro: The author can automatically generate a list of codes.

  • Con: The user can anonymously publish his code.

3. In the Icon Library ID area, specify the Library ID (an 8 digit hexadecimal number - 32 bits) that will be used to generate the Activation Codes. Two Ids are used to generate the codes: The Library ID (which is different for each library you compiled) and the Company ID (which is constant but differs for another company).

Remarks

  • Each digit in a hexadecimal number is coded from 0 to 9 and A to F (A=10 &ldots; F=15). This is a typical computer notation.

  • The number here is just a proposal based on several Icon Library properties. You can freely modify and customize it.

  • If you customize this number, do not enter a 'simplistic' one.

  • Don't forget to place this number in a sure place. You'll need it to generate the Activations Codes later (using the built-in feature, after the compilation - Alt+F6).

4. In the Company/Author ID area, specify the Company ID (an 8 digit hexadecimal number - 32 bits) that will be used to generate the Activation Codes. Two Ids are used to generate the codes: The Library ID (which is different for each library you compiled) and the Company ID (which is constant but differs for another company).

Remarks

  • Each digit in a hexadecimal number is coded from 0 to 9 and A to F (A=10 &ldots; F=15). This is a typical computer notation.

  • The number here is just a proposal based on several Icon Library properties. You can freely modify and customize it.

  • If you customize this number, do not enter a 'simplistic' one.

  • Don't forget to place this number in a sure place. You'll need it to generate the Activations Codes later (using the built-in feature, after the compilation - Alt+F6).

5. If you check Code based on User Name, you whish the install procedure to require an Activation Code based on the User Name. This option is more secure but forces you to generate one Code per user (see below). If you don't activate this option, the install procedure will use a standard numerical Activation Code.

More information on Activation Codes

Two kinds of Activation Codes have been implemented in IconWorkshop:

Based on the user name: The user has to enter its name and the activation code using this format: 1234-1234-1234-1234 (4 groups of 4 digits).

  • Pro: The user have to provide his name if he wants to publish the code.

  • Con: The author has to manually generate a code for each user.

NOT based on the user name: The user just enters a longer activation code using this format: 123456-1234-1234-1234-1234

  • Pro: The author can automatically generate a list of codes.

  • Con: The user can anonymously publish his code.


Compile

[ Feature Available in Corporate Edition Only ]

You are about to compile your icon library file.

1. Clik on the NEXT button in the Compile an Installable Icon Library- Step 5 of 6 dialog box.

2. The application displays the Compilation Summary.

3. Click on the More Info About Copyright button.

  • You are going to create a compiled and freely redistributable version of your Icon Library. “Freely redistributable” means that AXIALIS permits you to redistribute without royalties the portion of executable code produced by this compilation.

  • It does not mean that you can freely distribute any icons using this compilation. Don't forget that icons are intellectual properties of their respective authors.

  • Consequently, you must hold the Copyright on each icon you have inserted in the compiled Library. AXIALIS assumes no liability for damages, direct or consequential, which may result from the use of this compilation.

4. Click on the Go and Compile button. Axialis IconWorkshop is compiling your Icon Library. Creating Icon Library, Compressing Data, Creating EXE Installation Package and Verifying Package files.

5. The application displays Compilation Successfully Completed if no error occurred during compilation. Otherwise, errors can be displayed in the dialog box.

6. You can Test the Installation Package Now if you click on it.


Generate Activation Codes

[ Feature Available in Corporate Edition Only ]

With this feature, you can generate Activation Codes for previously compiled Icon Libraries. To create serial codes, you need the Company ID and Library ID you used during the compilation.

You can generate tow kinds of Activation Codes: Based on User Name (one code generated for each user) or in serial (a list of codes ban be generated).

Company and Library IDs

1. In the Library ID area, specify the Library ID (an 8 digit hexadecimal number - 32 bits) that will be used to generate the Activation Codes. Two Ids are used to generate the codes: The Library ID (which is different for each library you compiled) and the Company ID (which is constant but differs for another company). You must specify the same number you specified when you compiled the Icon Library.

2. In the Company ID area, specify the Company ID (an 8 digit hexadecimal number - 32 bits) that will be used to generate the Activation Codes. Two Ids are used to generate the codes: The Library ID (which is different for each library you compiled) and the Company ID (which is constant but differs for another company). You must specify the same number you specified when you compiled the Icon Library.

3. Click the Get IDs from history file button if you can't recall the Library ID and/or the Company ID you used when you compiled the Icon Library. This will open a window and display a history list of the compilations you made.

Remarks

  • Each digit in a hexadecimal number is coded from 0 to 9 and A to F (A=10 &ldots; F=15). This is a typical computer notation.

  • If you can't recall the Library ID or company ID you specified at compilation, click the button on right side of this edit zone to choose this it in a history list.

Generate an Activation Code based on a User Name

If you choose an Activation Code based on the User Name during Compilation, specify the name of the User and Click the Generate button.

1. In the User Name area, specify the name of the user for who you want to generate an Activation Code. This name must have at least 6 letters. The activation code will be displayed in the edit zone on right and copied in the clipboard as in this example:

  • Your User Name : John Smith

  • Your Activation Code : 1527-9872-0984-6717

2. Click the Generate Button. It will generate an Activation Code based on the User Name you specified on left. The activation code will be displayed in the edit zone on right and copied in the clipboard.

3. In the Code area displays the resulting Activation Code (based on the user name specified on left).

Note

  • You don't need to copy this code in the clipboard. A special string has already been created and copied in the clipboard when you clicked on the "Generate" button

Generate a List of Activation Codes in Serial

If you don't choose a Username based Activation Code, you can specify a range of code generation then click generate to save result in a text file.

1. In the From Number to To Number areas, specify the range of Activation Codes you whish to generate.

Note

  • Using this feature you can automatically generate a list of activation codes. These codes will not be based on the Username. They will be indexed using a 6 digit number (thus, codes can be generated from 000001 to 999999). In these 2 fields, you can specify the lower and the upper bounds. When done, click on the button placed on right to create a list of codes and save it in a text file.

2. Click on the Generate file button, it will generate a list of codes and save it in a text file. Don't forget to specify the generation range (fields on left) before proceeding.

Note : More information on Activation Codes

Two kinds of Activation Codes have been implemented in IconWorkshop:

Based on the user name: The user has to enter its name and the activation code using this format: 1234-1234-1234-1234 (4 groups of 4 digits).

  • Pro: The user have to provide his name if he wants to publish the code.

  • Con: The author has to manually generate a code for each user.

NOT based on the user name: The user just enters a longer activation code using this format: 123456-1234-1234-1234-1234

  • Pro: The author can automatically generate a list of codes.

  • Con: The user can anonymously publish his code.


Working With The Explorer

Create a new Explorer window

Explorer functions

Display items properties

Search Media files on the Computer

Create An Icon Snapshot Picture

Batch Convert Several Macintosh® Icons to Windows® Icons

Batch Create Several Icons from Images, Macintosh Icons and Cursors


Create a new Explorer window

To create a new Explorer window

1. Choose File/New Explorer.

A new Explorer window will be created.


Explorer Functions

Many of the explorer functions are similar to those present in the librarian. For that reason, we propose to you links to the librarian functions (see below). Just click on the desired link and change any reference to "Librarian" by "Explorer".

Explorer/Open

Explorer/Edit

Explorer/Open Full Screen

Explorer/Auto Full Screen

Explorer/Preview

Explorer/Rename one or more items

Explorer/Send as E-mail

Explorer/File Selection

Explorer/Show folders

Explorer/Show grid

Explorer/Show Info tooltips

Display item or selection properties

3 functions associated only with the Explorer Menu

  • Show Image files : Show Images files in lists

  • Show Program files: Show program (EXE, DLL, CPL, DRV, SCR...) files in lists

  • Hide Programs without icons: Do not display program files without icon in the lists


Display item properties

To display the item properties

1. Select one or more items.

2. Choose Explorer/Properties.

The command opens the standard Windows Properties dialog box.


Search media files on the computer

To search media files on the computer

1. Choose Explorer/Search.

2. The dialog box "Search on the Computer" opens.

3. In the Named area, enter a search criterion for the item's filename (blank=no search on name). Wildcards are needed to perform multi-files search. For example, to get all the PNG files with "B" as the first letter, enter "b*.PNG".

4. In the Look In area, enter a pathname (blank=no search on author).

5. If you check the option "Include Subfolders",

6. In the Type area, enter a search criterion for the item's type (blank=no search on keywords). Do not use wildcards.

7. If you check the Date option, the search will use the specified date as a search criterion. In the Between and And areas, specify the date range for the search. The file must have been modified after/before this date to be selected.

8. If you check the Size option , the search will use the specified size as a search criterion. You can choose At Least or At Most options. The file must have at most/ at least the specified size.

you can can specify the


Batch Convert Several Macintosh® Icons to Windows® Icons

Using IconWorkshop you can Convert Several Macintosh® Icons to Windows® format in one operation. This is what we call a batch procedure. We'll perform this task using the built-in IconWorkshop explorer.

To get more info about Macintosh® to Windows® icon conversion see How to Convert a Macintosh® Icon to a Windows® Icon topic. In this topic we'll focus on how to convert several icons in one oparation.

Select the Macintosh icons you wish to convert

1. Open a new Explorer window. Choose File/New/File Explorer...

2. When the window is opened, select the folder which contains the Macintosh icons using the tree in the left pane.

3. When done, the Macintosh® icons appears (with preview) in the right pane. Select the icons you wish to convert. You can use Shift/Ctrl + Mouse to select several icons. Use Ctrl+A to select all. Use +/- to select/unselect by specifying filters.

Convert the icons

4. Choose Explorer/Batch Convert Macintosh Icons To Windows or Ctrl+Shift+M

5. The batch operation starts immediately, the hourglass mouse pointer is displayed during the conversion. When done the Windows icons are added to the folder contents.

Remark - The created icons have the same filename as the original icon with .ico appended. A smart system has been added to index the files if necessary to avoid overwriting.

IMPORTANT NOTICE

Converting a Macintosh icon to Windows format does NOT change Copyright or Intellectual Property of an icon. The image/icon is property of its author and still property of this author after a conversion.

As a result, do NOT redistribute converted icons without permission of the author. Also, some Macintosh authors do not wish that you convert/use their icons under Windows. In such a case, please respect author whish and do not convert its icons, even for your personal use.


Batch Create Several Icons from Images, Macintosh Icons and Cursors

Batch Create Several Icons from Images, Macintosh Icons...

Using this feature you can Create Several Icons from images, icons (Macintosh®/Windows®) or cursors in one operation. This is what we call a batch procedure. We'll perform this task using the built-in IconWorkshop explorer.

Select the Source Images, Icons or Cursors

1. Open a new Explorer window. Choose File/New/File Explorer...

2. When the window is opened, select the folder which contains the Source Files using the tree in the left pane.

3. When done, the Source Files appears (with preview) in the right pane. Select the icons you wish to convert. You can use Shift/Ctrl + Mouse to select several icons. Use Ctrl+A to select all. Use +/- to select/unselect by specifying filters.

Create the Icons

4. Choose Explorer/Batch Create Windows Icons from Selection or Ctrl+Shift+C.

5. The dialog box Batch Create Icons From Selection opens (see below). In the Standard Formats group ( [image]), specify the standard Windows formats you wish to add in each icon. In the Extra Formats group ( [image]), specify the non-standard Windows formats you wish to add.

5. In the Image Adjustment group ( [image]), specify whether or not you wish to apply a filter in each image format creation process. This is useful to sharpen/detail small icon format images.

6. When done, click OK. The batch operation starts immediately, the hourglass mouse pointer is displayed during the creation. When done the new Windows icons are added to the folder contents.

Remarks

• The created icons have the same filename as the original document with .ico appended. A smart system has been added to index the files if necessary to avoid overwriting.

• If you create an icon from an Image File, the whole image is selected and resized keeping its aspect ratio. If it contains transparency, it is kept.

• If you create an icon from a Macintosh® Icon, the largest image is used as source to create the icons. Transparency is kept.

• If you create an icon from a Windows® Icon, the largest image is used as source to create the icons. Transparency is kept.

• If you create an icon from a Cursor File, the largest image is used as source to create the icons. Transparency is kept.


Batch Create Several Images from Icons

Batch Create Several Images (PNG, PSD, BMP) from Icons...

[ Feature Available in Corporate Edition Only ]

Using this feature you can Create Several PNG, PSD or BMP Images with transparency from icons (Macintosh®/Windows®)one operation. This is what we call a batch procedure. We'll perform this task using the built-in IconWorkshop explorer.

Batch creating images from icons can be very useful. For example, PNG with transparency is the standard icon format for Linux® KDE® Desktop Environment. Also some useful "Dock" applications have been ported to Windows (clones of Macintosh® OS-X Dock toolbar). Most of these applications also are using 128x128 PNG with transparency as icons. See MobyDock and Y'z Dock websites for more info).

Select the Source Icons

1. Open a new Explorer window. Choose File/New/File Explorer...

2. When the window is opened, select the folder which contains the Source Files using the tree in the left pane.

3. When done, the Source Files appears (with preview) in the right pane. Select the icons you wish to convert to images. You can use Shift/Ctrl + Mouse to select several icons. Use Ctrl+A to select all. Use +/- to select/unselect by specifying filters.

Create the Images

4. Choose Explorer/Batch Create PNG, PSD or BMP Images from Selected Icons or Ctrl+Shift+V.

5. The dialog box Batch Create Images From Icons opens (see below). In the Icon Format to Extract group ( [image]), choose the image format you wish to extract from the icons. You can choose only one image format. If this exact format does not exists in an icon, the nearest format is chosen.

5. In the Image File Format group ( [image]), select the file format you wish to use for the images to create.

6. In the Transparency group ( [image]), choose if you wish to create transparent or opaque images. If you choose to preserve transparency, the images will be automatically converted to 32BPP with alpha channel (even if the chosen icon format is 256 or less colors). If you choose to remove transparency, the images will be generated using 24BPP (no alpha channel). In such a case, you must specify a background color (to fill the transparent areas with this color).

7. When done, click OK. The batch operation starts immediately, the hourglass mouse pointer is displayed during the creation. When done the new Images are added to the folder contents.

Remarks

• The created images have the same filename as the original document with .PNG, .PSD ot .BMP appended. A smart system has been added to index the files if necessary to avoid overwriting.

• If this exact chosen format does not exists in an icon, the nearest format is chosen for extraction.


Working With Media Files

Working with Images

Open an image

Save an image

Create a new icon from selection

Print an image in one page or as a poster

Copy an image to the Clipboard

Crop an image

Resize an image

Change image colors

Change image display

Display an image full screen

Zoom in, Zoom out

Acquire a new image from a Twain device

Working with Cursor files

Static or Animated cursor files (.CUR, .ANI)


Working With Images

Open an image

Save an image

Create a new icon from selection

Print an image in one page or as a poster

Copy an image to the Clipboard

Crop an image

Resize an image

Change image color depth

Change image display

Display an image full screen

Zoom in, Zoom out

Acquire a new image from a Twain device


Open an image file

To open an image file

You can open an image file by the choosing the command File/Open or by double clicking on the selected image in the librarian.

Supported Image file formats

  • BMP (Windows - 32 Bpp transparency supported)

  • PSD (Adobe Photoshop - transparent layers supported)

  • IFF (Amiga)

  • GIF (Compuserve - transparency supported)

  • JPEG (JPEG)

  • LBM (Amiga)

  • PCD (PhotoCD)

  • PIC (APPLE PICT)

  • PNG (Portable Network Graphic - 32 Bpp transparency supported)

  • PCX (Zsoft)

  • RLE (Windows RLE)

  • TGA (TARGA)

  • TIF (TIFF)

  • WMF (Windows WMF - transparency supported)


Save an image file

To save an image file

1. Choose File/Save as.

2. Specify the file of type. Choose BMP (Windows Bitmap), PSD ( Adobe Photoshop), PNG (Portable Network Graphics) or JPG or JPEG (JPEG, JIF Compliant ).

Note

  • You can specify in the Command Edit/Preferences/Image- JPEG Compression, the Image Quality (1: Lowest Quality to 99: Highest Quality).


Create a new icon from selection

This function allows you automatically to create an icon based on the selected image area.

1. Select or not a portion of your image. Use the selection tool (upper-left button of the tool palette) and select the portion of image you whish to use (do not cut the shadow if there is one around the object). When done, an animated dashed rectangle has been created.

2. Choose Image/Create New icon from Selection.

3. The dialog box Create New icon from Image Opens.

4. In the Name group, enter the icon project name. Do not specify any extension.

5. In the Image Formats group, select the image formats you whish to add in the icon and unselect the unwanted images. Just click on the image preview to select/unselect.6. If you wish to start creating your icon with an unlisted format (64x64 for example), click the Other Image Format button.

6. When done, click OK. The icon is automatically created with the various image formats you've selected.


Print an image in one page or as a poster

To print an image in one page or as a poster

1. Select the image.

2. Choose File/Print.

3. In the Options group:

  • If you check the option "Print image in one page", the file will be printed in one page.

  • If you check the option "Print image as a poster (several pages)", you must specify a Width and Height of your image. If you check the option "Constrain proportions", the image will keep proportions of the original image.

4. In the group Header and Footer, check the "Print Header & Footer Text" box. The Print Header and Footer text option allows to specify macros that will be automatically replaced by its related variable text at printing. A macro must be specified between brackets {}. Fill the different areas "Header and Footer" by using macros and/or static text

  • {PATHNAME}: Your username

  • {DATE}: Actual print date

  • {TIME}: Actual print time

  • {PAGE}: Page Number

Notes

  • You can see how the printed image will be printed before you proceed by clicking the command File/Print Preview.

  • You can set margins or change orientation by clicking the command File/Printers Settings.


Copy an image file

To copy an image file

1. Select an image in the librarian or explorer and choose Edit/Copy.

or

1. Activate an opened image document window.

2. Choose Edit/Copy.

The Image is copied as a bitmap in the Clipboard. You can:

  • Paste it in an external application.

  • Paste it as a new image document see Paste an item as a new image

  • Paste it in the editor. See Cut/Copy/Paste an item


Crop an image

To crop an image file

Cropping is the process of selecting and removing a portion of an image to create another image (leaving only the selection).

1. Select the portion of the image.

2. Choose Image Crop image.


Resize an image

This command allows you to resize the image.

1. Choose Image/Resize image.

2. Specify the real Width and Height of the poster in pixels.

3. If the Constrain proportion option is checked, the application will kept the aspect ration of the original picture when printing.


Change image colors

Change image color depth

Axialis IconWorkshop allow you to convert image colors. You can choose:

Convert to True colors with Alpha Channel (32 bits)

This option allows you to increase the color depth of an image. When you choose this option, it will convert the whole image to 32 bits per pixel (true Colors Alpha Channel). Alpha Channel is also known as Smooth Transparency. This is principally used in Windows XP to create transparent areas, smooth borders and shades. You can initialize the Alpha Channel by specifying a transparent color below.

  • If this box "Convert the following color to transparent" is checked, Axialis IconWorkshop will convert the image to 32 bit per pixel with Alpha Channel format and convert the pixels using the specified color to transparent areas. If the box is not checked, the image will be converted without creating transparent areas

Convert to True Colors (24 bits)

This option will convert the whole image from 32 bits per pixel (with transparency) to an opaque standard image. Before proceeding, you must specify the background color to be used during the conversion process.

Convert to Indexed colors (256 colors)

This option will convert the image color depth to 8 bits per pixel (Indexed colors with palette).


Change the appearence of display

To change image display

1. Choose in the menu View, the following display options:

  • Normal Display: The image displays at the given scale. Use Zoom in and Zoom out to change scale.

  • Best Fit Display: The image displays in full size keeping proportions.

  • Maximized Display: The image displays in full size.


Display an image full screen

To display an image full screen

This command allows you to display the Image using Full screen resolution.

1. Choose View/Full Screen.

The image is displayed according the current display setting (see Change image display). Press a key or double-click to quit full screen.

Note

  • If the current image display setting is Normal Display, you can zoom in and out in the image using the '+' and '-' keys.

  • You can also use the mouse: left button (keep pressed) to zoom in, right button to zoom out, double-click on any button to quit full screen and if the image display is bigger than screen, move the mouse (without pressing any button) to scroll the image.


Zoom in, Zoom out

1. For an Image, choose View/Zoom in or View/Zoom out.

Note

  • To go back to a Zoom 100%, tape on the Space Bar.


Acquire a new image from a Twain device

To acquire a new image from a Twain device

If you have a Twain compatible scanner, video capture card or numeric camera, you can acquire and create a new image document using Axialis Professional Screen Saver Producer.

1. If you have several capture devices, select the desired device using the File/Select Source command then click OK.

2. Choose File/Acquire to open the Twain interface.

Note

  • Each time you acquire an image a new window is created.


Working With Cursor files

Static or Animated cursor files (.CUR, .ANI)


Static or animated cursor files (.CUR, .ANI)

You can read static or animated cursors files (.CUR or .ANI). A static can include several image formats (different size and color depth). When you open a static cursor file, the content of icon is displayed and you can see the available image formats (at the left side of the window). You can select the desired format by clicking on it.

Many of the cursor files functions are similar to those present in the image files. For that reason, we propose to you links to the Image files functions (see below). Just click on the desired link.

Open a cursor

Save a cursor

Print a cursor in one page or as a poster

Copy a cursor in the clipboard

Change cursor display

Display cursor full screen

Zoom in, Zoom out


Working With Edit-Clipboard Functions

Working With Clipboard Functions

Cut/Copy/Paste an item

Paste an item as a new image

Delete items


Cut - Copy - Paste an item

To cut/copy/paste an item

The Cut/Copy/Paste functions are used mainly to communicate between Librarian, Explorer, Library, icon editor or with others Windows programs.

To move an item

1. Select an item.

2. Choose Edit/Cut.

3. Select a folder in the librarian "or a project".

4. Choose Edit/Paste.

To copy an item

1. Select an item.

2. Choose Edit/Copy.

3. Select a folder in the librarian "or a project".

4. Choose Edit/Paste.


Paste an item as a new image

To paste an item as a new image

If an image is present in the Clipboard, you can paste it in the application and create a new Image document window.

1. Select an item and choose Edit/Cut or Edit/Copy.

or

2. Copy an image from an external application.

3. Choose Edit/Paste as a new image.

4. The image is displayed in a new "Untitled" window.

5. Choose File/Save As from the edit window or File/Add to librarian.

You can save the image as a JPEG, PNG or BMP format or add it to the Librarian (See Add items to the Librarian).

Note

  • This command will permit you to easily add new image files to the application. Each time you select this command you create a new document window.


Customizing Windows® Icons

System Settings

Customize Folders

Start Menu

Desktop

Miscellaneous


System Settings

To access the System Settings Tab options, choose Edit/Customize Windows® icons. The "Customize Windows® Icons" dialog box opens, click on the System Settings to get the related options.

Icon sizes

Specify the default Windows icon display size "Normal (32x32)". If you use a large screen resolution, we recommend you to switch to large icon size "Large (48x48)".

Icon Spacing

Specifies the distance between icons in pixels "Horizontal and Vertical".

Icon Display

If this option "Display icons using 256 colors or True colors" is checked, Axialis IconWorkshop Displays desktop icons using all the colors supported by your current display and your color palette settings.

Important

  • To display icons using 256 or 16.8 million colors you must change your display settings to Hi Color (65536 colors) or True Colors (16.8 M colors)

If this option "Display an arrow in shortcuts" is checked, a small arrow is displayed on Shortcut icons (bottom left corner). If it is not checked, the arrow is hidden.

Remark

  • You can customize the arrow appearance by changing the associated overlay icon. See "Miscellaneous" tab.

Windows Icon Cache

Rebuild cache: Windows has an internal cache to manage images of all the icons it displays. Sometimes this internal icon cache is corrupted and icons displays incorrectly. By clicking on this button "Rebuild" you force Windows to rebuild its internal icon cache and solve the problem.

Repair Damaged cache: Windows has an internal cache to manage images of all the icons it displays. Sometimes this internal icon cache is corrupted and icons displays incorrectly. By clicking on this button "Repair" you force Windows to delete and repair its internal icon cache and solve the problem.


Customize Folders

To access the Customize Folders Tab options, choose Edit/Customize Windows® icons. The "Customize Windows® Icons" dialog box opens, click on the Customize Folders to get the related options.

Using this feature, you can customize any hard drive disk folder (or subfolder) appearance with the icon of your choice.

1. In the Folder area, specify the full pathname to the folder you whish to customize. To customize drive icons, you can also specify a root folder.

2. If you click the Change icon button, you can select a new custom icon.

3. If you click Default icon button, you can restore the folder standard icon. Don't forget to Apply the changes for each folder.

4. In the Info Tip area, specify the custom info tip message you whish to assign to this folder. This message is displayed in a small window when you pass the mouse pointer over the folder in Windows explorer.

Notes

  • You can also customize a Local Hard Drive disk icon: Select the hard drive root folder ("C:\" for example and customize its icon.

  • You can customize any folders as long as it is located on a write enabled disk. For example, CDROM folders can't be customized.

  • Any files containing icons (ICO, ICL, DLL , EXE...) can be used to select the custom icon.

  • To avoid future visual ambiguity, we recommend you to use icons showing a folder (See "My Documents" or "Fonts" folder)


Start menu

Axialis IconWorkshop displays the list of available Windows items to customize. Each item entry includes a description and small symbols on right showing its status: "Custom icon", "Windows standard icon" or "Modified (changed must be applied").

  • If you click the Change icon button, you can change the icon associated with the selected item. Axialis IconWorkshop opens a dialog box "Change icon". Specify the File Name of your Library. All icons are displayed in list. Choose your icon and click OK.

  • If you click the Restore Default button, you can revert to the default Windows icon associated with the selected item.

  • If you click the Restore Default button, you can revert to the default Windows icon for all items in the list

Note

  • Some of them may not be available or inoperative based on your Windows version.


Desktop

Axialis IconWorkshop displays the list of available Windows items to customize. Each item entry includes a description and small symbols on right showing its status: "Custom icon", "Windows standard icon" or "Modified (changed must be applied").

  • If you click the Change icon button, you can change the icon associated with the selected item. Axialis IconWorkshop opens a dialog box "Change icon". Specify the File Name of your Library. All icons are displayed in list. Choose your icon and click OK.

  • If you click the Restore Default button, you can revert to the default Windows icon associated with the selected item.

  • If you click the Restore Default button, you can revert to the default Windows icon for all items in the list

Note

  • Some of them may not be available or inoperative based on your Windows version.


Miscellaneous

Axialis IconWorkshop displays the list of available Windows items to customize. Each item entry includes a description and small symbols on right showing its status: "Custom icon", "Windows standard icon" or "Modified (changed must be applied").

  • If you click the Change icon button, you can change the icon associated with the selected item. Axialis IconWorkshop opens a dialog box "Change icon". Specify the File Name of your Library. All icons are displayed in list. Choose Your icon and click OK.

  • If you click the Restore Default button, you can revert to the default Windows icon associated with the selected item.

  • If you click the Restore Default button, you can revert to the default Windows icon for all items in the list

Note

  • Some of them may not be available or inoperative based on your Windows version.


Customizing the Application

Customize the main toolbar

Show/Hide the toolbars and the Librarian

Manage Favorites

Changing the Program Preferences

General options

Editor options

User Interface options

Toolbar options

Media Type options

Librarian options

Image options

Temporary file options


Customize the main toolbar

To customize the main toolbar

If you have chosen an Internet Explorer style toolbar, you can fully customizing it. You can add/remove buttons or change the order they are displayed, show/hide labels and areas and more...

To Customize the Main Toolbar Buttons

1. Choose View/Customize Main Toolbar or right click in the main toolbar and choose Customize buttons or Double Click on the main toolbar.

2. The dialog box "Customize Toolbar" Opens.

3. An available toolbar buttons list displays. You can add these buttons in the Current toolbar buttons list by selecting one button and clicking on the Add Button.

4. If you want to delete a button in the current toolbar, you must select it and click on the Remove button.

5. You can Move Up or Move Down the button in the Current Toolbar buttons list. Select the button and click on Move Up/Move Down. You can also use the Drag and Drop to move the buttons.

6. If you want to go back with the Default Main toolbar, click on the Reset button.

To Change or Remove the Background Bitmap

1. Choose View/Preferences. The dialog box "Preferences" Opens.

2. Select the "Toolbars" tab.

3. In the "Background Bitmap" list box choose the desired image or select "none". Click OK.

To Show or Hide the Recently Used Area

1. Choose Edit/Preferences. The dialog box "Preferences" Opens.

2. Select the "Toolbars" tab.

3. Check or uncheck the "Display Recently Used bar" option. Click OK.

To Empty the Recently Used List

1. Choose View/Preferences. The dialog box "Preferences" Opens.

2. Select the "Toolbars" tab.

3. Click on the "Empty Recently Used List" button. Click OK.

To read more see Options in the Toolbars tab

Notes

  • You can move toolbar buttons directly from the Toolbar by pressing ALT + selecting the button and moving with the mouse.

  • You can move or resize the Recently Used bar using the mouse: Place the mouse pointer on the left side of the Recently Used area. When the cursor changes into a cross with 4 arrows, move it using drag and drop.

  • You can hide the Text labels by right-clicking the toolbar and then toggle Text Labels.


Show-Hide the Toolbars and the Librarian

To show/hide the Toolbars and the Librarian

To show-hide the Status Bar

1. Choose View/Status bar.

To show-hide the Main Toolbar

1. Choose View/Main Toolbar.

To show-hide the Local Loolbar (of the selected document window)

1. Choose View/Local Toolbar.

To show-hide the Drawing tools

1. Choose View/Drawing Tools

To show-hide the Colors

1. Choose View/Colors.

To show-hide the Preview (display icon an scale 1:1)

1. Choose View/Preview 1:1

Notes

  • When the command has a check mark next to it, it means that the toolbar is displayed.

  • When you point to a menu command, the status bar at the bottom of the window displays a description of the command.


Managing Favorites

To manage favorites

If you have favorite documents (media files or screen saver projects) or folders, you can add them to a "Favorite List" to retrieve them faster. You can also easily manage this list.

To Add a Document to the Favorite List

1. Select an open document in a window.

2. Choose Favorites/Add to Favorites.

  • In the area "Name" displays the name of the document as it will appear in the Favorite List. You can change the name and click OK.

To Add a Folder to the Favorite List

1. Open a New Explorer window and select the desired folder.

2. Choose Favorites/Add to Favorites.

  • In the area "Name" displays the name of the document as it will appear in the Favorite List. You can change the name and click OK.

To Open an Item from the Favorite List

1. Open the Favorites menu.

2. Choose the desired item to open it.

  • If the item is a document, a Document Window opens.

  • If the item is a folder, an Explorer Window opens.

To Modify the Favorite List

1. Choose Modify/Favorites.

2. The Favorite List contents displays. You must select the document you want to change or remove from the list.

3. If you want to change the name of the selected document (you will change the name that appears in the list, not the filename on disk) click the Rename button.

4. If you want to remove the selected document from the list (you will NOT delete the file or folder on the disk) click the Remove button.


Changing The Program Preferences1

Changing The Program Preferences

General options

Editor options

User Interface options

Toolbar options

Media Type options

Librarian options

Image options

Temporary file options


Options in the G eneral Tab

To access the General Tab options, choose View/Preferences. The "Preferences" dialog box opens, click on the General tab to get the related options.

Create a new Icon Project window

If this option is checked, the application will automatically create a new icon project window each time it starts.

Create a new Explorer window

If this option is checked, the application will automatically create a new explorer window each time it starts.

Warn if insufficient video colors

If this box is checked, the application warns you if your display configuration is insufficient (less than 65536 colors) each time it starts.

Remark: It is highly recommended to configure screen settings to Hi Colors (65536) or True Colors (16.8M) when using the application.

Display Welcome and tips windows

If this option is checked, the application automatically opens the welcome window and displays a new Tip of The Day each time it starts

Warn if Icon files are not associated with Axialis IconWorkshop

If this box is checked, the application prompts you when it starts if Icon files (ICO, ICL) are not properly associated with it. If this box is not checked, the application will ignore bad file association.

Remark: It is highly recommended to associate Media files, ICL and ACL libraries and Screen Savers with the application in order to permit fast screen saver access from Windows Explorer.

Warn if Windows components are missing (Internet Explorer, Quick time,...)

If this box is checked, the application prompts you at startup if the Windows component named Internet Explorer, Quick Time ... are missing or have an older version. The application includes a special feature that permits you to use a built-in "Internet Explorer like" toolbar. These components must be installed in order to use this very useful toolbar. You can install this component directly from this warning window.

Show Splash Screen when application starts

When you launch the application, a logo of Axialis IconWorkshop displays. .

Use External Internet Browser

If this option is checked, you can use another External Internet Browser.

Choose an image format when creating a new icon

If this box is checked, the application automatically creates a new icon associated with an image format.

Show information message when opening EXE file

If this box is checked, the application automatically shows information associated to the EXE file.

Remember folder during "Save As" operation

If this box is checked, the application automatically saves the current folder.

Maximize document windows at opening

If this box is checked, the application automatically maximizes document windows at opening.


Editor options

To access the Editor Tab options, choose View/Preferences. The "Preferences" dialog box opens, click on the Editor tab to get the related options.

Transparency - Style

Specifies how Axialis IconWorkshop displays the pattern representing transparent backgrounds (transparent areas of icons). Select None to choose a solid background or Small to Large to select the size of the check board style background. You can adjust the background colors or choosing a defined scheme below.

Transparency - Color Scheme

Specifies a transparent background predefined color scheme. Choose Custom to manually choose the colors

Transparency - Custom colors

Click to specify the color of the background area or the first color of the check board style background pattern and click to specify the second color of the check board style background pattern.

Grid - Style

Specifies how the Grid appears in the drawing area:

  • Lines - To draw the grid using solid lines (strong display).

  • Dashed Lines - To display the grid using very small dashed lines (light display).

  • Dashed Lines - Each pixel is represented by a small dot in the upper-left corner of the pixel square (very light display).

Grid - Color

Specifies the color of the color grid.

Grid - Draw stronger lines at fixed intervals

If this option is checked, a stronger grid line (a line with a darked color) is drawn at fixed intervals.

Prompt for resize/crop options when pasting

If this box is checked, a dialog box lets you choose for resize/crop options each time you perform a paste operation in an icon image. If this option is not checked, a default resize/option option will be used.

Prompt for palette options when pasting

If this box is checked, a dialog box lets you choose for color options you each time you perform a paste operation which requires an icon palette modification. This event occurs only for 256 color image formats. If this option is not checked, a default option will be used

Warn if insufficient video colors to edit image

If this box is checked, Axialis IconWorkshop displays a warning message each time you edit an image format which exceeds your display capabilities.


User Interface options

To access the User Interface Tab options, choose View/Preferences. The "Preferences" dialog box opens, click on the User Interface tab to get the related options.

User Interface Style - Windows Standard User Interface

Allows to use standard Microsoft Windows® interface.

Note for Windows XP users

  • If you want to use the new XP interface customization feature, you must choose this option.

User Interface Style - Axialis Software User Interface

Allows to use Axialis Software specific user interface. If you choose this interface you can adjust the color of windows title, controls and more. You can also specify the desired application main color. This color will be applied to every windows and dialog boxes (in the application only).

Remark

  • You can only specify a HUE value (you cannot modify the lightness or the saturation of the color).

Background colors - Full Screen Mode

Click here to change the color of the screen background (when you open a media file using full screen: images, video clips&ldots;).

Background colors - Document windows

Click here to change the color of the document windows background (when you open a media file window: images, video clips&ldots;).

Background colors - Scale 1:1 preview

Click here to change the background color of the "scale 1:1" preview window (This small dockable window permits you to see the result of your drawing at scale 1:1).


Options in the Toolbars Tab

To access the Toolbars Tab options, choose View/Preferences. The "Preferences" dialog box opens, click on the Toolbars tab to get the related options.

Local Toolbar Display (within document windows)

If this option is checked, a local toolbar will be initially visible (within the document window) each time you'll open a document. Otherwise, it will be initially hidden. You can set your preferences for each document category: Icon Project, Icon library, Program files, Explorers, Search Results and Images/Animations.

Main toolbar

You can display in the main toolbar, Standard buttons, Button text, Animation, 'Recently used' bar and change the Background Bitmap.

Display standard buttons

Specifies whether you want the application to display application standard buttons in the toolbar.

Display Animation

Specifies whether you want the application to display an animation in the toolbar. This feature is accessible only if you have chosen to use an 'Internet Explorer®' like toolbar.

Display "Recently Used" List

If this box is checked, the application displays a 'Recently Used' area in the Toolbar. This area permits you to quickly reopen a file recently opened with this program. To open a file simply click on it in the list. You can also specify a HTTP of FTP file by typing its URL, search an expression in the edit area and just hit 'enter'.

Empty "Recently Used" List

Allows you to empty the Recently Used list.

Text options - No Text label, Show Text labels, Selective Text Label on Right

Specifies how text descriptions of the toolbar buttons appear:

  • No Text Labels - To display only icons in the Toolbar.

  • Show Text Labels - To display the names of the buttons underneath each button on the toolbar.

  • Selective Text Labels on Right - To display the names of certain buttons, such as Search and Library, on their right side.


Options in the Media Types Tab

To access the Media Types Tab options, choose View/Preferences. The "Preferences" dialog box opens, click on the Media Types tab to get the related options. You can specify here an External Editor Program for each File Category.

Media Type list

This list specifies the list of supported media files. You can select one or more files to perform an action ('Change Editor' for example). To associate a media file type to Axialis Pro Screen Saver Producer, just check the associated box within this list. To restore the original media file association, uncheck this box. Click on the All button to select all the media file types in the list. Click on the Associate/Restore button to restore the original associations of the selected media file types.

Media Types Details Group

You can change the icon to associate with a selected extension by clicking on the Change icon button.

Click to change the default Player/Viewer application for the selected media file types. This application will be launched when you'll choose the Edit command in Windows explorer.

Click to change the default Editor application for the selected media file types. This external application will be launched when you'll choose the Edit command in Windows or Axialis Pro Screen Saver Producer explorers.


Options in the Librarian Tab

To access the Librarian Tab options, choose View/Preferences. The "Preferences" dialog box opens, click on the Librarian tab to get the related options.

You can change the location of the librarian on your hard disk by specifying a new path to the directory structure containing your Icon Projects, Libraries and Media files..

1. Specify a Path for the librarian or click on the Browse button.

Note

  • If you specify the new location for the librarian, the change will occur the next time you launch Axialis IconWorkshop.

2. When you check "Confirm before saving libraries in librarian" the application prompts you to confirm if you want save libraries in the librarian.

3. When you check "Show Information Window when deleting items in the librarian" the application displays information to tell you that the selected items have been moved in the Folder "Deleted items". You will be able to restore them back to their original locations at any time and also permanently delete them.


Options in the Images Tab

To access the Images Tab options, choose View/Preferences. The "Preferences" dialog box opens, click on the Images tab to get the related options.

JPEG: Writing options

Image Quality - Specify the JPEG compression level (values from 1 to 99). A low compression level (1 to 10) produces small files but the image quality is very low. A high compression level (80 to 99) produces very good quality images but larger files.

WMF: Default Load Size

Width and Height - Specify the WMF default width and Height. WMF is a vector format. It means that it can be opened and displayed at any size without quality loss. To display it, the application needs to convert it to bitmap and need a default size to perform the conversion.

Kodak PhotoCD

Default Load Size - Specify the default Kodak PhotoCD® (PCD) load size. Kodak PhotoCD® is a multi-resolution format. It means that each PCD file includes several resolutions of the same picture. Small resolutions are fast to load but with poor quality. High resolutions have good quality but are memory consuming.

Image Display mode

  • Various - Click to set default image display to 'Various Scales'. It means that images will be initially displayed at scale 1:1 (with possibility to change scale)

  • Best Fit - Click to set default image display to 'Best Fit'. It means that images will be stretched to the maximum available size when displayed (within document windows or full screen). The image aspect ratio will always be kept.

  • Full Window - Click to set default image display to 'Full Window'. It means that images will be stretched to the maximum available size when displayed (within document windows or full screen). The image may be distorted when stretched.


Options in the Temporary Files Tab

To access the Temporary files tab options, choose View/Preferences. The "Preferences" dialog box opens, click on the Temporary files to get the related options.

Store thumbnail previews on disk for fast browsing

Pictures preview you see in the Explorer windows are stored in a special folder for quick viewing later. This feature greatly improves preview speed when you browse your computer. You can define below the amount of disk space you want to make available for those files or just disable this feature (not recommended).

If this option is checked, you can adjust the cash size (10, 100 or 200 MB) using the slider. You can also check Exclude files from Removable & CDROM drives and Exclude Files from Network to avoid overloading the cash.

If you click on the DELETE button, the application warns you if you want to delete all in files in Temporary Preview folder. Click on YES or NO.

Note

  • This operation can't be undone.


Managing Windows

Reorganize desktop now

Reorganize full window

Standard Reorganization window


Reorganize Desktop now

To reorganize desktop

Axialis has implemented a "dynamic" system to ergonomically reorganize the Application Desktop area. With this system, document windows are tiled and grouped by type. Desktop is divided in 2 parts: Explorer and Search Result windows in one part, Media Document windows in the other part.

To Reorganize Desktop at any Time

1. Choose Windows/Reorganize Desktop Now or press F12.

2. You can also click on the Display button on the main toolbar.

Note

  • This feature is useful only if you don't choose an automatic reorganization option (see below).

To Toggle Automatic Desktop Reorganization

1. Choose Window/Automatic Reorganization.

Note

  • If this option is enabled, a Desktop Reorganization is performed each time you open, close, reduce or restore a window.


Reorganize full window

Reorganize desktop using full window model

If you choose a Full Window reorganization model, all opened windows will be displayed using the maximum available space on the desktop.

1. Choose Window/Full window Reorganization.

Notes

  • This is just a reorganization model option. To reorganize the desktop choose the Windows/Reorganize Desktop Now command or press F12.


Standard Windows Reorganization

These commands are using the standard Windows reorganization model. Choose one of the following commands:

1. The Cascade command displays windows in a stack, one behind the other. The window titles remain visible, but the contents may be hidden.

2. The Tile command distributes the display area between all windows so that all contents are totally visible.

3. Choose Window/Reorganize icons.

Note

  • These commands are useful only if you disable the Automatic Reorganization.


Tips and Tricks

Tips of the Day

Other Tips and Tricks

Drag and Drop from one library to another

Drag and Drop one program file to a library

Shortcuts using Recently Used area


Tips2

Tips

Tips of the Day


Tips of the Day

Here is the whole list of Tips of the Day (displayed each time you launch the application). These tips will allow you to be more productive using Axialis IconWorkshop:

  1. Axialis IconWorkshop 5.0 permits you to create icons using the new Windows XP smooth transparency format (aka Alpha Channel).

  2. Axialis IconWorkshop 5.0 has a new feature that permits you to create an icon with up to 12 standard image formats in 1 click (from an image or the Clipboard contents). See New Icon From Image...

  3. A powerful built-in file manager (called the Librarian) permits you to organize and search your icon and library files in seconds. Press ESC to show/hide the Librarian window.

  4. Now you can create and compile ICL icon libraries and distribute them as standalone installable EXE package. To do so, create or open an icon library (ICL) then press Alt+F9.

  5. IconWorkshop now permits you to open 32 Bpp images with smooth transparency (a.k.a. Alpha Channel), select a portion of it and create an icon from this selection (select 'Create New Icon From Selection' or press 'I').

  6. You can easily find a media file in the librarian using several search criteria (title, author, description...). Press Ctrl+F to acces sthis function.

  7. You can customize buttons in the main toolbar. Right click on it then choose 'Customize'.

  8. You can open an existing file or visit a web site by typing its pathname or URL in the 'Recently Used' area and hitting Enter.

  9. You can search media files, icons or files containing icons on your computer specifying several search criteria (name, date, size...). Press Ctrl+G to access this feature.

  10. Now you can create icons from images with transparency (32 Bpp). Supported formats are: GIF (keeps transparency), BMP and PNG with alpha channel, Photoshop PSD with layers. Choose File/Open (Ctrl+O) or open an IconWorkshop Explorer window (Ctrl+E)

  11. You can use Drag and Drop from Windows Explorer to open several files in one operation.

  12. An advanced built-in Explorer let you browse your disks and see files in thumbnails. You can Drag and Drop files or folders, use Cut/Copy/Paste operations, add files to librarian or projects and more...

  13. You can open several Explorer Windows and perform Drag and Drop between them.

  14. Try to click Reorganize Desktop or activate Automatic reorganization.

  15. You can move and resize the librarian window (top, bottom, left, right). You can also hide it.

  16. You can find document files on the Internet using a powerful Media Search Engine (Ctrl+H).

  17. You can create a new image document based on the clipboard contents. Just select the 'Paste as a New Image' command. You can also add it to the Librarian (F3).

  18. You can customize IconWorkshop 5.0. See the Preferences dialog box.

  19. You can change the color of Axialis IconWorkshop interface or choose to keep the standard Windows interface (new feature useful under XP). See 'Preferences' dialog box then 'User Interface' tab.

  20. An Exclusive Online Update system let you easily upgrade your application for Free using Internet. And it works for any future version. Do not pay again for future versions! Registered users only.

  21. In the icon editor window, you can show/hide the icon image formats list (press 'I'). You can also place this list on the left or right side of the window (right click on it).

  22. You can print a list of media files or the whole content of a folder. Files will be printed as a thumbnail (press Ctrl+P from an Explorer document).

  23. You can apply many filters to your icon image (Windows XP format): Select a portion of it, then choose Draw/Filters... You can also quickly repeat the last filter by pressing 'F'.

  24. Microsoft recommends to add a smooth shadow behind XP icons to increase their visibility. A built-in feature permits you do create this shadow (respecting Microsoft specifications). Select an XP icon format then press 'D'...

  25. You can view an image Full Screen (F11) then 'browse' it using the mouse: Press buttons to zoom in/out, Move mouse to change the view location, Double-click to return to the windowed view.

  26. You can print images at any size. The image will be printed on several pages to be assembled to produce a poster (Ctrl+P). You can also print icons. All formats included in the icon will be printed in thumbnail.

  27. In the main toolbar, you can display a list of Recently Used files. To open a recently opened file just clik on it.

  28. In the 'Recently Used' area you can just type a search criterion then hit enter. An Internet media search will be automatically lauched using this criterion.

  29. You can store Explorer picture previews on hard disk for fast browsing. You can also specify the size of the cache folder. See 'Preferences' dialog box (F2) then 'Temporary Files' tab.

  30. If you like a particular document and frequently open it, you can add it to your favorite list. the Favorite list accepts all kind of documents (Icons, Libraries and Programs).

  31. You can hide the small animation located in the upper-right corner of the main toolbar. See 'Preferences' dialog box (F2) then 'Toolbars' tab.

  32. Axialis IconWorkshop has a new 'smart' system to reorganize documents windows in the working area. For example, try to open several windows and iconize some of them...

  33. Axialis IconWorkshop permits you to compile an ICL file to an installable EXE package ready for distribution. Furthermore, you can add a protection option based on activation codes (Corporate Edition). Codes are based or not on user names.

  34. A built-in feature permits you to generate activation codes (based on the user name or in serial). This feature is very useful to distribute/sell copyrighted icon libraries.

  35. Try to click Reorganize Desktop or activate Automatic reorganization.

  36. A new feature permits you to draw using smooth edges (no more visible small squares around circles). This feature works only for Windows XP formats and can be activated by pressing 'E'.

  37. You can easily create a floating selection with transparency: Select a portion of an icon image, then move it using the mouse or the keyboard arrows. By pressing ALT or CTRL you create a copy of the selection. Pressing SHIFT moves faster (10 pixels).

  38. We strongly recommend you to use the built-in Librarian to manage icons, libraries and images.

  39. We recommend you to store your icons in ICL libraries rather that using ICO files. This will save your hard disk space if you have a large number of icons.

  40. This new version of IconWorkshop reads Apple Macintosh icons (ICNS and RSC). It supports icon formats up to OS 8.5 and 10.0. You can open all icon formats (mono, 16, 256, true colors) and sizes up to 128x128 (the new thumbnail formats).

  41. The Corporate Edition permits you to save an icon format to a PSD file with layer transparency. This is very useful to modify an icon in Adobe Photoshop without loosing the transparency information.

  42. A new enhanced Color Swatch/Palette system has been totally rewritten in this new IconWorkshop version. Now you can read Photoshop and Paint Shop Pro color palette and color swatch files.

  43. A new 'smart' system permits you to easily create a new icon image format: Start with a new XP icon format, then right click on the format list. The most usual missing image format will be proposed to you for automatic creation (based on the actual image). Or just press INS.

  44. You can use Drag and Drop from Windows Explorer to open several files in one operation.

  45. An advanced built-in Explorer let you browse your disks and see files in thumbnails. You can Drag and Drop files or folders, use Cut/Copy/Paste operations, add files to librarian or libraries and more...

  46. You can customize Windows Desktop and Standard icons using a powerful built-in feature (press F7).

  47. You can move and resize the librarian window (top, bottom, left, right). You can also hide it.

  48. You can change an icon within an EXE or DLL file. This is very useful to customize an installation package or a Flash standalone animation. Just open the program file (Ctrl+O) then modify the icons which display in the list.

  49. You can create a icon based on the clipboard contents. Just select the 'New Icon Project From Clipboard' command. You can also acquire an image from a TWAIN compatible scanner and create an icon from it.

  50. You can adjust icon image colors (Windows XP format): Select a portion of it, then you can adjust: Brightness/Contrast (press 'B'), Hue/Saturation (press 'U'), Opacity (press 'O')...

  51. You can add text (with smooth borders for XP formats) to an icon image. Press Ctrl+T, type your text then apply. Now you can adjust the text which is placed in a flating selection.

  52. Now you can rotate a selection (we recommend you to create a floating selection first) of image. You can select 90° CW, 180°, 90° CCW or a free angle (press 'R').

  53. Now you can resize/resample a selection (we recommend you to create a floating selection first) of an icon image. Press 'S', select the new size then apply.


Other Tips and Tricks

Drag and Drop from one library to another

Drag and Drop one program file to a library

Shortcuts using Recently Used area


Drag and Drop from one library to another

Axialis IconWorkshop includes a function that makes it easier to copy and move icons from one library to another. This function is called "Drag and Drop". You select a library, open it as a document, and select the icons you want to move, then drag them all holding down the mouse button until you get to the other document.

To move icons from one library to another

1. Open icon libraries as documents

2. Select icons

3. Using drag and drop, drag them to the document to which you want to import the icons

To copy icons from one library to another

1. Open icon libraries as documents

2. Select one or more icons, holding down the CTRL or SHIFT key as you click with the left button on the icons one after the other

3. Keep the left mouse button pressed down

4. Press the CTRL key and drag to the document where you want to copy the icons. The cursor changes to a pointer with one or more documents in the background and a + sign

Axialis IconWorkshop automatically copies all the icons to the document and places them in the foreground. The libraries are automatically updated after you close the documents.


Drag and Drop from one program file to a library

1. Open a program file (*.CPL; *.DLL, *.DRV, *.EXE, *.OCX, *.VBX)

2. Select one or more icons using the SHIFT and/or CTRL key

3. Holding down the left mouse button, drag then release into the selected library (.ICL, .NIL, or .IL) or on a library in the left pane of the library window.

4. The cursor changes to a pointer with one or more documents in the background and a + sign

5. The icons will be inserted at the desired location.


Shortcuts using Recently Used area

To open an existing file or project

1. In the Recently Used area, enter the full pathname and press Enter. The application automatically opens the requested file.

To open an existing folder

1. In the Recently Used area, enter the folder location and press Enter. The application automatically opens a new explorer window displaying the contents of the requested folder.

To create a new project

1. In the Recently Used area, enter the full pathname and press Enter. For example: D:\project1. You don't need to specify an extension here (.SSP by default).

2. If the file does not exists, the File not Found dialog box opens. It asks you if you want to create a new document using this filename. Click on YES. A new project is created.

Note

  • If you specify a filename without a folder location, the application automatically searches (or creates if you specify a project) the file in the default "Open" folder (this is the location you specify the last time you used the Open dialog box).


Uninstalling the Application

Uninstall the application


Uninstall the application

To uninstall the application

1. Open Start menu settings and control Panel in the Windows task bar.

2. Choose Settings and Control Panel.

3. The Control Panel dialog box opens.

4. Click Add/Delete Program.

5. Choose in the list: Axialis IconWorkshop.

6. Click Add/Delete.

7. Follow uninstall instructions.

Note

  • If you have added new files in the librarian, the uninstaller DO NOT remove them. Please delete them manually.


Registering On line1

Registering On line

Use Online Registration using Internet


Online Registration using Internet

[ Feature Available in Full Version Only ]

Why Registering?

Join the family of registered Axialis Software customers by registering your copy of Screen Saver Producer. Registration can be completed in just a few seconds using Internet.

Important: Your personal information be kept strictly confidential and not given or sold to anyone.

If you register, you'll get the following benefits:

  • LIFETIME FREE UPGRADES for the REST OF YOUR LIFE! Incredible but TRUE! Never pay again for future versions (for registered customers and using Internet online update only).

  • Receive up-to-the-minute notices about new products and offers from Axialis Software.

  • Free technical support (using Internet email only).

To Register Online Using Internet

1. Choose the command ?/Online Registration.

2. A dialog box opens. Read general infos then click Register Now.

3. A second "Online Registration Using Internet" dialog box opens:

Your Personal Login Data: To register, you must specify yourself as a customer. If this is the first time you register using this online system, choose "New Customer". Otherwise, specify your personal login data.

  • Check the "I'm a New customer (or I don't have a Username)" option if you've never registered an Axialis Product using this online registration system. Choose this option only if you don't have an Axialis Customer username/password logon data. Otherwise, choose the other option "I Already Have a Username".

  • Check the "I already have a Username" option if you've already registered an Axialis Product using this online registration system. Choose this option only if you have an Axialis Customer username/password logon data. Otherwise, choose the other option "I'm a New Customer".

Important Note for AX-Icons users

  • If you've registered AX-Icons, you used an old registration system and didn't choose a Username/Password login data. In such a case, select "New Customer".

  • If you've registered another Axialis program using this new registration system (such as AX-CDPlayer, Screen Saver Producer) you should already have an Axialis Username

4. If you're a New Customer, a personal account will be created with your personal info (name, email, address, country, username, password, hint question...). Important: Your personal information will be kept strictly confidential and will never be sold or given to any third company. A "New Customer" dialog box opens:

  1. Name - Specify your Name here. This is not a username but your Real Name. Ex: "John Smith".

  • Email - Specify here your personal e-mail address. This address is important. It will be used to send you information about new products, offers... Confirm this address in the Confirm field.

  • Address - Specify here your personal address (street, city, state, zip...). This field is facultative.

  • Country - Specify here your country.

  • Language - Specify here your preferred language. This field is facultative.

  • Username - Specify here your desired Username. As a new customer you must specify a new username. If the username you specified already exists, you will be asked to choose a different one. This field is not case sensitive and must contain at least 6 characters. This field is very important: it must be easy to remember, but not too easy! It's not recommended to specify spaces in your username.

  • Password - Specify here your Password. As a new customer you must specify a new password. This field is not case sensitive and must contain at least 6 characters. This field is very important: it must be easy to remember, but not too easy! It's not recommended to specify spaces in your password. Confirm this password in the Confirm field. This confirmation is useful to avoid errors.

  • Question - Specify here your password Hint Question. If you have lost your password, you'll be able to retrieve it using this question. In such a case, your personal hint question will be asked to you. If your answer is correct (if it matches your hint answer) then your password will be given to you. Specify a personal question only. Ex: "What's the last name of your neighbor?"

  • Answer - Specify here your password Hint Answer. If you have lost your password, you'll be able to retrieve it using this answer. In such a case, your personal hint question will be asked to you. If your answer is correct (if it matches this hint answer) then your password will be given to you. Specify short answer that must not be too easy for other people. This field is not case sensitive. It's not recommended to specify spaces in your answer.

5. If you already have a Username

  • Specify in the Username area, your personal Axialis Customer Username. If you're already an Axialis customer (if you already have registered a program using this new online registration system, not the old one), you should have a personal Username. The username is not case sensitive.

  • Specify in the Password area your personal Axialis Customer Password. If you're already an Axialis customer (if you already have registered a program using this new online registration system, not the old one), you should have a personal Password. The password is not case sensitive.

Important

  • If you have lost your password click on the Lost Password button. A Web page will open and your personal hint question will be asked to you. If your answer is correct, your password is displayed. You specify the hint question and answer when you create your customer account (new customer).

6. When done, click on the Next button. A fourth "Online Registration Using Internet" dialog box opens:

The Product You purchased: Please provide information about the product your purchased..

  • In the "Produt Key" area, specify the Product Key you received after your purchase.

Notes

  • The product key has been provided to you when you purchased the product. It has the folowing format: 12345678-12345-12345-12345-12345

  • In this edit zone, you find a copy of the key you specified when you installed the program. We recommend you to leave it as is.

  • In the "Where did you purchase Axialis IconWorkShop"enter the name of the reseller (or Web site) where you purchased the program. Please specify also the date and the order number (if possible). Important: A correct information is required to register. If you don't specify this info, your registration will be rejected.

6. When done, click on the Next button. A five "Online Registration Using Internet" dialog box opens:

Ready to Register: You are about to send your registration information. You must be connected to Internet before proceeding. If you are not connected to Internet, please connect now. If you're connected to Internet through a proxy/firewall server, fill the proxy related fileds.

If you' using a modem, check that you're connected to Internet. If you're connected to Internet without a Firewall, click Register Now. If you use a Firewall, check the Connected to Internet using a Proxy/Firewall box and fill the following fields:

  • Address & Port - Specify here the HTTP Proxy address and port number (usually 80).

  • Proxy authentication is required - If this box is checked, the application will send an authentication message to the proxy server when connecting to Internet. Check this option only if your server requires authentication then fill the following fields:

  • Login & Password - Specify here the Proxy Authentication Login & Password.

7. Click the Register Now button. The last dialog box opens showing the registration progress.

8. Congratulations! You're registered.


Using Free Online Update

Upgrade the application using Internet


Use Free Online Update (Internet)

Freely upgrade the application using Internet

[ Feature Available in Full Version Only ]

What is Axialis Free Online Update?

This is an update system which is reserved to registered users only. It works through Internet to automatically upgrade your application to the latest release.

It's FREE and for LIFE! Yes, pay for the program the first time and get all new versions for FREE using Online Update.

To Upgrade your Application Online Using Internet

1. Choose the command ?/Free Online Update.

2. A "Online Update" dialog box opens. Axialis Online Update will check our server for a new version and download a patch if necessary. To upgrade your application online, you must be a registered user of this application. customer Username and Password:

  • It requires authentication then specify your Axialis Customer Username and Password. If you're already an Axialis customer (if you already have registered a program using this new online registration system, not the old one), you should have a personal Username and Password. Username and Password are NOT case sensitive.

  • If you have lost your password, click the "Oops! I've lost my password..." button. A Web page will open and your personal hint question will be asked to you. If your answer is correct, your password is displayed. You specify the hint question and answer when you create your customer account (new customer).

  • To Continue, click Next.

Important

  • We strongly recommend you to save and close all the opened screen saver project windows before proceeding (at the end of the download procedure, the application will be restarted).

3. A "Ready to Register" dialog box opens. If you' using a modem, check that you're connected to Internet. If you're connected to Internet without a Firewall, click Update Now. If you use a Firewall, check the Connected to Internet using a Proxy/Firewall box and fill the following fields:

  • In the HTTP Settings group specify:

  • Address & Port - Specify here the HTTP Proxy address and port number (usually 80).

  • Proxy authentication is required - If this box is checked, the application will send an authentication message to the proxy server when connecting to Internet. Check this option only if your server requires authentication then fill the Login & Password fields below.

  • In the FTP Settings group specify:

  • Firewall Type - Specify here the FTP Firewall Authentication type you use. We support the following types:

. SITE hostname

. USER after logon

. Proxy OPEN

. Transparent

. USER with no logon

. USER FireID@Remotehost

. USER RemoteID@remoteHost fire ID

. USER remoteID@fireID@remoteHost

  • Address & Port - Specify here the FTP Proxy address and port number (usually 80).

  • Login & Password - Specify here the Proxy Authentication Login & Password.

4. Click the Update Now button. The last dialog box opens showing the connexion and download progress.

Note

  • If a new version is available, a patch is downloaded and the application is restarted to be upgraded.


Change the Animation or Video display

To change the Animation display

1. Choose one on the following display options:

  • Normal Display: The Animation use Zoom in and Zoom out.

  • Best Fit Display: The Animation displays in full size keeping proportions.

  • Maximized Display: The Animation displays in full size.


Options in the G eneral Tab

To access the General Tab options, choose View/Preferences. The "Preferences" dialog box opens, click on the General tab to get the related options.

Create a new Explorer window

If this option is checked, the application will automatically create a new explorer window each time it starts.

Warn if insufficient video colors (less than 65536 colors)

If this box is checked, the application warns you if your display configuration is insufficient (less than 65536 colors) each time it starts.

Remark: It is highly recommended to configure screen settings to Hi Colors (65536) or True Colors (16.8M) when using the application.

Display Welcome and tips windows

If this option is checked, the application automatically opens the welcome window and displays a new Tip of The Day each time it starts

Warn if Media Files are not associated with Axialis Professional Screen Saver

If this box is checked, the application prompts you when it starts if Media files (Images, Animations, Video or Sound, ICL and ACL libraries, Screen Savers) are not properly associated with it. If this box is not checked, the application will ignore bad file association.

Remark: It is highly recommended to associate Media files, ICL and ACL libraries and Screen Savers with the application in order to permit fast screen saver access from Windows Explorer.

Warn if Windows components are missing (ComCtrl32 v4.72, Html Help, Qt time,...)

If this box is checked, the application prompts you at startup if the Windows component named ComCtl32 v4.72 is missing or has an older version. The application includes a special feature that permits you to use a built-in "Internet Explorer like" toolbar. ComCtl32 v4.72 or more must be installed in order to use this very useful toolbar. You can install this component directly from this warning window.

Language

You can choose your language to work in the Axialis MediaBrowser.

Use External Internet Browser

If this option is checked, you can use another External Internet Browser.

Project options: Auto Save a copy of a Media Files in Projects

If this box is checked, the application automatically stores media files in screen saver documents (sprite images, video, music, sound&ldots;).

If a media file is saved in a screen saver document: The image file doesn't need to be present on your hard disk the next time you'll open the SSP document. The drawback is that the SSP file is larger and space consuming.

If a media file is NOT saved in a screen saver document: The SSP file is smaller but the image file must be present on your hard disk (at the right location) or you'll get an error the next time you'll open the SPP document.

Project options: Prompt before Sprite Deletion

If this box is checked, the application prompts you before deleting a sprite from a screen saver document. This option is recommended because a sprite deletion cannot be undone.

Project options: Prompt to create a new document if a Project file does not exist

If this box is checked, the application prompts you to create a new document if you try to open a file that does not exist. It happens when you specify a new filename directly in the "Recent" combo box or if an old document has been removed.


Compile a library

1. Select one or more icons to compile. By default, AX-Icons will select all icons in the current library.

2. Choose Library/Compile

3. Enter the .EXE filename in the area "Enter the path and the .EXE filename will be created"

4. Enter the icon library title

5. Enter the icon library comment

6. Click on Compiling button

The user of this compiled version will be able to print, export icons and even customize its Windows.

Warning

  • You are going to create a compiled and freely redistributable version of your icon library. “Freely redistributable” means that AXIALIS permits you to redistribute without royalties the portion of executable code produced by this compilation.

  • It does not mean that you can freely distribute any icon using this compilation. Don’t forget that all icons are intellectual properties of their respective authors.

  • Consequently, you must hold the Copyright on each icon you have inserted in the compiled library.

  • AXIALIS assumes no liability for damages, direct or consequential, which may result from the use of this compilation.

  • For more Information, click on the More Info about Copyright button.


Copy an Animation or Video

To copy an Animation file

1. If you want to copy one image of the Animation file: Open the file, right click and choose Edit/Copy Picture.

2. If you want to copy an Animation file, select the Animation file from the librarian or Explorer document and choose Edit/Copy or right click and choose Copy.

If the the Animation file has been copied from the librarian or the Explorer, you can:

  • Paste it in the librarian or in an other explorer window to copy it.

  • If this is a Video: Paste it as a new video sequence in a screen saver project.

  • If this is an Animation: Paste it as a new animated sprite in a screen saver project.


Copy an icon in the clipboard

Copy an icon

Click on the following topics:

Move-Copy a part of a drawing without using clipboard

Cut/Copy/Paste all or part of an icon

Paste as a new image

Create a new icon project from clipboard


Display an Animation or Video full screen

To display an animation full screen

This command allows to display the Animation or using Full screen resolution.

1. To display an Animation, choose Image/Full Screen


Display the time of the Animation or Video

To display the animation time

This command toggles between Time and Frame display.

1. Choose Animation and Time Display.


Drag and Drop from one file or library to the Windows customizing window

1. Open a program file (.CPL; .DLL, .DRV, .EXE, .OCX, .VBX), library (.ICL, .NIL, .IL) or select a library in the librarian

2. Choose Options/Customizing Windows

3. Click on Desktop icons or Standard icons tab

4. Select an icon from the file or library

5. Holding down the left mouse button, drag then release on the standard or desktop icons, which you wish to replace.

6 Click on Apply button

The icons will be automatically replaced the old.


Export an icon to a BMP file

Save Image format as Bitmap

1. Edit an icon in the editor

2. Choose Draw/Export to BMP

3. Select or create the file’s folder from the Save In Drop Down box

4. Enter the name for the new BMP file in the File Name Text box. Axialis IconWorkshop will add the file extension BMP automatically in the File Type Drop down box.


How to create a new icon project...

1. Choose File/New/Icon Project

2. Enter the Icon project Name.

3. In the Colors group, choose:

  • Windows® XP colors With Alpha Channel (16.8 M - 32 bits). Uses true colors to get the best results. This format will be used only if the icon is displayed under Windows® XP. Also, it uses an additional Alpha Channel to create smooth shades and object borders. We strongly recommend you to start creating an icon with this color mode

  • 256 Indexed colors (8 bits): Uses a customizable 256 color palette. You will be able to modify this palette to produce smoother gradients or specific colors.

  • 16 colors (4bits): Uses the system standard palette (16 static colors). This is the native Windows mode.

  • True colors 16.8M (24 bits): Uses only 2 colors (black and white). This is an obsolete color mode.

  • Monochrome (1 bit): Uses true colors to get the best results. This format may be incompatible with some display drivers.

Note

  • Windows® XP colors With Alpha Channel (16.8 M - 32 bits), 256 Indexed colors (8 bits) and 16 colors (4bits) are recommended color settings.

  • True colors 16.8M (24 bits), Monochrome (1 bit) are optional color settings.

3. In the Size in Pixels group, choose:

  • 16x16, 24x24, 32x32, 48x48, 128x128

  • Specifies the Width of the new image format in pixels. It allows you to specify a custom width for the image

  • Specifies the Height of the new image format in pixels. It allows you to specify a custom width for the image

  • If you want the height equal to width, choose “Square aspect”

Remarks

  • An icon can contain several image formats (size and colors). In this dialog, you specify the properties of the first image format you wish to include in this icon. You'll be able to add several other image formats later. See Creating a new image format in an icon.

  • Usually a standard icon contains at least the following 4 image formats: 16x16x16 colors, 16x16x256 colors, 32x32x16 colors, 32x32x256 colors.

  • An advanced icon contains, in addition, the following 5 image formats: 16x16xXP colors, 32x32xXP colors, 48x48xXP colors, 48x48x16 colors and 48x48x256 colors.

4. If you want to use default settings for new icon with current dialog settings, click Set As Default. This is useful if you have chosen not to be prompted (with this dialog box) when creating a new icon.

5. You can ask Axialis IconWorkShop to bypass the new icon dialog box. Choose Do not prompt in the Future or choose Edit/Preferences and in General tab, check "Create a new icon project window" option. In this case the new icon will always have the default settings.

Notes for Windows® users

  • If you create a rectangular icon (width not equal to height), Windows will automatically display it using the square aspect.

  • Except for 16x16 icons (displayed in Explorer, Task bar&ldots;), Windows cannot display various icon sizes. All icons are displayed using the same size (specified in Display Properties).


Launching the executable library

1.Execute the .EXE compilation file

The available features for the end user are:

In the File menu

  • Saving as an .ICO file

  • Exporting to .ICL or .DLL

  • Customizing the window of Windows

  • Printing

  • Preview

  • Setting printer parameters

In the Display menu

  • Toolbar

  • Status bar

  • Size 16x16

  • Size 32x32

  • Size 48x48

  • Monochrome

  • 16 colors

  • 256 colors and more

  • Displaying information (icon name, number of image formats)


Managing programs*

Managing programs is identical to managing libraries except the program files (*.VBX, *.DLL, *.EXE, *.DRV, *.OCX) contain executable code and you imposed restrictions.

You can:

Visualizing, modifying, exporting, copying in clipboard and add to the librarian

Saving the modifications and export ICL

You can not:

Adding or deleting icons

Adding or deleting image formats to icons

Warning

If you modify icons in a program file, you must before save its contents.


Open an Animation or Video

To open an animation

You can open an image file by the choosing the command File/Open or by double clicking on the selected Animation or Video/Clip in the librarian.

Animation file formats

  • FLI (Autodesk Animator)

  • FLC (Autodesk Animator)


Open an icon file

You can open various file formats. An icon can include several image formats (different size and color depth). When you open an icon file, the content of icon is displayed and you can see the available image formats (at the left side of the window). You can select the desired format by clicking on it.

Supported Image file formats

  • ICO (Windows)

  • ICNS (Macintosh)

  • RSC (Macinstosh)

Remark

  • Axialis IconWorshop is compatible with all Macintosh Icon files: OS 7.5, 8.5 and the latest OS X (up to 128x128 with alpha channel icons).

  • Microsoft Windows is not compatible with Macintosh Icons but using IconWorkshop you can read, modify and save them as standard Windows ICO files.


Play or Pause the animated sequence

To play or pause an animation

1. Open an Animation: File/Open.

2. Choose Animation and Play/Pause.

This command allows you to play or pause the animation.


Repeat forever the Animation or Video

To repeat forever an animation

This command specifies that the Animation file will be played over and over until you stop it.

1. Choose Animation and Repeat/Repeat forever.


Untitled

Restore previously deleted icons


Save an Animation or Video

To save a picture from an animation

With this command you make a SnapShot and save the image as an external bitmap file.

1. Choose File/Save as.

2. Specify the file of type. Choose JPEG, BMP or PNG.

Note

  • You can specify in the Command View/Preferences/Image/ the JPEG - Writing Options, the Image Quality (1: Lowest Quality to 99: Highest Quality).


Save an icon

1. Choose File/Save as.

2. Axialis IconWorkshop automatically add the ICO file.

Note

  • If you opened a Macinstosh icon file, when you save this icon, Axialis IconWorkshop warns you that it does not support write/update operations on Apple Macinstosh iocns. However, you can continue and save this document to Windows standard icon format (ICo).


Screen Saver Projects (.SSP)

You can view or edit SSP screen saver projects using Axialis Pro Screen Saver Producer. This is an Axialis proprietary file format used by Axialis Professional Screen Saver Producer.
See http://www.axialis.com/ssp


Select an image format in an icon

To select an image format in an icon

1. Select the image format in the list box.

2. Choose Draw/Remove Image format

A list of image format is displayed. Choose one of format and OK.


Working With Icon files

You can open various file formats. An icon can include several image formats (different size and color depth). When you open an icon file, the content of icon is displayed and you can see the available image formats (at the left side of the window). You can select the desired format by clicking on it.

Supported Image file formats

  • ICO (Windows)

  • ICNS (Macintosh)

  • RSC (Macinstosh)


Working With Icon files1

Working With Icon files

Working With Icon Files

Create an icon containing various image formats

Create Windows® XP Style icon

Open an icon file

Save an icon file

Print an icon in one page or as a poster

Copy an icon in the clipboard

Apply Filters to an icon

Change icon Hue, Saturation, Brightness, Contrast and Opacity

Rotate, Scale, Flip ... an icon


Working With the Screen Saver Projects

Working with the Screen Saver Projects

Screen Saver projects (.SSP)


Zoom in, Zoom out

1. For an Animation, choose Image/Zoom in or Image/Zoom out.

Note

  • To go back to a Zoom 100%, tape on the Space Bar.